[#]: collector: (lujun9972)
[#]: translator: (ninifly)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11009-1.html)
[#]: subject: (Edge computing is in most industries’ future)
[#]: via: (https://www.networkworld.com/article/3391016/edge-computing-is-in-most-industries-future.html)
[#]: author: (Anne Taylor https://www.networkworld.com/author/Anne-Taylor/)

边缘计算是大多数行业的未来
======

> 几乎每个行业都可以利用边缘计算来加速数字化转型。

![](https://img.linux.net.cn/data/attachment/album/201906/23/231224cdl3kwedn0hw2lie.jpg)

边缘计算的发展将取得一次巨大的飞跃。[据 Gartner 数据][2]，现在公司有 10% 的数据是在传统数据中心或云之外生成的。但在未来六年内，这一比例将升至 75%。

这很大程度上取决于处理来自设备数据的需要，比如物联网（IoT）数据传感器。早期采用这一方法的包括：

* **制造商**：设备与传感器似乎是这个行业特有的，因此需要为产生的数据找到更快速的方法也就不足为奇。一份 [Automation World][3] 最近的研究发现 43% 的制造商已经部署了边缘计算项目。最常用用途包括生产/制造数据分析与设备数据分析。
* **零售商**：与大多数深受数字化运营需求影响的产业一样，零售商也不得不革新了其客户体验。为此，这些组织“正在积极投资贴近于买家的计算能力”，施耐德电气公司 IT 部门执行副总裁 [Dave Johnson][4] 如是说。他列举了一些例子，例如在试衣间的增强现实（AR）镜子，提供了不同的服装选择，而不用顾客试用这些服装。又如用于显示店内导航的基于信标的热图。
* **医疗保健机构**：随着医疗保健成本的不断上升，这一行业已经具备了提高生产能力与成本效率方面的创新能力。管理咨询公司[麦肯锡已经确定][5]，至少有 11 个有益于患者、医疗机构或两者的医疗保健用例。举两个例子：提高护理效率并有助于优化设备的跟踪移动医疗设备；跟踪用户锻炼并提供健康建议的可穿戴设备。

虽然以上这些是明显的用例，随着边缘计算市场的扩大，采用它的行业也会增加。

### 数字化转型的优势

随着边缘计算的快速处理能力完全符合数字化转型的目标：提高效率、生产能力和加速产品上市和客户体验。以下是一些有潜力的应用及将被边缘计算改变的行业：

**农业**：农民和组织已经使用无人机将农田和气候环境传给灌溉设备。其他的应用可能包括了对工人、牲畜和设备的监测与位置跟踪，从而改善生产能力、效率和成本。

**能源**：在这一领域有许多的潜在的应用，可以使消费者与供应商都受益。例如，智能电表有助于业主更好地管理能源使用，同时减少电网运营商对手动抄表的需求。同样的，水管上的传感器能够监测到漏水，同时提供实时漏水数据。

**金融服务**：银行正在采取交互式 ATM 机，这种交互式 ATM 机能够快速地处理数据以提供更好的用户体验。在管理层次，可以更快速地分析交易数据中的欺诈行为。

**物流**：由于消费者需要更快速地交付商品和服务，物流公司将需要转换其地图和寻路功能以获取实时数据，尤其在最后一公里计划和跟踪方面。这可能涉及到基于街道、包裹及汽车的传感器数据传输处理过程。

得益于边缘计算，所有行业都有转型的潜力。但是，这将取决于他们如何处理计算基础设施。可以在 [APC.com][6] 找到如何克服任何 IT 阻碍的解决方案。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3391016/edge-computing-is-in-most-industries-future.html

作者：[Anne Taylor][a]
选题：[lujun9972][b]
译者：[ninifly](https://github.com/ninifly)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Anne-Taylor/
[b]: https://github.com/lujun9972
[1]: https://images.idgesg.net/images/article/2019/04/istock-1019389496-100794424-large.jpg
[2]: https://www.gartner.com/smarterwithgartner/what-edge-computing-means-for-infrastructure-and-operations-leaders/
[3]: https://www.automationworld.com/article/technologies/cloud-computing/its-not-edge-vs-cloud-its-both
[4]: https://blog.schneider-electric.com/datacenter/2018/07/10/why-brick-and-mortar-retail-quickly-establishing-leadership-edge-computing/
[5]: https://www.mckinsey.com/industries/high-tech/our-insights/new-demand-new-markets-what-edge-computing-means-for-hardware-companies
[6]: https://www.apc.com/us/en/solutions/business-solutions/edge-computing.jsp
