[#]: collector: (lujun9972)
[#]: translator: (arrowfeng)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-10992-1.html)
[#]: subject: (5 essential values for the DevOps mindset)
[#]: via: (https://opensource.com/article/19/5/values-devops-mindset)
[#]: author: (Brent Aaron Reed https://opensource.com/users/brentaaronreed/users/wpschaub/users/wpschaub/users/wpschaub/users/cobiacomm/users/marcobravo/users/brentaaronreed)

DevOps 思维模式的 5 个基本价值观
======

> 人和流程比在解决的业务问题的任何技术“银弹”更重要，且需要花更多的时间。

![human head, brain outlined with computer hardware background][1]

今天的许多 IT 专业人士都在努力适应变化和扰动。这么说吧，你是否正在努力适应变化？你觉得不堪重负吗？这并不罕见。今天，IT 的现状还不够好，所以需要不断尝试重新自我演进。

凭借 30 多年的IT综合经验，我们见证了人员与关系对于 IT 企业提高效率和帮助企业蓬勃发展的重要性。但是，在大多数情况下，我们关于 IT 解决方案的对话始于技术，而不是从人员和流程开始。寻找“银弹”来解决业务和 IT 挑战的倾向过于普遍。但你不能想着可以买到创新、DevOps 或有效的团队和工作方式；他们需要得到培养，支持和引导。

由于扰动如此普遍，并且对变革速度存在如此迫切的需求，我们需要纪律和围栏。下面描述的 DevOps 思维模式的五个基本价值观将支持将我们的实践。这些价值观不是新观念；正如我们从经验中学到的那样，它们被重构了。一些价值观可以互换的，它们是灵活的，并且它们如支柱一样导向了支持这五个价值观的整体原则。

![5 essential values for the DevOps mindset][2]

### 1、利益相关方的反馈至关重要

我们如何知道我们是否为我们创造了比利益相关方更多的价值？我们需要持久的质量数据来分析、通知并推动更好的决策。来自可靠来源的相关信息对于任何业务的蓬勃发展至关重要。我们需要倾听并理解我们的利益相关方所说的，而不是说我们需要以一种方式实施变革，使我们能够调整我们的思维、流程和技术，并根据需要对其进行调整以使我们的利益相关者满意。由于信息（数据）不正确，我们常常看到的变化过少，或者由于错误的原因而发生了很多变化。因此，将变更与利益相关方的反馈结合起来是一项基本价值观，并有助我们专注于使公司成功最重要的事情。

> 关注我们的利益相关方及其反馈，而不仅仅是为了改变而改变。

### 2、超越当今流程的极限进行改进

我们希望我们的产品和服务能够不断让客户满意，他们是我们最重要的利益相关方。因此，我们需要不断改进。这不仅仅是关系到质量；它还可能意味着成本、可用性、相关性以及许多其他目标和因素。创建可重复的流程或使用通用框架是非常棒的，它们可以改善治理和许多其他问题。但是，这不应该是我们的最终目标。在寻找改进方法时，我们必须调整我们的流程，并辅以正确的技术和工具。可能有理由抛出一个“所谓的”框架，因为不这样做可能会增加浪费，更糟糕的是只是“货物结果”（做一些没有价值或目的的东西）。

> 力争始终创新并改进可重复的流程和框架。

### 3、不要用新的孤岛来打破旧的孤岛

孤岛和 DevOps 是不兼容的。我们经常能看到：IT 主管带来了所谓的“专家”来实施敏捷和 DevOps，他们做了什么？这些“专家”在现有问题的基础上创建了一个新问题，这是 IT 部门和业务中又增加了一个孤岛。创造“DevOps”职位违背了敏捷和 DevOps 基于打破孤岛的原则。在敏捷和 DevOps 中，团队合作是必不可少的，如果你不在自组织团队中工作，那么你就不会做任何事情。

> 相互激励和共享，而不是成为英雄或创建一个孤岛。

### 4、了解你的客户意味着跨组织协作

企业的任何一个部分都不是一个独立的实体，因为它们都有利益相关方，主要利益相关方始终是客户。“客户永远是对的”（或国王，我喜欢这样说）。关键是，没有客户就真的没有业务，而且为了保持业务，如今我们需要与竞争对手“区别对待”。我们还需要了解客户对我们的看法以及他们对我们的期望。了解客户的需求势在必行，需要及时反馈，以确保业务能够快速、负责地满足这些主要利益相关者的需求和关注。

![Minimize time spent with build-measure-learn process][3]

无论是想法、概念、假设还是直接利益相关方的反馈，我们都需要通过使用探索、构建、测试和交付生命周期来识别和衡量我们的产品提供的功能或服务。从根本上说，这意味着我们需要在整个组织中“插入”我们的组织。在持续创新、学习和 DevOps 方面没有任何边界。因此，当我们在整个企业中进行衡量时，我们可以理解整体并采取可行的、有意义的步骤来改进。

> 衡量整个组织的绩效，而不仅仅是在业务范围内。

### 5、通过热情鼓励采纳

不是每个人都要被驱使去学习、适应和改变；然而，就像微笑可能具有传染性一样，学习和意愿成为变革文化的一部分也是如此。在学习文化中适应和演化为一群人提供了学习和传递信息（即文化传播）的自然机制。学习风格、态度、方法和过程不断演化，因此我们可以改进它们。下一步是应用所学和改进的内容并与同事分享信息。学习不会自动发生；它需要努力、评估、纪律、意识，特别是沟通；遗憾的是，这些都是工具和自动化无法提供的。检查你的流程、自动化、工具策略和实施工作，使其透明化，并与你的同事协作重复使用和改进。

> 通过精益交付促进学习文化，而不仅仅是工具和自动化。

### 总结

![Continuous goals of DevOps mindset][4]

随着我们的公司采用 DevOps，我们继续在各种书籍、网站或自动化软件上倡导这五个价值观。采用这种思维方式需要时间，这与我们以前作为系统管理员所做的完全不同。这是一种全新的工作方式，需要很多年才能成熟。这些原则是否与你自己的原则一致？在评论或我们的网站 [Agents of chaos][5] 上分享。


--------------------------------------------------------------------------------

via: https://opensource.com/article/19/5/values-devops-mindset

作者：[Brent Aaron Reed][a]
选题：[lujun9972][b]
译者：[arrowfeng](https://github.com/arrowfeng)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/brentaaronreed/users/wpschaub/users/wpschaub/users/wpschaub/users/cobiacomm/users/marcobravo/users/brentaaronreed
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/brain_data.png?itok=RH6NA32X (human head, brain outlined with computer hardware background)
[2]: https://opensource.com/sites/default/files/uploads/devops_mindset_values.png (5 essential values for the DevOps mindset)
[3]: https://opensource.com/sites/default/files/uploads/devops_mindset_minimze-time.jpg (Minimize time spent with build-measure-learn process)
[4]: https://opensource.com/sites/default/files/uploads/devops_mindset_continuous.png (Continuous goals of DevOps mindset)
[5]: http://agents-of-chaos.org
