[#]: collector: (lujun9972)
[#]: translator: (tomjlw)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11015-1.html)
[#]: subject: (Learn Python with these awesome resources)
[#]: via: (https://opensource.com/article/19/5/resources-learning-python)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)

学习 Python 的精品 PLN 资源
======

> 通过将这些资源加入你自己的私人学习网络以拓展 Python 知识。

![](https://img.linux.net.cn/data/attachment/album/201906/25/002706hrx0d3dfrxeid3nj.jpg)

我使用和教授 Python 已有很长时间了，但我总是乐于增加我对这门实用语言的知识。这就是为什么我一直试着拓展我的 Python <ruby>[个人学习网络][2]<rt>personal learning network</rt></ruby>（PLN），这是一个描述用于分享信息的非正式的互惠型网络的概念。

教育学家 [Kelly Paredes][3] 和 [Sean Tibor][4] 最近在他们的播客 [Teaching Python][5] 上谈到了如何搭建 Python PLN。我在克里夫兰的 [PyCon 2019][6] 遇到他们之后就订阅了这个频道（并把它们加入到我的 Python PLN 当中）。这个播客激发了我对 Python PLN 中的人的思考，包括那些我最近在 PyCon 遇到的人们。

我会分享一些我找到 PLN 成员的地方；可能它们也可以变成你的 Python PLN 的一部分。

### Young Coders 导师

Python 基金会的活动协调者 [Betsy Waliszewski][7] 是我的 Python PLN 中的一员。当我们在 PyCon2019 见到时，因为我是个老师，她推荐我看看为十二岁及以上的孩子打造的 [Young Coders][8] 工作室。在那我遇到了正在负责这个计划的 [Katie Cunningham][9]，它会教参与者如何搭建和配置树莓派并使用 Python 项目。年轻学生也会收到两本书 Jason Briggs 的 《[Python for Kids][10]》 和 Craig Richardson 的 《[Learn to Program with Minecraft][11]》。我一直寻找提升我教学水平的新方式，因此我在该会议上的 [NoStarch Press][12] 展台迅速拿到了两本 Minecraft 书。Katie 是一名优秀的教师，也是一名多产作家，拥有一个充满 Python 培训视频的 [YouTube][13] 精彩频道。

我把 Kattie 与我在 Young Coders 工作室碰到的另外两个人加入我的 PLN：[Nat Dunn][14] 和 [Sean Valentine][15]。像 Katie 一样，他们自愿花时间把 Python 介绍给青年程序员们。Nat 是 [Webucator][16] 的总裁，这是一家 IT 培训公司，多年来一直是 Python 软件基金会赞助商，并赞助了 PyCon 2018 教育峰会。在将 Python 教他 13 岁的儿子和 14 岁的侄子之后，他决定在 Young Coders 任教。Sean 是 [Hidden Genius 项目][17] 的战略计划总监，这是一个针对黑人男性青年的技术及领导力打造的教导项目。Sean 说许多 Hidden Genius 参与者“用 Python 打造项目因此我们认为 [Young Coders] 是一个很好的合作机会”。了解 Hidden Genius 项目激发了我更深层次地思考编程的未来以及其改变生活的威力。

### Open Spaces 聚会

我发现 PyCon 的 [Open Spaces][18] —— 这是一个一小时左右的自组织的即兴聚会 —— 跟正式的项目活动一样有用。我的最爱之一是 [Circuit Playground Express][19] 设备，它是我们会议主题包的一部分。我很喜欢这个设备，并且 Open Space 提供了学习它的一条大道。组织者提供了工作表和一个 [Github][20] 仓库，其中包含有我们成功所需要的所有工具，也提供了一个上手实践的机会以及探索这个独特硬件的方向。

这次会面激起了了我对学习 Circuit Playground Express 更新信息的兴趣，因此在 PyCon 之后， 我在 Twitter 上接触到了在会议上就该设备编程发表主旨演讲的 [Nina Zakharenko][21]。Nina 自从去年秋天我在 [All Things Open][23] 上听过她的演讲后就在我的 Python PLN 里了。我最近报名参加了她的 [Python 基础][24]课程以加深我的学习。Nina 推荐我将 [Kattni Rembor][25] 加入我的 Python PLN。他的[示例代码][26]正帮助我学习用 CircuitPython 编程。

### 我的 PLN 中的其他资源

我在 PyCon 2019 也遇见了 [Opensource.com][27] 社区版主 [Moshe Zadka][28]，并和他来了场长谈。他分享了几个新的 Python 资源，包括 [如何像电脑科学家一样思考][29]。社区版主 [Seth Kenlon][30] 是我的 PLN 中的另一名成员；他发表了许多优秀的 [Python 文章][31]，我也推荐你关注他。

我的 Python PLN 每天都在持续扩大。除了我已经提到的，我同样推荐你关注 [Al Sweigart][32]、[Eric Matthes][33] 以及 [Adafruit][34]他们分享的优质内容。我也推荐这本书《[制作：由 Adafruit Circuit Playground Express 开始][35]》和《[Podcast.\_\_init\_\_][36]》，这是一个关于 Python 社区的播客。这两个都是我从我的 PLN 中了解到的。

谁在你的 Python PLN 中？请在留言区分享你的最爱。

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/5/resources-learning-python

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[tomjlw](https://github.com/tomjlw)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/reading_book_stars_list.png?itok=Iwa1oBOl (Book list, favorites)
[2]: https://en.wikipedia.org/wiki/Personal_learning_network
[3]: https://www.teachingpython.fm/hosts/kellypared
[4]: https://twitter.com/smtibor
[5]: https://www.teachingpython.fm/20
[6]: https://us.pycon.org/2019/
[7]: https://www.linkedin.com/in/betsywaliszewski
[8]: https://us.pycon.org/2019/events/letslearnpython/
[9]: https://www.linkedin.com/in/kcunning/
[10]: https://nostarch.com/pythonforkids
[11]: https://nostarch.com/programwithminecraft
[12]: https://nostarch.com/
[13]: https://www.youtube.com/c/KatieCunningham
[14]: https://www.linkedin.com/in/natdunn/
[15]: https://www.linkedin.com/in/sean-valentine-b370349b/
[16]: https://www.webucator.com/
[17]: http://www.hiddengeniusproject.org/
[18]: https://us.pycon.org/2019/events/open-spaces/
[19]: https://www.adafruit.com/product/3333
[20]: https://github.com/adafruit/PyCon2019
[21]: https://twitter.com/nnja
[22]: https://www.youtube.com/watch?v=35mXD40SvXM
[23]: https://allthingsopen.org/
[24]: https://frontendmasters.com/courses/python/
[25]: https://twitter.com/kattni
[26]: https://github.com/kattni/ChiPy_2018
[27]: http://Opensource.com
[28]: https://opensource.com/users/moshez
[29]: http://openbookproject.net/thinkcs/python/english3e/
[30]: https://opensource.com/users/seth
[31]: https://www.google.com/search?source=hp&ei=gVToXPq-FYXGsAW-mZ_YAw&q=site%3Aopensource.com+%22Seth+Kenlon%22+%2B+Python&oq=site%3Aopensource.com+%22Seth+Kenlon%22+%2B+Python&gs_l=psy-ab.12...627.15303..15584...1.0..0.176.2802.4j21......0....1..gws-wiz.....0..35i39j0j0i131j0i67j0i20i263.r2SAW3dxlB4
[32]: http://alsweigart.com/
[33]: https://twitter.com/ehmatthes?lang=en
[34]: https://twitter.com/adafruit
[35]: https://www.adafruit.com/product/3944
[36]: https://www.pythonpodcast.com/episodes/
