10 个 Linux 中最好的 Visio 替代品
======

> 如果你正在 Linux 中寻找一个好的 Visio 查看器，这里有一些可以在 Linux 中使用的微软 Visio 的替代方案。

[微软 Visio][1] 是创建或生成关键任务图和矢量表示的绝佳工具。虽然它可能是制作平面图或其他类型图表的好工具 —— 但它既不是免费的，也不是开源的

此外，微软 Visio 不是一个独立的产品。它与微软 Office 捆绑在一起。我们过去已经看过 [MS Office 的开源替代品][2]。今天我们将看看你可以在 Linux 上使用哪些工具代替 Visio。

### 适用于 Linux 的最佳 微软 Visio 备选方案

![用于 Linux 的微软 Visio 备选方案][4]

此处为强制性免责声明。该列表不是排名。排名第三的产品并不比排名第六的好。

我还提到了两个可以从 Web 界面使用的非开源 Visio 软件。

| 软件 | 类型 | 许可证类型 | 
| --- | --- | --- |
| [LibreOffice Draw][6] | 桌面软件 | 自由开源 | 
| [OpenOffice Draw][10] | 桌面软件 | 自由开源 | 
| [Dia][12] | 桌面软件 | 自由开源 | 
| [yED Graph Editor][14] | 桌面和基于 Web | 免费增值 | 
| [Inkscape][16] | 桌面软件 | 自由开源 | 
| [Pencil][18] | 桌面和基于 Web | 自由开源 | 
| [Graphviz][20] | 桌面软件 | 自由开源 | 
| [darw.io][22] | 桌面和基于 Web | 自由开源 |
| [Lucidchart][24] | 基于 Web | 免费增值 | 
| [Calligra Flow][27] | 桌面软件 | 自由开源 |


### 1、LibreOffice Draw

![][5]

LibreOffice Draw 模块是微软 Visio 的最佳开源替代方案之一。在它的帮助下，你可以选择制作一个想法的速写或一个复杂的专业平面布置图来展示。流程图、组织结构图、网络图、小册子、海报等等！所有这些都不需要花一分钱。

好的是它与 LibreOffice 捆绑在一起，默认情况下安装在大多数 Linux 发行版中。

#### 主要功能概述：

  * 用于制作宣传册/海报的样式和格式工具
  * Calc 数据可视化
  * PDF 文件编辑功能
  * 通过操作图库中的图片来创建相册
  * 灵活的绘图工具类似于 微软 Visio （智能连接器，尺寸线等）的工具
  * 支持 .VSD 文件（打开）

官网：[LibreOffice Draw][6]

### 2、Apache OpenOffice Draw

![][7]

很多人都知道 OpenOffice（LibreOffice 项目最初就是基于它的），但他们并没有真正意识到 Apache OpenOffice Draw 可以作为微软 Visio 的替代方案。但事实上，它是另一个令人惊奇的开源图表软件工具。与 LibreOffice Draw 不同，它不支持编辑 PDF 文件，但它为任何类型的图表创建提供了绘图工具。

这只是个警告。仅当你的系统中已经有 OpenOffice 时才使用此工具。这是因为[安装 OpenOffice][8] 是一件痛苦的事情，而且它已经[不再继续开发][9]。

#### 主要功能概述：

  * 快速创建 3D 形状控制器
  * 创建作品的 flash 版本（.swf）
  * 样式和格式工具
  * 与微软 Visio 类似的灵活绘图工具（智能连接器、尺寸线等）

官网：[Apache OpenOffice Draw][10]

### 3、Dia

![][11]

Dia 是另一个有趣的开源工具。它可能不像前面提到的那样处于积极开发之中。但是，如果你正在寻找一个自由而开源的替代微软 Visio 的简单而体面的图表，那么 Dia 可能是你的选择。这个工具可能唯一让你失望的地方就是它的用户界面。除此之外，它还允许你为复杂的图使用强大的工具（但它看起来可能不太好 —— 所以我们建议你用于更简单的图）。

#### 主要功能概述：

  * 它可以通过命令行使用
  * 样式和格式工具
  * 用于自定义形状的形状存储库
  * 与微软 Visio 类似的绘图工具（特殊对象、网格线、图层等）
  * 跨平台

官网：[Dia][12]

### 4、yED Graph Editor

[视频](https://youtu.be/OmSTwKw7dX4)

是最受欢迎的免费的微软 Visio 替代方案之一。如果你对它是一个免费软件而不是开源项目有些担心，你仍然可以通过 web 浏览器免费使用 [yED 的实时编辑器][13]。如果你想用一个非常易于使用的界面快速绘制图表，这是最好的建议之一。

#### 主要功能概述：

  * 拖放功能，方便图表制作
  * 支持导入外部数据进行链接

官网：[yED Graph Editor][14]

### 5、Inkscape

![][15]

Inkscape 是一个自由开源的矢量图形编辑器。你将拥有创建流程图或数据流程图的基本功能。它不提供高级的图表绘制工具，而是提供创建更简单图表的基本工具。因此，当你希望通过使用图库中的可用符号，在图库连接器工具的帮助下生成基本图时，Inkscape 可能是你的 Visio 替代品。

#### 主要功能概述：

  * 连接器工具
  * 灵活的绘图工具
  * 广泛的文件格式兼容性

官网：[Inkscape][16]

### 6、Pencil 项目

![][17]

Pencil 项目是一个令人印象深刻的开源项目，适用于 Windows、Mac 以及 Linux。它具有易于使用的图形界面，使绘图更容易和方便。它有一个很好的内建形状和符号的集合，可以使你的图表看起来很棒。它还内置了 Android 和 iOS UI 模板，可以让你在需要时创建应用程序原型。

你也可以将其安装为 Firefox 扩展，但该扩展不能使用项目的最新版本。

#### 主要功能概述：

  * 轻松浏览剪贴画（使用 openclipart.org）
  * 导出为 ODT 文件/PDF 文件
  * 图表连接工具
  * 跨平台

官网：[Pencil 项目][18]

### 7、Graphviz

![][19]

Graphviz 略有不同。它不是绘图工具，而是专用的图形可视化工具。如果你在网络图中需要多个设计来表示一个节点，那么一定要使用这个工具。当然，你不能用这个工具做平面布置图（至少这不容易）。因此，它最适合于网络图、生物信息学、数据库连接和类似的东西。

#### 主要功能概述：

  * 支持命令行使用
  * 支持自定义形状和表格节点布局
  * 基本样式和格式设置工具

官网：[Graphviz][20]

### 8、Draw.io

[视频](https://youtu.be/Z0D96ZikMkc)

Draw.io 主要是一个基于 Web 的免费图表工具，它的强大的工具几乎可以制作任何类型的图表。你只需要拖放然后连接它们以创建流程图、ER 图或任何相关的。此外，如果你喜欢该工具，则可以尝试[离线桌面版本][21]。

#### 主要功能概述：

  * 直接上传到云存储服务
  * 自定义形状
  * 样式和格式工具
  * 跨平台

官网：[Draw.io][22]

### 9、Lucidchart

![][23]

Lucidchart 是一个基于 Web 的高级图表工具，它提供了一个具有有限功能的免费订阅。你可以使用免费订阅创建几种类型的图表，并将其导出为图像或 PDF。但是，免费版本不支持数据链接和 Visio 导入/导出功能。如果你不需要数据链接功能，Lucidchart 可以说是一个生成漂亮的图表的非常好的工具。

#### 主要功能概述：

  * 可以集成到 Slack、Jira 核心、Confluence
  * 能够制作产品模型
  * 导入 Visio 文件

官网：[Lucidchart][24]

### 10、Calligra Flow

![calligra flow][25]

Calligra Flow 是 [Calligra 项目][26]的一部分，旨在提供自由开源的软件工具。使用 Calligra flow 你可以轻松地创建网络图、实体关系图、流程图等

#### 主要功能概述：

  * 各种模具盒
  * 样式和格式工具

官网：[Calligra Flow][27]

### 总结

既然你已经了解到了这些最好的自由开源的 Visio 替代方案，你对它们有什么看法？

对于你任何方面的需求，它们是否优于 微软 Visio？另外，如果我们错过了你最喜欢的基于 Linux 的替代微软 Visio 的绘图工具，请在下面的评论中告诉我们。

--------------------------------------------------------------------------------

via: https://itsfoss.com/visio-alternatives-linux/

作者：[Ankush Das][a]
译者：[ZhiW5217](https://github.com/ZhiW5217)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://itsfoss.com/author/ankush/
[1]:https://products.office.com/en/visio/flowchart-software
[2]:https://itsfoss.com/best-free-open-source-alternatives-microsoft-office/
[3]:data:image/gif;base64,R0lGODdhAQABAPAAAP///wAAACwAAAAAAQABAEACAkQBADs=
[4]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/visio-alternatives-linux-featured.png
[5]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/libreoffice-draw-microsoft-visio-alternatives.jpg
[6]:https://www.libreoffice.org/discover/draw/
[7]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/apache-open-office-draw.jpg
[8]:https://itsfoss.com/install-openoffice-ubuntu-linux/
[9]:https://itsfoss.com/openoffice-shutdown/
[10]:https://www.openoffice.org/product/draw.html
[11]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/dia-screenshot.jpg
[12]:http://dia-installer.de/
[13]:https://www.yworks.com/products/yed-live
[14]:https://www.yworks.com/products/yed
[15]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/inkscape-screenshot.jpg
[16]:https://inkscape.org/en/
[17]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/pencil-project.jpg
[18]:http://pencil.evolus.vn/Downloads.html
[19]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/graphviz.jpg
[20]:http://graphviz.org/
[21]:https://about.draw.io/integrations/#integrations_offline
[22]:https://about.draw.io/
[23]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/lucidchart-visio-alternative.jpg
[24]:https://www.lucidchart.com/
[25]:https://i0.wp.com/itsfoss.com/wp-content/uploads/2017/12/calligra-flow.jpg
[26]:https://www.calligra.org/
[27]:https://www.calligra.org/flow/
