100 个最佳 Ubuntu 应用
======

今年早些时候我们发布了一个 [2018 年最好的 20 个 Ubuntu 应用][1]列表，可能对很多用户来说都很有用。现在我们几乎到 2018 年下半年了（LCTT 译注：好吧，我们翻译的有些晚了，顺便打个广告，[LCTT 欢迎你，有志于通过翻译为开源做些贡献的同学！][111]），所以今天我们打算看一下 Ubuntu 上最好的 100 个应用，你可能会觉得有帮助。

![100 Best Ubuntu Apps][2]

很多用户最近从 Microsoft Windows 转换到了 Ubuntu，可能面临着这样一个困境：寻找它们之前使用了数年的操作系统上的应用软件的最好替代应用。Ubuntu 拥有上千个免费使用和开源应用软件，比 Windows 和其它 OS 上的付费软件运行的更好。

下列列表归纳了各种分类下很多应用软件的功能特点，因此，你可以找到匹配你的需求的最好的应用。

### 1、Google Chrome 浏览器

几乎所有 Linux 发行版都默认安装了 Mozilla Firefox 网络浏览器，它是 Google Chrome 的强力竞争对手。但是 Chrome 相对 Firefox 而言有它自己的优点，比如它可以让你直接访问你的 Google 账户，你可以通过它来同步你在其它操作系统和手机上的 Chrome 浏览器的书签、浏览历史、扩展等等。

![Chrome][3]

Google Chrome 为 Linux 集成了最新的 Flash 播放器，其它 Linux 上的浏览器像 Mozilla Firefox 和 Opera 网络浏览器则不是这样。如果你在 Windows 上经常使用 Chrome，那么在 Linux 上也用它是最好的选择。

### 2、Steam

现在在 Linux 上玩游戏已经不是问题了，这在很多年前还是一个遥不可及的梦。在 2013 年，Valve 发布了 Linux 上的 Steam 游戏客户端，此后一切都变了。早期用户犹豫着从 Windows 转到 Linux，只是因为他们不能在 Ubuntu 上玩它们最喜欢的游戏，但是现在已经不是这样了。

![Steam][4]

一些用户可能发现在 Linux 上安装 Steam 有点棘手，但如果能在 Linux 上玩上千的 Steam 游戏这么做就是值得的。一些流行的高端游戏，如《反恐精英：全球攻势》、《Hitman》、《Dota 2》在 Linux 上都能获取，你只需要确保你满足玩这些游戏的最小硬件需求。

```
$ sudo add-apt-repository multiverse
$ sudo apt-get update
$ sudo apt-get install steam
```

### 3、WordPress 桌面客户端

是的，没错，WordPress 有它专属的 Ubuntu 平台的客户端，你可以用来管理你的 WordPress 站点。你可以在桌面客户端上撰写和设计你的站点而不用转到浏览器。

![][5]

如果你拥有使用 WordPress 建立的站点，那么这个桌面客户端就是你必备的应用，它能够让你在单个窗口内追踪所有的 WordPress 通知。你也可以查看你的站点上的博客数据。桌面客户端可以在 Ubuntu 软件中心中获取，你可以在那里下载和安装。

### 4、VLC 媒体播放器

VLC 是一个非常流行的跨平台的开源媒体播放器，同样在 Ubuntu 中可以获取。使得 VLC 成为一个最好的媒体播放器的原因是它能够毫无问题地播放世界上任何音频视频格式。

![][6]

VLC 有一个平滑的用户界面，易于使用，除此之外，它提供了很多功能，包括在线视频流、音频和视频自定义等。

```
$ sudo add-apt-repository ppa:videolan/master-daily
$ sudo apt update
$ sudo apt-get install vlc qtwayland5
```

### 5、Atom 文本编辑器

由 GitHub 开发的 Atom 是一个自由开源的文本编辑器，它同样能够被用做集成开发环境（IDE）来进行主流编程语言的编码和编辑。Atom 开发者声称它是完全可魔改的 21 世纪文本编辑器。

![][7]

Atom 文本编辑器拥有最佳的用户界面，它是一个富文本编辑器，提供了自动补全、语法高亮，支持扩展与插件。

```
$ sudo add-apt-repository ppa:webupd8team/atom
$ sudo apt-get update
$ sudo apt-get install atom
```

### 6、GIMP 图像编辑器

GIMP（GNU 图形操作程序）是 Ubuntu 上的自由开源的图像编辑器。无疑它是 Windows 上 Adobe Photoshop 的最好替代品。如果你过去经常用 Adobe Photoshop，会觉得很难习惯 GIMP，但是你可以自定义 GIMP 使它看起来与 Photoshop 非常相似。

![][8]

GIMP 是一个功能丰富的图片编辑器，你可以随时通过安装扩展和插件来使用附加的功能。

```
$ sudo apt-get install gimp
```

### 7、Google Play 音乐桌面播放器

Google Play 音乐桌面播放器是一个开源的音乐播放器，它是 Google Play 音乐的一个复制品，或者说比它更好。Google 一直少个桌面的音乐客户端，但第三方的应用完美的填充了空白。

![][9]

就像你在上面的截屏里看到的，它的界面在外观和感觉上都是首屈一指的。你只需要登录 Google 账户，之后就会导入你的所有音乐和收藏到桌面客户端里。你可以从它的官方[站点][10]下载安装文件并使用软件中心安装它。

### 8、Franz

Franz 是一个即时消息客户端，它将聊天和信息服务结合到了一个应用中。它是一个现代化的即时消息平台，在单个应用中支持了 Facebook Messenger、WhatsApp、Telegram、微信、Google Hangouts、 Skype。

![][11]

Franz 是一个完备的消息平台，你可以用于商业中管理大量的客户服务。要安装 Franz，你需要从它的[网站][12]下载安装包，在软件中心中打开。

### 9、新立得包管理器

新立得包管理器是 Ubuntu 上必有工具之一，因为它为我们通常在终端里安装软件的 `apt-get` 命令提供了用户图形界面。它是各种 Linux 发行版中的默认应用商店的强力对手。

![][13]

新立得拥有非常简单的用户图形界面，相比其它的应用商店非常快并易于使用。在左手边你可以浏览不同分类的各种应用，也可以轻松安装和卸载。

```
$ sudo apt-get install synaptic
```

### 10、Skype

Skype 是一个非常流行的跨平台视频电话应用，如今在 Linux 系统可以以 Snap 应用方式获取。Skype 是一个即时通信应用，它提供了视频和音频通话、桌面共享等功能。

![][14]

Skype 有一个优秀的用户图形界面，与 Windows 上的桌面客户端非常相似，易于使用。它对于从 Windows 上转换来的用户来说非常有用。

```
$ sudo snap install skype
```

### 11、VirtualBox

VirtualBox 是由 Oracle 公司开发的跨平台的虚拟化软件应用（LCTT 译注：实际上是由被 Oracle 公司收购的 Sun 公司开发的，包括 Java、Solaris 也是）。如果你喜欢尝试新的操作系统，那么 VirtualBox 是你必备的 Ubuntu 应用。你可以在 Windows 内尝试 Linux、Mac，也可以在 Linux 系统内尝试 Windows 和 Mac。

![][15]

VirtualBox 实际做的是让你在宿机操作系统里可视化地运行访客操作系统。它可以创建虚拟硬盘并在上面安装访客操作系统。你可以在 Ubuntu 软件中心直接下载和安装它。

### 12、Unity Tweak 工具

Unity Tweak 工具（Gnome Tweak 工具）对于每个 Linux 用户都是必须拥有的，因为它给了用户根据需要自定义桌面的能力。你可以尝试新的 GTK 主题、设置桌面热角、自定义图标集、调整 unity 启动器等等。

![][16]

Unity Tweak 工具对于用户来说可能非常有用，因为它包含了从基础到高级配置的所有内容。

```
$ sudo apt-get install unity-tweak-tool
```

### 13、Ubuntu Cleaner

Ubuntu Cleaner 是一个系统管理工具，其被特别设计用来移除不再使用的包、不需要的应用和清理浏览器缓存。Ubuntu Cleaner 有易于使用的简单用户界面。

![][17]

Ubuntu Cleaner 是 BleachBit 最好的替代品之一，BleachBit 是 Linux 发行版上的相当好的清理工具。

```
$ sudo add-apt-repository ppa:gerardpuig/ppa
$ sudo apt-get update
$ sudo apt-get install ubuntu-cleaner
```

### 14、Visual Studio Code

Visual Studio Code 是一个代码编辑器，你会发现它与你可能曾用过的 Atom 文本编辑器和 Sublime Text 非常相似。Visual Studio Code 被证明是非常好的教育工具，因为它可以对编程中的从 HTML 标签到语法的所有东西做出解释。

![][18]

Visual Studio 自身集成了 Git，它有优秀的用户界面，你会发现它与 Atom Text Editor 和 Sublime Text 非常相似。你可以从 Ubuntu 软件中心下载和安装它。

### 15、Corebird

如果你在找你可以使用 Twitter 的桌面客户端，那 Corebird Twitter 客户端就是你在找的。它被视为 Linux 发行版下可获得的最好的 Twitter 客户端，它提供了与你手机上的 Twitter 应用非常相似的功能。

![][19]

当有人喜欢或者转发你的 tweet 或者给你发消息时，Corebird Twitter 客户端同样会给你通知。你同样可以在这个客户端上添加多个 Twitter 账户。

```
$ sudo snap install corebird
```

### 16、Pixbuf

Pixbuf 是来自 Pixbuf 图片社区中心的一个桌面客户端，可以让你上传、分享和出售你的相片。它支持图片共享，如像 Facebook、Pinterest、Instagram、Twitter 等社交媒体，以及像 Flickr、500px 和 Youpic 等相片服务。

![][20]

Pixbuf 提供了分析等功能，可以让你统计点击量、转发量、照片的回复数、定时发帖、iOS 专有的扩展信息。它同样有移动应用，因此你可以在任何地方连接到你的 Pixbuf 账户。Pixbuf 可以在 Ubuntu 软件中心以 Snap 包的形式获得。

### 17、Clementine 音乐播放器

Clementine 是一个跨平台的音乐播放器，并且是 Ubuntu 上默认音乐播放器 Rhythmbox 的良好竞争者。它是一个快速而易用的音乐播放器，其用户界面友好。它支持所有主流音频文件格式的回放。

![][21]

除了可以播放本地库中的音乐，你也可以在线听 Spotify、SKY.fm、Soundcloud 等的广播。它也支持其它的功能像智能和动态播放列表，可以从像 Dropbox、Google Drive 这样的云存储中同步音乐。

```
$ sudo add-apt-repository ppa:me-davidsansome/clementine 
$ sudo apt-get update
$ sudo apt-get install clementine
```

### 18、Blender

Blender 是一个自由开源的 3D 创建应用软件，你可以用来创建 3D 打印模型、动画电影、视频游戏等。它自身集成了游戏引擎，你可以用来开发和测试视频游戏。

![blender][22]

Blender 拥有赏心悦目的用户界面，易于使用，它包括了内置的渲染引擎、数字雕刻、仿真工具、动画工具，还有很多。考虑到它免费和它的特点，你甚至会认为它可能是 Ubuntu 上最好的应用之一。

### 19、Audacity

Audacity 是一个开源的音频编辑应用，你可以用来记录、编辑音频文件。你可以从各种输入中录入音频，包括麦克风、电子吉它等等。它提供了根据你的需要编辑和裁剪音频的能力。

![][23]

最近 Audacity 发布了 Ubuntu 上的新版本，新特点包括主题改进、放缩命令等。除了这些，它还提供了降噪等音频效果的功能。

```
$ sudo add-apt-repository ppa:ubuntuhandbook1/audacity
$ sudo apt-get update 
$ sudo apt-get install audacity
```

### 20、Vim

Vim 是一个集成开发环境，你可以以一个独立应用或 CLI 程序使用它，用于各种像 Python 等主流编程语言的编程。

![][24]

大多数程序员喜欢在 Vim 中编写代码，因为它快速并且是一个可高度定制的集成开发环境。最初你可能觉得有点难用，但你会很快习惯它。

```
$ sudo apt-get install vim
```

### 21、Inkscape

Inkscape 是一个开源和跨平台的矢量图形编辑器，你会觉得它和 Corel Draw 和 Adobe Illustrator 很相似。用它可以创建和编辑矢量图形例如柱形图、徽标、图表、插图等。

![][25]

Inkscape 使用可缩放矢量图形（SVG），这是一个基于 XML 的 W3C 标准格式。它支持各种格式，包括 JPEG、PNG、GIF、PDF、AI（Adobe Illustrator 格式）、VSD 等等。

```
$ sudo add-apt-repository ppa:inkscape.dev/stable
$ sudo apt-get update
$ sudo apt-get install inkscape
```

### 22、Shotcut

Shotcut 是一个 Meltytech, LLC 在 MLT 多媒体框架下开发的自由开源的跨平台视频编辑应用。你会发现它是 Linux 发行版上最强大的视频编辑器之一，它支持所有主要的音频、视频、图片格式。

![][26]

它提供了非线性编辑多轨编辑各种文件格式的视频的能力。它支持 4K 视频分辨率和各种音频、视频过滤、语气生成、音频混合和很多其它的。

```
snap install shotcut -- classic
```

### 23、SimpleScreenRecorder

SimpleScreenRecorder 是 Ubuntu 上的一个免费而轻量级的屏幕录制工具。如果你是 YouTube 创作者或应用开发者，屏幕录制功能非常有用。

![][27]

它可以捕获桌面屏幕的视频/音频记录或直接录制视频游戏。在录制屏幕前，你可以设置视频分辨率、帧率等。它有简单的用户界面，你会发现非常易用。

```
$ sudo add-apt-repository ppa:marten-baert/simplescreenrecorder
$ sudo apt-get update
$ sudo apt-get install simplescreenrecorder
```

### 24、Telegram

Telegram 是一个基于云的即时通信和网络电话平台，近年来非常流行。它是开源和跨平台的，用户可以用来发送消息，共享视频、图片、音频和其它文件。

![][28]

Telegram 中容易注意到的特点是加密聊天、语音信息、机器人、远程视频通话、在线位置和社交登录。在 Telegram 中隐私和安全拥有最高优先级，因此，所有你发送和接收的是端对端加密的。

```
$ sudo snap install telegram-desktop
```

### 25、ClamTk

正如我们知道的，危害 Windows PC 的病毒不能危害 Ubuntu，但是可能被来自包含破坏性文件的 Windows PC 中的邮件所感染。因此，在 Linux 上有一些抗病毒应用是安全的。

![][29]

ClamTk 是一个轻量级的病毒扫描器，可以扫描系统中的文件和文件夹并清理发现的有害文件。ClamTk 可以 Snap 包的形式获得，可以从 Ubuntu 软件中心下载。

### 26、MailSpring

MailSpring 早期名为 Nylas Mail 或 Nylas N1，是开源的邮件客户端。它在电脑本地保存所有的邮件，因此你可以在任何需要的时候访问它。它提供了高级搜索的功能，可以使用“与”和“或”操作，因此你可以基于不同的参数搜索邮件。

![][30]

MailSpring 有着和其它易于上手的邮件客户端同样优秀的用户界面。MailSpring 同样提供了私密性、安全性、日程、通讯录管理、日历等功能特点。

### 27、PyCharm

继 Vim 之后，PyCharm 是我最喜欢的的 Python IDE 之一，因为它有优雅的用户界面，有很多扩展和插件支持。基本上，它有两个版本，一个是自由开源的社区版，另一个是付费的专业版。

![][31]

PyCharm 是可高度自定义的 IDE 并且有很多功能，如错误高亮、代码分析、集成单元测试和 Python 调试器等。PyCharm 对于大多数 Python 程序员和开发者来说是首选 IDE。

### 28、咖啡因

想象一下你在 Youtube 上看视频或阅读一篇新文章，突然你的 Ubuntu 锁屏了，我知道它很烦人。我们很多人都会遇到这种情况，所以咖啡因是一个阻止 Ubuntu 锁屏或屏幕保护程序的工具。

![][32]

咖啡因指示器是一个轻量级的工具，它添加图标到通知栏，你可以在那里轻松的激活或禁止它。不需要额外的设置。

```
$ sudo add-apt-repository ppa:eugenesan/ppa
$ sudo apt-get update
$ sudo apt-get install caffeine -y
```

### 29、Etcher USB 镜像写入器

Etcher 是一个由 resin.io 开发的 USB 镜像写入器。它是一个跨平台的应用，可以帮助你将 ZIP、ISO、IMG 格式的镜像文件写入到 USB 存储中。如果你经常尝试新的操作系统，那么 Ethcher 是你必有的简单可靠的工具。

![][33]

Etcher 有干净的用户界面，可以指导你在三步内烧录镜像到 USB 驱动或 SD 卡的过程。步骤包括选择镜像文件、选择 USB 驱动 和最终的烧录（写文件到 USB 驱动）。你可以从它的[官网][34]下载和安装 Etcher。

### 30、Neofetch

Neofetch 是一个酷炫的系统信息工具，通过在终端中运行 `neofetch` 命令，它会给你关于你的系统的所有信息。它酷是因为它可以给你关于桌面环境、内核版本、bash 版本和你正在运行的 GTK 主题的信息。

![][35]

与其它系统信息工具比较，Nefetch 是高度自定义的工具。你可以使用命令行进行各种自定义。

```
$ sudo add-apt-repository ppa:dawidd0811/neofetch
$ sudo apt-get update
$ sudo apt-get update install neofetch
```

### 31、Liferea

Liferea（Linux 订阅阅读器）是一个自由开源的新闻聚合工具，用于在线新闻订阅。使用新的聚合非常快捷和简单，支持各种格式例如 RSS/RDF，Atom 等。

![][36]

Liferea 自带与 TinyTinyRSS 的同步支持，它给了你离线阅读的能力。你会发现，就可靠性和灵活性而言，它是 Linux 上最好的订阅工具之一。

```
$ sudo add-apt-repository ppa:ubuntuhandbook1/apps
$ sudo apt-get update
$ sudo apt-get install liferea
```

### 32、Shutter

在 Ubuntu 中很容易截屏，但当需要编辑截屏时 Shutter 是你必不可少的应用。它帮助你捕获、编辑和轻松的共享截屏。使用 Shutter 的选择工具，你可以选择屏幕的特定区域来截屏。

![][37]

Shutter 是一个功能强大的截图工具，提供了添加截图效果、画线等功能。它同样给你上传截屏到各种图像托管站点的选项。你可以直接在 Ubuntu 软件中心中下载和安装。

### 33、Weather

Weather 是一个小的应用，可以给你关于你的城市或世界上其它位置的实时天气信息。它简单而且轻量级，可以给你最多 7 天的详细天气预报和今明两天的每个小时的细节信息。

![][38]

它集成在 GNOME shell 中，给你关于最近搜索位置的当前天气状态。它有极简的用户界面，在最小硬件需求下运行很顺畅。

### 34、Ramme

Ramme 是一个很酷的非官方的 Instagram 桌面客户端，给你带来 Instagram 移动端的感觉。它是基于 Electron 开发的客户端，所以它复现了 Instagram 应用的功能，并提供了主题自定义的功能。

![][39]

但是由于 Instagram 的 API 限制，你不能使用 Ramme 客户端上传图像，但你可以订阅 Instagram 流、喜欢和评论文章，给好友发消息。你可以从 [Github][40] 下载 Ramme 安装文件。

### 35、Thunderbird

Thunderbird 是一个开源的邮件客户端，是很多 Linux 发行版的默认邮件客户端。尽管在 2017 年与 Mozilla 分道扬镳（LCTT 译注： Thunderbird 现在由 Thunderbird 议会独立决策，只是将财务和法律关系留在 Mozilla 基金会），Thunderbird 仍然是 Linux 平台非常流行的最好的邮件客户端。它自带的功能包括垃圾邮件过滤、IMAP 和 POP 邮件同步、日历支持、通讯录集成和很多其它可以开箱即用的功能。

![][41]

它是一个跨平台的邮件客户端，由社区提供对所有平台提供支持。因其可以高度自定义，你可以改变它的外观和观感。

### 36、Pidgin

Pidgin 是一个即时信息客户端，你能够在单个窗口下登录不同的即时通讯网络。你可以登录到像 Google Talk、XMPP、AIM、Bonjour 等即时通讯。

![][42]

Pidgin 拥有你所期待的即时通信的所有特点，你总是可以通过安装额外的插件来提升其表现。

```
$ sudo apt-get install pidgin
```

### 37、Krita

Krita 是由 KDE 开发的自由开源的数字绘制、编辑和动画的应用。它有优秀的用户界面，每个组件都恰到好处，因此你可以轻松找到你所需要的。

![][43]

它使用 OpenGL 画布，这提升了 Krita 的性能，并且提供了很多功能，如各种绘画工具、动画工具、矢量工具、层和遮罩等很多。可在 Ubuntu 软件中心获取 Krita 并下载。

### 38、Dropbox

Dropbox 是一个出色的云存储客户端，正确安装后，它在 Ubuntu 中运行得非常好。即使 Google Drive 在 Ubuntu 16.04 LTS 和以后的版本中运行得不错，就 Dropbox 提供的特点而言，Dropbox 仍然是 Linux 上的首选云存储工具。

![][44]

它总是在后台运行，可以备份你系统上的新文件到云存储，持续保持你的电脑和云存储间的同步。

```
$ sudo apt-get install nautilus-dropbox
```

### 39、Kodi

Kodi 的前身是人们所熟知的 Xbox 媒体中心（XBMC），它是一个开源的媒体播放器。你可以在线或离线播放音乐、视频、播客、视频游戏等。这个软件最初是为第一代的 Xbox 游戏主机开发的，之后慢慢地移植到了个人电脑上。

![][45]

Kodi 有令人印象深刻的视频界面，快速而强大。它是可高度定制的媒体播放器，你可以通过安装插件，来获取在线流服务，如 Pandora、Spotify、Amazon Prime Video、Netflix 和 YouTube 等等。

### 40、Spotify

Spotify 是最好的在线媒体流站点之一。它提供免费和付费的音乐、播客、视频流服务。早期的 Spotify 不支持 Linux，但现在它有了自己的全功能的 Ubuntu 客户端。

![][46]

与 Google Play 音乐播放器一样，Spotify 是必不可少的媒体播放器。你只需要登录你的 Spotify 账户，就能在任何地方获取你最爱的在线内容。

### 41、Brackets

Brackets 是一个由 Adobe 开发的开源的文本编辑器。它可以用来进行 web 开发和设计，例如 HTML、CSS 和 JavaScript。它带有的实时预览模式是一个很棒的特点，当你在脚本中修改时，你可以获得实时预览效果。

![][47]

它是 Ubuntu 上的现代文本编辑器之一，拥有平滑的用户界面，这将 web 开发任务带到新的水平。它同样提供了行内编辑器的特点，支持流行的扩展像 Emmet、Beautify、Git、File Icons 等等。

### 42、Bitwarden

现今，账户安全是一个严重的问题，我们可以看到用户密码被盗和重要数据受到侵害的安全漏洞在不断增加。推荐你使用 Bitwarden，将你的所有账户和登录密码安全地存在一个地方。

![][48]

Bitwarden 使用 AES-256 加密技术来存储所有的登录细节，只有用户可以访问这些数据。它同样可以帮你创建健壮的密码，因为弱密码容易被黑。

### 43、Terminator

Terminator 是一个开源的终端模拟器，是用 Java 语言开发的。它是一个跨平台的模拟器，允许你在单个窗口有多个终端，在 Linux 默认的终端模拟器中不是这样。

![][49]

Terminator 其它杰出的特点包括自动日志、拖放、垂直和水平的智能滚动等。

```
$ sudo apt-get install terminator
```

### 44、Yak Yak

Yak Yak 是一个开源的非官方的 Google Hangouts 消息的桌面客户端。它可以作为 Microsort  Skype 的一个不错的替代品，自身拥有很多让人吃惊的特点。你可以启用桌面通知、设置语言偏好，使用很少的内存和处理能力就可以工作。

![][50]

Yak Yak 拥有你期待的任何即时消息应用的所有特点，例如输入指示、拖放媒体文件、音/视频电话。

### 45、Thonny

Thonny 是一个简单和轻量级的 IDE，尤其是为编程的初学者设计的。如果你是编程初学者，这是你必备的 IDE，因为当用 Python 编程的时候它会帮你学习。

![][51]

Thonny 同样是一个很棒的调试工具，它支持调试过程中的变量值即时显示，除此之外，它还提供了独立的窗口以执行函数调用，简单的用户界面等等。

```
$ sudo apt-get install thonny
```

### 46、字体管理器

字体管理器是一个轻量级的工具，用于管理、添加、移除你的 Ubuntu 系统上的字体。它是特别为 Gnome 桌面环境构建的，在用户不知道如何在命令行管理字体时会发现这个工具非常有用。

![][52]

这个 Gtk+ 字体管理器不是为专业用户准备的，它有简单的用户界面，你会发现很容易使用。你只需要从网上下载字体文件，并使用字体管理器添加它们。

```
$ sudo add-apt-repository ppa:font-manager/staging
$ sudo apt-get update
$ sudo apt-get install font-manager
```

### 47、Atril 文档查看器

Atril 是一个简单的文件查看器，支持便携文件格式（PDF）、PostScript（PS）、Encapsulated PostScript（EPS）、DJVU 和 DVI。Atril 与 MATE 桌面环境捆绑在一起，它比大多数 Linux 发行版中默认的文件查看器 Evince 更理想。

![][53]

Atril 用简单和轻量级的用户界面，可高度自定义，提供了搜索、书签、UI 左侧的缩略图等特点。

```
$ sudo apt-get install atril
```

### 48、Notepadqq

如果你曾在 Windows 上用过 Notepad++，并且想在 Linux 上寻找相似的程序，别担心，开发者们已经将它移植到 Linux，名为 Notepadqq。它是一个简单而强大的文本编辑器，你可以在日常使用它，或用于各种语言进行编程。

![][54]

尽管是作为一个简单的文本编辑器，它有一些令人惊奇的特点，例如，你可以设置主题为暗黑或明亮模式、多选、正则搜索和实时高亮。

```
$ sudo add-apt-repository ppa:notpadqq-team/notepadqq
$ sudo apt-get update
$ sudo apt-get install notepadqq
```

### 49、Amarok

Amarok 是在 KDE 项目下开发的一个开源音乐播放器。它有直观的界面，让你感觉在家一样，因此你可以轻易的发现你最喜爱的音乐。除了 Clementine，当你寻找 Ubuntu 上的完美的音乐播放器时，Amarok 是一个很棒的选择。

![][55]

Amarok 上的一些顶尖的特点，包括智能播放列表支持，集成在线服务像 MP3tunes、Last.fm、 Magnatune 等。

### 50、Cheese

Cheese 是 Linux 默认的网络摄像头应用，在视频聊天或即时消息应用中非常有用。除了这些，你还可以用这个应用来照相或拍视频，附带一些迷人的特效。

![][56]

它同样提供闪拍模式，让你快速拍摄多张相片，并提供你共享给你的朋友和家人的选项。Cheese 预装在大多数的 Linux 发行版中，但是你同样可以在软件中心下载它。

### 51、MyPaint

MyPaint 是一个自由开源的光栅图形编辑器，专于数字绘画而不是图像操作和相片处理。它是跨平台的应用，与 Corel Painter 很相似。

![][57]

MyPaint 可能是 Windows 上的 Microsoft Paint 应用的很好的替代品。它有简单的用户界面，快速而强大。MyPaint 可以软件中心下载。

### 52、PlayOnLinux

PlayOnLinux 是 WINE 模拟器的前端，允许你在 Linux 上运行 Windows 应用。你只需要在 WINE 中安装 Windows 应用，之后你就可以轻松的使用 PlayOnLinux 启动应用和游戏了。

![][58]

### 53、Akregator

Akregator 是在 KDE 项目下为 KDE Plasma 环境开发的默认 RSS 阅读器。它有简单的用户界面，自带了 KDE 的 Konqueror 浏览器，所以你不需要在阅读新闻提要时切换应用。

Akregator 同样提供了桌面通知、自动摘要等功能。你会发现在大多数 Linux 发行版中它是最好的提要阅读器。

### 54、Brave

Brave 是一个开源的 web 浏览器，拦截了广告和追踪，所以你可以快速和安全的浏览你的内容。它实际做的是代表你向网站和 Youtube 主播支付了费用。如果你宁可支持网站和 Youtube 主播也不愿意看广告，这个浏览器更适合你。

![][60]

对于那些想要安全浏览，但又不想错过互联网上重要信息的人来说，这是一个新概念，一个不错的浏览器。

### 55、Bitcoin Core

Bitcoin Core 是一个比特币官方的客户端，非常安全和可靠。它持续追踪你的所有比特币交易以保证你的所有交易都是有效的。它可以防止比特币矿工和银行完全掌控你的比特币钱包。

![][61]

Bitcoin Core 同样提供了其它重要的特点，像私钥备份、冷存储、安全通知等。

```
$ sudo add-apt-repository ppa:bitcoin/bitcoin
$ sudo apt-get update
$ sudo apt-get install bitcoin-qt
```

### 56、Speedy 重复查找工具

Speedy 重复查找工具是一个跨平台的文件查找工具，用来帮助你查找你的系统上的重复文件，清理磁盘空间。它是一个智能工具，可以在整个硬盘上搜索重复文件，它同样提供了智能过滤功能，根据文件类型、扩展或大小帮你找到文件。

![][62]

它有一个简单和整洁的用户界面，易于上手。从软件中心下载完后你就可以开始磁盘空间清理了。

### 57、Zulip

Zulip 是一个自由开源的群聊应用，被 Dropbox 收购了。它是用 Python 写的，用 PostgreSQL 数据库。它被设计和开发为其它如 Slack 和 HipChat 的聊天应用的替代品。

![][63]

Zulip 功能丰富，支持例如拖放文件、群聊、私密聊天、图像预览等。它也集成了 Github、JIRA、Sentry 和上百种其它服务。

### 58、Okular

Okular 是为 KDE 桌面环境开发的跨平台的文件查看器。它是一个简单的文件查看器，支持 Portable Document Format (PDF)、PostScript、DjVu、Microsoft Compiled HTML help 和很多其它文件格式。

![][64]

Okular 是在 Ubuntu 上你应该尝试的最好的文件查看器之一，它提供了 PDF 文件评论、画线、高亮等很多功能。你同样可以从 PDF 文件中提取文本文件。

### 59、FocusWriter

FocusWriter 是一个集中注意力的字处理工具，隐藏了你的桌面屏幕，让你能够专注写作。正如你看到的屏幕截图，整个 Ubuntu 屏幕被隐藏了，只有你和你的字处理工具。但你总是可以进入 Ubuntu 屏幕，当你需要的时候，只需要将光标移动到屏幕的边缘即可。

![][65]

它是一个轻量级的字处理器，支持 TXT、RTF、ODT 文件格式。它同样提供了可完全定制的用户界面，还有定时器、警报、每日目标、声音效果等特点，已经被翻译为 20 种语言。

### 60、Guake

Guake 是为 GNOME 桌面环境准备的酷炫的下拉式终端。当你需要时，Guake 就会闪现，当你任务完成后，它就会消失。你只需要按 F12 按钮来启动或退出，这样启动 Guake 比启动一个新的终端窗口更快。

![][66]

Guake 是一个功能丰富的终端，支持多栏，只需要点击几下就能将你的终端内容保存到文件，并且有完全可定制的用户界面。

```
$ sudo apt-get install guake
```

### 61、KDE Connect

KDE Connect 是 Ubuntu 上的一个很棒的应用，我很想在这篇马拉松文章中将它提早列出来，但是竞争太激烈了。总之 KDE Connect 可以将你的 Android 智能手机的通知直接转到 Ubuntu 桌面来。

![][67]

有了 KDE Connect，你可以做很多事，例如检查手机电池电量，在电脑和 Android 手机间交换文件，剪贴板同步，发送短信，你还可以将你的手机当作无线鼠标或键盘。

```
$ sudo add-apt-repository ppa:webupd8team/indicator-kedeconnect
$ sudo apt-get update
$ sudo apt-get install kdeconnect indicator-kdeconnect
```

### 62、CopyQ

CopyQ 是一个简单但是非常有用的剪贴板管理器，它保存你的系统剪贴板内容，无论你做了什么改变，你都可以在你需要的时候搜索和恢复它。它是一个很棒的工具，支持文本、图像、HTML 和其它格式。

![][68]

CopyQ 自身有很多功能像拖放、复制/拷贝、编辑、移除、排序、创建等。它同样支持集成文本编辑器，如 Vim，所以如果你是程序员，这非常有用。

```
$ sudo add-apt-repository ppa:hluk/copyq
$ sudo apt-get update
$ sudo apt-get install copyq
```

### 63、Tilix

Tilix 是一个功能丰富的高级 GTX3 平铺式终端模拟器。如果你使用 GNOME 桌面环境，那你会爱上 Tilix，因为它遵循了 GNOME 用户界面指导。Tilix 模拟器与大多数 Linux 发行版上默认终端模拟器相比，它给了你切分终端窗口为多个终端面板的功能。

![][69]

Tilix 提供了自定义链接、图片支持、多面板、拖放、固定布局等功能。它同样支持键盘快捷方式，你可以根据你的需要在偏好设置中自定义快捷方式。

```
$ sudo add-apt-repository ppa:webupd8team/terminix
$ sudo apt-get update
$ sudo apt-get install tilix
```

### 64、Anbox

Anbox 是一个 Android 模拟器，可以让你在 Linux 系统中安装和运行 Android 应用。它是自由开源的 Android 模拟器，通过使用 Linux 容器来执行 Android 运行时环境。它使用最新的 Linux 技术 和 Android 发布版，所以你可以运行任何原生的 Android 应用。

![][70]

Anbox 是现代和功能丰富的模拟器之一，提供的功能包括无限制的应用使用，强大的用户界面，与宿主系统无缝集成。

首先你需要安装内核模块。

```
$ sudo add-apt-repository ppa:morphis/anbox-support
$ sudo apt-get update
$ sudo apt install anbox-modules-dkms
```

然后你可以使用 snap 来安装 Anbox。

```
$ snap install --devmode -- beta anbox
```

### 65、OpenShot

你会发现 OpenShot 是 Linux 发行版中最好的开源的视频编辑器。它是跨平台的视频编辑器，易于使用，性能方面毫不逊色。它支持所有主流的音频、视频、图像格式。

![][71]

OpenShot 有干净的用户界面，功能有拖放、剪切缩放、尺寸缩放、裁剪、快照、实时预览、音频混合和编辑等多种功能。

```
$ sudo add-apt-repository ppa:openshot.developers/ppa
$ sudo apt-get update
$ sudo apt-get install openshot -qt
```

### 66、Plank

如果你在为你的 Ubuntu 桌面寻找一个 Dock 导航栏，那 Plank 应该是一个选择。它是完美的，安装后你不需要任何的修改，除非你想这么做，它有内置的偏好面板，你可以自定义主题、Dock 大小和位置。

![][72]

尽管是一个简单的导航栏，Plank 提供了通过拖放来重新摆放，固定和运行应用图标，透明主题支持等功能。

```
$ sudo add-apt-repository ppa:ricotz/docky
$ sudo apt-get update
$ sudo apt-get install plank
```

### 67、Filezilla

Filezilla 是一个免费和跨平台的 FTP 应用，包括 Filezilla 客户端和服务器。它让你使用 FTP 和加密的 FTP，如 FTPS 和 SFTP 传输文件，支持 IPv6 网络协议。

![][73]

它是一个简单的文件传输应用，支持拖放，支持世界范围的各种语言，多任务的强大用户界面，可以控制和配置传输速度。

### 68、Stacer

Stacer 是一个开源的系统诊断和优化工具，使用 Electron 开发框架开发。它有一个优秀的用户界面，你可以清理缓存内存、启动应用、卸载不需要的应用、掌控后台系统进程。

![][74]

它也可以让你检查磁盘、内存和 CPU 使用情况，给你下载和上传的实时状态。它看起来像 Ubuntu clener 的强力竞争者，但是两者都有独特的特点。

```
$ sudo add-apt-repository ppa:oguzhaninan/stacer
$ sudo apt-get update
$ sudo apt-get install stacer
```

### 69、4K 视频下载器

4K 视频下载器是一个简单的视频下载工具，你可以用来从 Vimeo、Facebook、YouTube 和其它在线视频流站点下载视频、播放列表、频道。它支持下载 YouTuBe 播放列表和频道，可以采用 MP4、MKV、M4A、3GP 和很多其它音/视频格式。

![][75]

4K 视频下载器不是你想的那么简单，除了正常的视频下载，它支持 3D 和 360 度视频下载。它同样提供应用内代理设置、直连 iTunes 等功能。你可以从[这里][76]下载。

### 70、Qalculate

Qalculate 是一个多用途、跨平台的桌面计算器，简单而强大。它可以用来解决复杂的数学问题和等式、货币汇率转换和很多其它日常计算。

![][77]

它有优秀的用户界面，提供了自定义功能、单位计算、符号计算、四则运算、画图和很多你可以在科学计算器上发现的功能。

### 71、Hiri

Hiri 是一个跨平台的邮件客户端，使用 Python 语言开发的。它有平滑的用户界面，就它的功能和服务而言，是 Micorsoft Outlook 的很好的替代品。这是很棒的邮件客户端，可以用来发送和接收邮件，管理通讯录、日历和任务。

![][78]

它是一个具有丰富特点的邮件客户端，提供的功能有集成的任务管理器、邮件同步、邮件评分、邮件过滤等多种功能。

```
$ sudo snap install hiri
```

### 72、Sublime Text

Sublime Text 是一个跨平台的源代码编辑器，用 C++ 和 Python 写的。它有 Python 语言编程接口（API），支持所有主流的编程语言和标记语言。它是简单轻量级的文本编辑器，可被用作 IDE，包含自动补全、语法高亮、分窗口编辑等功能。

![][79]

这个文本编辑器包括一些额外特点：任意跳转、跳转定义、多选、命令模式和可完全定制的用户界面。

```
$ sudo apt-get install sublime-text
```

### 73、TeXstudio

Texstudio 是一个创建和编辑 LaTex 文件的集成写作环境。它是开源的编辑器，提供了语法高亮、集成的查看器、交互式拼写检查、代码折叠、拖放等特点。

![][80]

它是跨平台的编辑器，有简单轻量级的用户界面，易于使用。它集成了 BibTex 和 BibLatex 目录管理器，同样有集成的 PDF 查看器。你可以从[官网][81]和 Ubuntu 软件中心下载 Texstudio。

### 74、QtQR

QtQR 是一个基于 Qt 的应用，让你在 Ubuntu 中创建和读取二维码。它是用 Python 和 Qt 开发的，有简单和轻量级的用户界面，你可以编码网站地址、邮件、文本、短消息等。你也可以用网络相机解码二维码。

![][82]

如果你经常处理产品销售和服务，QtQR 会证明是有用的工具，我觉得没有能在如此低硬件的要求下能和 QtQR 一样提供类似功能顺畅运行的应用了。

```
$ sudo add-apt-repository ppa: qr-tools-developers/qr-tools-stable
$ sudo apt-get update
$ sudo apt-get install qtqr
```

### 75、Kontact

Kontact 是一个为 KDE 桌面环境开发的集成的个人信息管理器（PIM）。它集成了多个软件到一个集合中，在一个用户界面集成了 KMail、KOrganizer和 KAddressBook，你可以管理所有的邮件、通讯录、日程表等。

![][83]

它可能是 Microsoft Outlook 的非常好的替代品，因为它是快速且高度高配置的消息管理工具。它有很好的用户界面，你会发现很容易上手。

```
$ sudo apt-get install kontact
```

### 76、NitroShare

NitroShare 是一个跨平台、开源的网络文件共享应用。它让你轻松的在局域网的多个操作系统中共享文件。它简单而强大，当在局域网中运行 NitroShare 时，它会自动侦查其它设备。

![][84]

文件传输速度让 NitroShare 成为一个杰出的文件共享应用，它在能够胜任的硬件中能够达到 GB 级的传输速度。没有必要额外配置，安装完成后你就可以开始文件传输。

```
$ sudo apt-add-repository ppa:george-edison55/nitroshare
$ sudo apt-get update
$ sudo apt-get install nitroshare
```

### 77、Konversation

Konversation 是一个为 KDE 桌面环境开发的开源的网络中继聊天（IRC）客户端。它给了你到 Freenode 网络频道的快速入口，你可以为大多数发行版找到支持。

![][85]

它是一个简单的聊天客户端，支持 IPv6 链接、SSL 服务器支持、书签、屏幕通知、UTF-8 检测和另外的主题。它易于使用的 GUI 是高度可配置的。

```
$ sudo apt-get install konversation
```

### 78、Discord

如果你是硬核游戏玩家，经常玩在线游戏，我有一个很棒的应用推荐给你。Discord 是一个免费的网络电话应用，尤其是为在线游戏者们设计的。它是一个跨平台的应用，可用来文字或语音聊天。

![][86]

Discord 是一个非常流行的语音通话应用游戏社区，因为它是完全免费的，它是 Skype、Ventrilo、Teamspeak 的很好的竞争者。它同样提供清晰的语音质量、现代的文本聊天，你可以共享图片、视频和链接。

### 79、QuiteRSS

QuiteRSS是一个开源的 RSS 和 Atom 新闻摘要的聚合应用。它是跨平台的摘要阅读器，用 Qt 和 C++ 写的。它有简单的用户界面，你可以改变为经典或者报纸模式。它集成了 webkit 浏览器，因此，你可以在单个窗口执行所有任务。

![][87]

QuiteRSS 自带了很多功能，像内容过滤、自动规划摘要、导入/导出 OPML、系统托盘集成了很多其它摘要阅读器有的特点。

```
$ sudo apt-get install quiterss
```

### 80、MPV Media Player

MPV 是一个自由开源的媒体播放器，基于 MPlayer 和 MPlayer 2。它有简单的用户界面，用户只需要拖放音/视频文件来播放，因为在 GUI 上没有添加媒体文件的选项。

![][88]

关于 MPV 的一件事是它可以轻松播放 4K 视频，Linux 发行版中的其它媒体播放器可能做不到。它同样给了用户播放在线视频流站点如 YouTube 和 Dailymotion 的能力。

```
$ sudo add-apt-repository ppa:mc3man/mpv-tests
$ sudo apt-get update
$ sudo apt-get install -y mpv
```

### 81、Plume Creator

如果你是一个作家，那么 Plume Creator 是你必不可少的应用，因为你在 Ubuntu 上找不到其它应用像 Plume Creater 这样。写作和编辑故事、章节是繁重的任务，在 Plume Creator 这个令人惊奇的工具的帮助下，将大大帮你简化这个任务。

![][89]

它是一个开源的应用，拥有精简的用户界面，开始你可能觉得困惑，但不久你就会习惯的。它提供的功能有：编辑笔记、摘要、导出 HTML 和 ODT 格式、富文本编辑。

```
$ sudo apt-get install plume-creator
```

### 82、Chromium Web 浏览器

Chromium 是一个由 Google 开发和发布的开源 Web 浏览器。Chromium 就其外观和特点而言，很容易被误认为是 Chrome。它是轻量级和快速的网络浏览器，拥有最小用户界面。

![][90]

如果你经常在 Windows 上使用 Google Chrome，而想在 Linux 上寻找一个类似的浏览器，那么 Chromium 就是你的最佳选择，你可以登录到你的 Google 账户以访问包括 Gmail 在内的所有 Google 服务。

### 83、简单天气指示器

简单天气指示器是用 Python 开发的开源天气提示应用。它自动侦查你的位置，并显示你天气信息像温度，下雨的可能性，湿度，风速和可见度。

![][91]

简单天气指示器自带一些可配置项，例如位置检测、温度单位、位置可见度开关等等。它是一个还酷的应用，可以根据你的桌面来调整。

### 84、SpeedCrunch

SpeedCrunch 是一个快速和高精度的科学计算器。它预置了数学函数、用户定义函数、复数和单位转换支持。它有简单的用户界面并易于使用。

![][92]

这个科学计算器有令人吃惊的特点，如结果预览、语法高亮和自动补全。它是跨平台的，并有多语言支持。

### 85、Scribus

Scribus 是一个自由开源的桌面出版应用，允许你创建宣传海报、杂志和图书。它是基于 Qt 工具器的跨平台应用，在 GNU 通用公共许可证下发布。它是一个专业的应用，拥有 CMYK 和 ICC 颜色管理的功能、基于 Python 的脚本引擎，和 PDF 创建功能。

![][93]

Scribus 有相当好的用户界面，易于使用，可以在低配置下轻松使用。在所有的最新的 Linux 发行版的软件中心可以下载它。

### 86. Cura

Cura 是一个由 David Braam 开发的开源的 3D 打印应用。Ultimaker Cura 是 3D 打印世界最流行的软件，世界范围有百万用户在使用。它遵守 3D 打印模型的 3 步：设计、准备、打印。

![][94]

它是功能丰富的 3D 打印应用，为 CAD 插件和扩展提供了无缝支持。它是一款简单易于使用的工具，新手艺术家可以马上开始了。它支持主流的文件格式像 STL、3MF 和 OBJ。

### 87、Nomacs

Nomacs 是一款开源、跨平台的图像浏览器，支持所有主流的图片格式包括 RAW 和 psd 图像。它可以浏览 zip 文件中的图像或者 Microsoft Office 文件并提取到目录。

![][95]

Nomacs 拥有非常简单的用户界面，图像缩略图在顶部，它提供了一些基本的图像操作特点像修改、调整大小、旋转、颜色纠正等。

```
$ sudo add-apt-repository ppa:nomacs/stable
$ sudo apt-get update
$ sudo apt-get install nomacs
```

### 88、BitTicker

BitTicker 是一个 Ubuntu 上的在线的 BTC-USDT 价格接收器。它是一个简单的工具，能够连接到 bittrex.com　市场，提取最新的　BTC-USDT 价格，并在系统托盘显示 Ubuntu 时钟。

![][96]

它是简单但有用的工具，如果你经常有规律的投资比特币并且必须了解价格波动的话。

### 89、Organize My Files

Organize My Files 是一个跨平台的一键点击文件组织工具，它在 Ubuntu 中以 Snap 包的形式获得。它简单而强大，可以帮助你找到未组织的文件，通过简单点击来掌控它们。

![][97]

它有易于理解的用户界面，强大且快速。它提供了很多功能：自动组织、递归组织、智能过滤和多层文件夹组织等。

### 90、GnuCash

GnuCash 是一个金融账户软件，在 GNU 公共证书下自由使用。它是个人和商业账户的理想软件。它有简单的用户界面允许你追踪银行账户、股票、收入和花费。

![][98]

GnuCash 实现了双入口记账系统，基于专业的账户原则来确保帐薄的平衡和报告的精确。

### 91、Calibre

Calibre 是一个跨平台的开源的面向电子书需求的解决方案。它是一个简单的电子书管理器，提供显示、创建、编辑电子书、组织已存在的电子书到虚拟书库、同步和其它更多功能。

![][99]

Calibre 同样可以帮你转换电子书到你需要的格式并发送到你的电子书阅读设备。Calibre 是一个很棒的工具，如果你经常阅读和管理电子书的话。

### 92、MATE 词典

MATE 词典是一个简单的词典，基本上是为 MATE 桌面环境开发的。你可以仅仅输入字然后这个字典会显示意思和引用。

![][100]

它是简单和轻量级的在线词典，有极简的用户界面。

### 93、Converseen

Converseen 是免费的跨平台的批量图片处理应用，允许你转换、编辑、调整、旋转、裁剪大量图像，而仅仅需要一次鼠标点击。它提供了使用前缀或后缀图像批量重命名和从一个 Windows 图标文件提取图像等功能。

![][101]

它有很好的用户界面，易于使用，即时你是一个新手。它也能够转换整个 PDF 文件为图像集合。

### 94、贴片地图编辑器

贴片地图编辑器是一个免费的关卡地图编辑器，允许你以正交、等轴、和六角等方向编辑地图。这个工具对于游戏开发者在游戏引擎开发阶段内可能非常有用。

![][102]

它是一个通用的地图编辑器，让你创建升级位置、地图布局、碰撞区域和敌人位置。它保存所有的数据为 tmx 格式。

### 95. Qmmp

Qmmp 是一个自由开源的音频播放器，用 C++ 和 Qt 开发的。它是跨平台的音频播放器，界面与 Winamp 很相似。 它有简单的直观的用户界面，可以用 Winamp 皮肤替代默认的 UI。

![][103]

它提供了自动唱片集封面获取、支持多艺术家，另外的插件和扩展支持和其它与 Winamp 相似的特点。

```
$ sudo add-apt-repository ppa:forkotov02/ppa
$ sudo apt-get update
$ sudo apt-get install qmmp qmmp-q4 qmmp-plugin-pack-qt4
```

### 96、Arora

Arora 是一个免费开源的 web 浏览器，提供了专有的下载管理器、书签、私密模式、选项卡式浏览。

![][104]

Arora web 浏览器由 Benjamin C. Meyer 开发，它由于它的轻量自然灵活的特点在 Linux 用户间很受欢迎。

### 97、XnSketch

XnSketch 是一个 Ubuntu 上的酷应用，只需要几次点击，就能帮你转换你的图片为卡通或素描图。它展现了 18 个不同的效果，例如：锐化、白描、铅笔画等等。

![][105]

它有优秀的用户界面，易于使用。一些额外的特点包括透明度和边缘锐化调整、对比度、亮度、饱和度调整。

### 98、Geany

Geany 是一个简单而轻量级的文本编辑器，像一个集成开发环境。它是跨平台的文本编辑器，支持所有主流编程语言包括 Python、C++、LaTex、Pascal、C#、etc。


![][106]

Geany 有个类似于 Notepad++ 编程编辑器的简单用户界面。它提供了 IDE 的功能，如代码导航、自动补完、格式高亮，并支持扩展。

```
$ sudo apt-get install geany
```

### 99、Mumble

Mumble 是又一个 VoIP 应用，与 Discord 类似。Mumble 同样最初是为在线游戏玩家设计的，使用客户端-服务器架构提供了端到端的聊天。在 Mumble 上的声音质量非常好，它提供了端到端的加密来确保私密性。

![][107]

Mumble 是一个开源应用，有简单的用户界面，易于使用。Mumble 在 Ubuntu 软件中心可以下载。

```
$ sudo apt-get install mumble-server
```

### 100、Deluge

Deluge 是一个跨平台的轻量级的 BitTorrent 客户端，能够用来在 Ubuntu 上下载文件。BitTorrent 客户端与很多 Linux 发行版一起发行，但 Deluge 是最好的 BitTorrent 客户端，界面简单、易于使用。

![][108]

Deluge 拥有你可以在其它 BitTorrent 客户端上发现的所有功能，但是一个功能特别突出，它给了用户从其它设备访问客户端的能力，这样你可以远程下载文件了。

```
$ sudo add-apt-repository ppa:deluge-team/ppa
$ sudo apt-get update
$ sudo apt-get install deluge
```

所以这些就是 2018 年我为大家选择的 Ubuntu 上最好的 100 个应用了。所有列出的应用都在 Ubuntu 18.04 上测试了，肯定在老版本上也能运行。

--------------------------------------------------------------------------------

via: https://linuxhint.com/100_best_ubuntu_apps/

作者：[Swapnil Tirthakar][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[warmfrog](https://github.com/warmfrog)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://linuxhint.com/author/swapnil/
[1]:https://linuxhint.com/applications-2018-ubuntu/
[2]:https://linuxhint.com/wp-content/uploads/2018/06/100-Best-Ubuntu-Apps.png
[3]:https://linuxhint.com/wp-content/uploads/2018/06/Chrome.png
[4]:https://linuxhint.com/wp-content/uploads/2018/06/Steam.png
[5]:https://linuxhint.com/wp-content/uploads/2018/06/Wordpress.png
[6]:https://linuxhint.com/wp-content/uploads/2018/06/VLC.png
[7]:https://linuxhint.com/wp-content/uploads/2018/06/Atom-Text-Editor.png
[8]:https://linuxhint.com/wp-content/uploads/2018/06/GIMP.png
[9]:https://linuxhint.com/wp-content/uploads/2018/06/Google-Play.png
[10]:https://www.googleplaymusicdesktopplayer.com/
[11]:https://linuxhint.com/wp-content/uploads/2018/06/Franz.png
[12]:https://meetfranz.com/#download
[13]:https://linuxhint.com/wp-content/uploads/2018/06/Synaptic.png
[14]:https://linuxhint.com/wp-content/uploads/2018/06/Skype.png
[15]:https://linuxhint.com/wp-content/uploads/2018/06/VirtualBox.png
[16]:https://linuxhint.com/wp-content/uploads/2018/06/Unity-Tweak-Tool.png
[17]:https://linuxhint.com/wp-content/uploads/2018/06/Ubuntu-Cleaner.png
[18]:https://linuxhint.com/wp-content/uploads/2018/06/Visual-Studio-Code.png
[19]:https://linuxhint.com/wp-content/uploads/2018/06/Corebird.png
[20]:https://linuxhint.com/wp-content/uploads/2018/06/Pixbuf.png
[21]:https://linuxhint.com/wp-content/uploads/2018/06/Clementine.png
[22]:https://linuxhint.com/wp-content/uploads/2016/06/blender.jpg
[23]:https://linuxhint.com/wp-content/uploads/2018/06/Audacity.png
[24]:https://linuxhint.com/wp-content/uploads/2018/06/Vim.png
[25]:https://linuxhint.com/wp-content/uploads/2018/06/Inkscape-1.png
[26]:https://linuxhint.com/wp-content/uploads/2018/06/ShotCut.png
[27]:https://linuxhint.com/wp-content/uploads/2018/06/Simple-Screen-Recorder.png
[28]:https://linuxhint.com/wp-content/uploads/2018/06/Telegram.png
[29]:https://linuxhint.com/wp-content/uploads/2018/06/ClamTk.png
[30]:https://linuxhint.com/wp-content/uploads/2018/06/Mailspring.png
[31]:https://linuxhint.com/wp-content/uploads/2018/06/PyCharm.png
[32]:https://linuxhint.com/wp-content/uploads/2018/06/Caffeine.png
[33]:https://linuxhint.com/wp-content/uploads/2018/06/Etcher.png
[34]:https://etcher.io/
[35]:https://linuxhint.com/wp-content/uploads/2018/06/Neofetch.png
[36]:https://linuxhint.com/wp-content/uploads/2018/06/Liferea.png
[37]:https://linuxhint.com/wp-content/uploads/2018/06/Shutter.png
[38]:https://linuxhint.com/wp-content/uploads/2018/06/Weather.png
[39]:https://linuxhint.com/wp-content/uploads/2018/06/Ramme.png
[40]:https://github.com/terkelg/ramme/releases
[41]:https://linuxhint.com/wp-content/uploads/2018/06/Thunderbird.png
[42]:https://linuxhint.com/wp-content/uploads/2018/06/Pidgin.png
[43]:https://linuxhint.com/wp-content/uploads/2018/06/Krita.png
[44]:https://linuxhint.com/wp-content/uploads/2018/06/Dropbox.png
[45]:https://linuxhint.com/wp-content/uploads/2018/06/kodi.png
[46]:https://linuxhint.com/wp-content/uploads/2018/06/Spotify.png
[47]:https://linuxhint.com/wp-content/uploads/2018/06/Brackets.png
[48]:https://linuxhint.com/wp-content/uploads/2018/06/Bitwarden.png
[49]:https://linuxhint.com/wp-content/uploads/2018/06/Terminator.png
[50]:https://linuxhint.com/wp-content/uploads/2018/06/Yak-Yak.png
[51]:https://linuxhint.com/wp-content/uploads/2018/06/Thonny.png
[52]:https://linuxhint.com/wp-content/uploads/2018/06/Font-Manager.png
[53]:https://linuxhint.com/wp-content/uploads/2018/06/Atril.png
[54]:https://linuxhint.com/wp-content/uploads/2018/06/Notepadqq.png
[55]:https://linuxhint.com/wp-content/uploads/2018/06/Amarok.png
[56]:https://linuxhint.com/wp-content/uploads/2018/06/Cheese.png
[57]:https://linuxhint.com/wp-content/uploads/2018/06/MyPaint.png
[58]:https://linuxhint.com/wp-content/uploads/2018/06/PlayOnLinux.png
[59]:https://linuxhint.com/wp-content/uploads/2018/06/Akregator.png
[60]:https://linuxhint.com/wp-content/uploads/2018/06/Brave.png
[61]:https://linuxhint.com/wp-content/uploads/2018/06/Bitcoin-Core.png
[62]:https://linuxhint.com/wp-content/uploads/2018/06/Speedy-Duplicate-Finder.png
[63]:https://linuxhint.com/wp-content/uploads/2018/06/Zulip.png
[64]:https://linuxhint.com/wp-content/uploads/2018/06/Okular.png
[65]:https://linuxhint.com/wp-content/uploads/2018/06/Focus-Writer.png
[66]:https://linuxhint.com/wp-content/uploads/2018/06/Guake.png
[67]:https://linuxhint.com/wp-content/uploads/2018/06/KDE-Connect.png
[68]:https://linuxhint.com/wp-content/uploads/2018/06/CopyQ.png
[69]:https://linuxhint.com/wp-content/uploads/2018/06/Tilix.png
[70]:https://linuxhint.com/wp-content/uploads/2018/06/Anbox.png
[71]:https://linuxhint.com/wp-content/uploads/2018/06/OpenShot.png
[72]:https://linuxhint.com/wp-content/uploads/2018/06/Plank.png
[73]:https://linuxhint.com/wp-content/uploads/2018/06/FileZilla.png
[74]:https://linuxhint.com/wp-content/uploads/2018/06/Stacer.png
[75]:https://linuxhint.com/wp-content/uploads/2018/06/4K-Video-Downloader.png
[76]:https://www.4kdownload.com/download
[77]:https://linuxhint.com/wp-content/uploads/2018/06/Qalculate.png
[78]:https://linuxhint.com/wp-content/uploads/2018/06/Hiri.png
[79]:https://linuxhint.com/wp-content/uploads/2018/06/Sublime-text.png
[80]:https://linuxhint.com/wp-content/uploads/2018/06/TeXstudio.png
[81]:https://www.texstudio.org/
[82]:https://linuxhint.com/wp-content/uploads/2018/06/QtQR.png
[83]:https://linuxhint.com/wp-content/uploads/2018/06/Kontact.png
[84]:https://linuxhint.com/wp-content/uploads/2018/06/Nitro-Share.png
[85]:https://linuxhint.com/wp-content/uploads/2018/06/Konversation.png
[86]:https://linuxhint.com/wp-content/uploads/2018/06/Discord.png
[87]:https://linuxhint.com/wp-content/uploads/2018/06/QuiteRSS.png
[88]:https://linuxhint.com/wp-content/uploads/2018/06/MPU-Media-Player.png
[89]:https://linuxhint.com/wp-content/uploads/2018/06/Plume-Creator.png
[90]:https://linuxhint.com/wp-content/uploads/2018/06/Chromium.png
[91]:https://linuxhint.com/wp-content/uploads/2018/06/Simple-Weather-Indicator.png
[92]:https://linuxhint.com/wp-content/uploads/2018/06/SpeedCrunch.png
[93]:https://linuxhint.com/wp-content/uploads/2018/06/Scribus.png
[94]:https://linuxhint.com/wp-content/uploads/2018/06/Cura.png
[95]:https://linuxhint.com/wp-content/uploads/2018/06/Nomacs.png
[96]:https://linuxhint.com/wp-content/uploads/2018/06/Bit-Ticker-1.png
[97]:https://linuxhint.com/wp-content/uploads/2018/06/Organize-My-Files.png
[98]:https://linuxhint.com/wp-content/uploads/2018/06/GNU-Cash.png
[99]:https://linuxhint.com/wp-content/uploads/2018/06/Calibre.png
[100]:https://linuxhint.com/wp-content/uploads/2018/06/MATE-Dictionary.png
[101]:https://linuxhint.com/wp-content/uploads/2018/06/Converseen.png
[102]:https://linuxhint.com/wp-content/uploads/2018/06/Tiled-Map-Editor.png
[103]:https://linuxhint.com/wp-content/uploads/2018/06/Qmmp.png
[104]:https://linuxhint.com/wp-content/uploads/2018/06/Arora.png
[105]:https://linuxhint.com/wp-content/uploads/2018/06/XnSketch.png
[106]:https://linuxhint.com/wp-content/uploads/2018/06/Geany.png
[107]:https://linuxhint.com/wp-content/uploads/2018/06/Mumble.png
[108]:https://linuxhint.com/wp-content/uploads/2018/06/Deluge.png
[109]:https://twitter.com/linuxhint
[110]:https://twitter.com/SwapTirthakar
[111]:https://linux.cn/lctt/







 









