[#]: collector: (lujun9972)
[#]: translator: (WangYueScream)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11116-1.html)
[#]: subject: (Introducing kids to computational thinking with Python)
[#]: via: (https://opensource.com/article/19/2/break-down-stereotypes-python)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)


利用 Python 引导孩子的计算机思维
========================

> 编程可以给低收入家庭的学生提供足够的技能、信心和知识，进而让他们摆脱因为家庭收入低带来的经济和社会地位上的劣势。

![](https://img.linux.net.cn/data/attachment/album/201907/17/231228k3t9skntnlst59h9.jpg)

尽管暑假期间底特律公共图书馆的[帕克曼分部][1]挤满了无聊的孩子并且占用了所有的电脑，图书馆工作人员并不觉得这会是个问题，反而更多是一个机会。他们成立一个名为 [Parkman Coders][2] 的编程社团，社团以 [Qumisha Goss][3] 为首，她是图书管理员，也负责利用 Python 的魔力引导弱势儿童的计算机思维。

四年前 [Qumisha Goss][3] 刚发起 Parkman Coders 计划的时候， “Q”（代表她）并不是太懂编程。之后她通过努力成为图书馆里教学和技术方面的专家和树莓派认证讲师。 

社团最开始采用 [Scratch][4] 教学，但很快学生就对这种图形化的块编程感到乏味，他们觉得这就是个“婴儿玩具”。Q 坦言，“我们意识到是时候需要在课程内容这方面做些改变了，如果是为了维持课程内容对初学者的友好性继续选择 Scratch 教学，这无疑会影响孩子们后期继续保持对编程的关注。”因此，她开始教授孩子们 Python。

Q 是在 [Code.org][5] 平台玩地牢骷髅怪物这个关卡的时候第一次接触到 Python。她最开始是通过 《[Python Programming: An Introduction to Computer Science][6]》 和 《[Python for Kids][7]》 这两本书学习的 Python。她也推荐 《[Automate the Boring Stuff with Python][8]》 和 《[Lauren Ipsum: A Story about Computer Science and Other Improbable Things][9]》 这两本书。

### 建立一个基于树莓派的创客空间

Q 决定使用[树莓派][10]电脑来避免学生可能会因为自己的不当操作对图书馆的电脑造成损害，而且这些电脑因为便携性等问题也不方便用来构建组成一个创客空间。[树莓派][10]的购买价格加上它的灵活性和便携性包括生态圈里面的一些适合教学的自由免费软件，让大家更能感受到她的决策的可行性和可靠性。

虽然图书馆发起 [Parkman Coders][2] 社区计划的本意是通过努力创造一个吸引孩子们的学习空间，进而维持图书馆的平和，但社区发展的很快，很受大家欢迎，以至于这座建立于 1921 的大楼的空间，电脑和插座都不够用了。他们最开始是 20 个孩子共享 10 台[树莓派][10]来进行授课，但后来图书馆陆续收到了来自个人和公司比如 Microsoft、4H，和 Detroit Public Library Foundation 的资金援助从而能够购买更多设备以支撑社区的进一步壮大发展。

目前，每节课程大概有 40 个孩子参加，而且图书馆也有了足够的[树莓派][10]让参与者人手一台设备甚至还可以送出去一些。鉴于不少 [Parkman Coders][2] 的参与者来自于低收入家庭，图书馆也能提供别人捐赠的 Chromebooks 给他们使用。

Q 说，“当孩子们的表现可以证明他们能够很好的使用[树莓派][10]或者 [Microbit][11] 而且定期来参加课程，我们也会提供设备允许他们可以带回家练习。但即便这样也还是会遇到很多问题，比如他们在家无法访问网络或者没有显示器、键盘、鼠标等外设。”

### 利用 Python 学习生存技能，打破束缚

Q 说，“我认为教授孩子们计算机科学的主要目的是让他们学会批判性思考和解决问题的能力。我希望随着孩子们长大成人，不管他们选择在哪个领域继续发展他们的未来，这些经验教训都会一直伴随他们成长。此外，我也希望这个课程能够激发孩子们对创造的自豪感。能够清楚的意识到‘这是我做的’是一种很强烈、很有用的感受。而且一旦孩子们越早能够有这种成功的体验，我相信未来的路上他们都会满怀热情迎接新的挑战而不是逃避。”

她继续分享道，“在学习编程的过程中，你不得不对单词的拼写和大小写高度警惕。受限于孩子年龄，有时候阅读认知会是个大问题。为了确保课程受众的包容性，我们会在授课过程中大声拼读，同样我们也会极力鼓励孩子们大声说出他们不知道的或者不能正确拼写的单词，以便我们纠正。”

Q 也会尝试尽力去给需要帮助的孩子们更多的关注。她解释道，“如果我确认有孩子遇到困难不能跟上我们的授课进度，我们会尝试在课下时间安排老师辅导帮助他，但还是会允许他们继续参加编程。我们想帮助到他们而不是让他们因为挫败而沮丧的不再参与进来。”

最重要的是，[Parkman Coders][2] 计划所追求的是能够帮助每个孩子认识到每个人都会有独特的技能和能力。参与进来的大部分孩子都是非裔美国人，一半是女孩。Q 直言，“我们所生活在的这个世界，我们成长的过程中，伴随着各种各种的社会偏见，这些都常常会限制我们对自己所能达到的成就的准确认知。”她坚信孩子们需要一个没有偏见的空间，“他们可以尝试很多新事物，不会因为担心犯错责骂而束手束脚，可以放心大胆的去求知探索。”

Q 和 [Parkman Coders][2] 计划所营造的环境氛围能够帮助到参与者摆脱低家庭收入带来的劣势。如果说社区能够发展壮大到今天的规模真有什么独特秘诀的话，那大概就是，Q 解释道，“确保你有一个令人舒适的空间，充满了理解与宽容，这样大家才会被吸引过来。让来的人不忘初心，做好传道受业解惑的准备；当大家参与进来并感觉到充实愉悦，自然而然会想要留下来。”


--------------------------------------------------------------------------------

via: https://opensource.com/article/19/2/break-down-stereotypes-python

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[WangYueScream](https://github.com/WangYueScream)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://detroitpubliclibrary.org/locations/parkman
[2]: https://www.dplfound.org/single-post/2016/05/15/Parkman-Branch-Coders
[3]: https://www.linkedin.com/in/qumisha-goss-b3bb5470
[4]: https://scratch.mit.edu/
[5]: http://Code.org
[6]: https://www.amazon.com/Python-Programming-Introduction-Computer-Science/dp/1887902996
[7]: https://nostarch.com/pythonforkids
[8]: https://automatetheboringstuff.com/
[9]: https://nostarch.com/laurenipsum
[10]: https://www.raspberrypi.org/
[11]: https://microbit.org/guide/
