[#]: collector: (lujun9972)
[#]: translator: (chen-ni)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11076-1.html)
[#]: subject: (Can schools be agile?)
[#]: via: (https://opensource.com/open-organization/19/4/education-culture-agile)
[#]: author: (Ben Owens https://opensource.com/users/engineerteacher/users/ke4qqq/users/n8chz/users/don-watkins)

学校可以变得敏捷吗？
======
> 我们一定不会希望用商业的方式运作我们的学校 —— 但是更加注重持续改进的教育机构是可以让我们受益的。

![][1]

我们都有过那种感觉一件事情“似曾相识”的经历。在 1980 年代末期我经常会有这种感觉，那时候我刚刚进入工业领域不久。当时正赶上一波组织变革的热潮，美国制造业在尝试各种各样不同的模型，让企业领导、经理人和像我这样的工程师重新思考我们应该如何处理质量、成本、创新以及股东价值这样的问题。我们似乎每一年（有时候更加频繁）都需要通过学习一本书来找到让我们更精简、更扁平、更灵活以及更加能满足顾客需求的“最佳方案”。

这里面的很多方法都带来了巨大的改进，我至今仍然赞同它们的核心原则。像 John Kotter、Peter Drucker、Edwards Demming 和 Peter Senge 这样的思想领袖提出的某些思想和策略，还有我们采用的像 Six Sigma 以及在“丰田模式”里可以找到的一些流程优化方法，对我们改进工作都起到了十分关键的作用。

但是其他人似乎只是在同样的思想上进行了润色和调整，然后重新包装了一下 —— 所以我才会有那种 *似曾相识* 的感觉。但是当我成为了一名教师之后，我遇到了一个 *没有* 给我那种似曾相识的感觉的地方：教育界。事实上我十分惊讶地发现，在我的这个新职业里，“持续不断的改进”并 *不像* 在我之前的职业里那样重要了（特别是对于像我这种授课老师职级的人来说）。

为什么教育机构很少努力营造一种不断改进的文化氛围呢？我能想到几个原因，在这里我列举两个。

### 不再做生产线上的元件

这种不断改进的文化氛围遇到的第一个阻碍是，教育界普遍不愿意从其它行业借鉴可以为自己所用的思想 —— 特别是来自商界的思想。第二个阻碍是，主导教育界的仍然是一种自上而下的、等级制度森严的领导模式。人们往往只能在小范围内讨论这种系统性的、持续的改进方案，比如包括校长、助理校长、学校监管人（LCTT 译注：美国地方政府下设的一种官职，每个学校监管人管理一定数量的学校，接受学校校长的汇报）等等在内的学校领导和区域领袖。但是一小群人的参与是远远不足以带来整个组织层面的文化改革的。

在进一步展开观点之前，我想强调一下，上面所做的概括一定是存在例外情况的（我自己就见到过很多），不过我觉得任何一个教育界的利益相关者都应该会同意以下两点基本假设：

  1. 为学生提供高质量的、公平的教育和教学系统的工作所涉及到的任何人都应该将持续不断的改进作为思维方式里的重要部分；
  2. 如果学校领导在做决策的时候可以更多地参考那些离学生最近的工作者的意见，那么学生以及学生所在的社区都将更加受益；

那么教育界人士为什么会倾向于忽视（或者公然地敌视）教育界之外的思想呢？

比如我过去就曾经提议应该向别的行业借鉴一些思想和灵感来帮助我们更好地迎合学生的需求，并且果然遭到了批评。我经常得到的回应是：“你这是在把我们的学生当成生产线上的元件来对待呀！”但是我们的学生现在就是在被当作生产线上的元件对待，并且已经无以复加了。他们按照被年龄划分的群体考入大学，每天根据刺耳的铃声的指示去上一节又一节孤立的课程，并且由一些武断的、强调同一性而不是个性的考试来评判他们的成绩。

很多教育界人士可能不知道，生产线元件这种会让人想到流水线标准化作业的东西已经不是现代制造业里的重要组成部分了。得益于上面提到的不断改进的文化氛围，现代先进制造业已经可以做到在单个顾客产生需求的时候，以合理的价格有针对性地提供她所需要的商品。如果我们的学校也可以采用这种模式，教师们之间就更可能会进行协作，并且可以基于学生即时的需求和兴趣，不断完善每一个学生独特的成长和进步路线，而不受时间、课题或者其它传统规范的限制。

我并不是要呼吁大家像经营商业一样经营我们的学校。我所主张的是，用一种清晰而客观的态度去看待任何行业的任何思想，只要它们有可能帮助我们更好地迎合学生个体的需求。不过，如果想有效率地实现这个目标，我们需要仔细研究这个 100 多年来都停滞不前的领导结构。

### 把不断改进作为努力的目标

有一种说法认为教育和其它行业之间存在着巨大的差异，我虽然赞同这种说法，但同时也相信“重新思考组织和领导结构”这件事情对于任何一个希望对利益相关者负责（并且可以及时作出响应）的主体来说都是适用的。大多数其它行业都已经在重新审视它们传统的、封闭的、等级森严的结构，并且采用可以鼓励员工基于共有的优秀目标发挥自主性的组织结构 —— 这种组织结构对于不断改进来说十分关键。我们的学校和行政区是时候放开眼界了，而不应该拘泥于只听到来自内部的声音，因为它们的用意虽然是好的，但都没有脱离现有的范式。

对于任何希望开始或者加速这个转变过程的学校，我推荐一本很好的书：Jim Whitehurst 的《开放组织》（这不应该让你感到意外）。这本书不仅可以帮助我们理解教育者如何创造更加开放、覆盖面更广的领导领导结构 —— 在这样的结构下，互相尊重让人们可以基于实时数据作出更加灵活的决策 —— 并且它所使用的语言风格也和教育者们所习惯使用的奇怪的词汇库非常契合（这种词汇库简直是教育者们第二天性)。任何组织都可以借鉴开放组织的思维提供的实用主义方法让组织成员更加开放：分享想法和资源、拥抱以共同协作为核心的文化、通过快速制作原型来开发创新思维、基于价值（而不是提出者的职级）来评估一个想法，以及创造一种融入到组织 DNA 里的很强的社区观念。通过众包的方式，这样的开放组织不仅可以从组织内部，也能够从组织外部收集想法，创造一种可以让本地化的、以学生为中心的创新蓬勃发展的环境。

最重要的事情是：在快速变化的未来，我们在过去所做的事情不一定仍然适用了 —— 认清楚这一点对于创造一个不断改进的文化氛围是十分关键的。对于教育者来说，这意味着我们不能只是简单地依赖在针对工厂模型发展出来的解决方案和实践方式了。我们必须从其它行业（比如说非营利组织、军事、医疗以及商业 —— 没错，甚至是商业）里借鉴数不清的最佳方案，这样至少应该能让我们 *知道* 如何找到让学生受益最大的办法。从教育界传统的陈词滥调里超脱出来，才有机会拥有更广阔的视角。我们可以更好地顾全大局，用更客观地视角看待我们遇到的问题，同时也知道我们在什么方面已经做得很不错。

通过有意识地借鉴各路思想 —— 从一年级教师到纽约时报上最新的商业、管理、领导力畅销书 —— 我们可以更好地发掘和运用校内人才，以帮助我们克服阻碍了我们的学校和区域进步的制度里的惰性。

坚持不懈地追求不断改进这件事情，不应该只局限于那种努力在一个全球化的、创新的经济环境中争取竞争力的机构，或者是负责运营学校的少数几个人。当机构里的每一个人都能不断思考怎样才能让今天比昨天做得更好的时候，这就是一个拥有优秀的文化氛围的机构。这种非常有注重协作性和创新的文化氛围，正是我们希望在这些负责改变年轻人命运的机构身上看到的。

我非常期待，有朝一日我能在学校里感受到这种精神，然后微笑着对自己说：“这种感觉多么似曾相识啊。”

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/4/education-culture-agile

作者：[Ben Owens][a]
选题：[lujun9972][b]
译者：[chen-ni](https://github.com/chen-ni)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/engineerteacher/users/ke4qqq/users/n8chz/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDUCATION_network.png?itok=ySEHuAQ8
