[#]: collector: (lujun9972)
[#]: translator: (zionfuo)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11080-1.html)
[#]: subject: (Blockchain 2.0 – Public Vs Private Blockchain Comparison [Part 7])
[#]: via: (https://www.ostechnix.com/blockchain-2-0-public-vs-private-blockchain-comparison/)
[#]: author: (editor https://www.ostechnix.com/author/editor/)

区块链 2.0：公有链与私有链（七）
======

![Public vs Private blockchain][1]

[区块链 2.0][2]系列的前一篇文章探索了[智能合同的现状][3]。这篇文章旨在揭示可以创建的不同类型的区块链。它们每个都用于非常不同的应用程序，并且根据用例的不同，每个应用程序所遵循的协议也不同。现在，让我们将公有链之于私有链对比一下开源软件之于专有技术。

正如我们所知，基于区块链的分布式分类账本的基本三层结构如下：

![][4]

*图 1 – 区块链分布式账本的基本结构*

这里提到的类型之间的差异主要归因于底层区块链其所依赖的协议。该协议规定了参与者的规则和参与的方式。

阅读本文时，请记住以下几点事项：

- 任何平台的产生都是为了解决需求而生。技术应该采取最好的方向。例如，区块链具有巨大的应用价值，其中一些可能需要丢弃在其他情形中看起来很重要的功能。在这方面，**分布式存储**就是最好的例子。
- 区块链本质上是一个数据库系统，通过时间戳和区块的形式组织数据来跟踪信息。此类区块链的创建者可以选择谁有权产出这些区块并进行修改。
- 区块链也可以“中心化”，参与的程度可以限定于由“中央权威”认定为符合条件的人。

大多数区块链要么是公有的，要么是私有的。广义上说，公有链可以被认为是开源软件的等价物，大多数私有链可以被视为源自公有链的专有平台。下图应该会让大多数人明显地看出基本的区别。

![][5]

*图 2 – 公有链/私有链与开源/专有技术的对比*

虽然这是最受欢迎的理解。但是这并不是说所有的私有链都是从公有链中衍生出来的。

### 公有链

公有链可以被视为是一个无需许可的、开放的平台或网络。任何拥有专业知识和计算资源的人都可以参与其中。这将产生以下影响：

- 任何人都可以加入公有链网络并参与到其中。“参与者” 所需要的只是稳定的网络资源和计算资源。
- 参与行为包括了读取、写入、验证和提供交易期间的共识。比特币矿工就是很好的例子。作为网络的参与者，矿工会得到比特币作为回报。
- 平台完全去中心，完全冗余。
- 由于去中心化，没有一个实体可以完全控制分类账本中记录的数据。所有 (或大多数) 参与者都需要通过验证区块的方式检查数据。
- 这意味着，一旦信息被验证和记录，就不能轻易改变。即使能改变，也不可能不留下痕迹。
- 在比特币和莱特币等平台上，参与者的身份仍然是匿名的。设计这些平台的目的是保护和保护用户身份。这主要是由上层协议栈提供的功能。
- 公有链有比特币、莱特币、以太坊等不同的网络。
- 广泛的去中心化意味着，在区块链分布式网络实现的交易，获得共识可能需要一段时间，对于旨在每时每刻都在推动大量交易的大型企业来说，吞吐量可能是一个挑战。
- 开放式参与，使比特币等公有链中的大量参与者，往往会增加对计算设备和能源成本的初始投资。
- 公有链以设计安全著称。它们的实现依靠以下几点：
  - 匿名参与者
  - 多个节点上的分布式和冗余的加密存储
  - 创建和更改数据需要大量的共识

### 私有链

相比之下，私有链是一个*被许可的区块链**。这意味着：

- 参与网络的许可受到限制，并由监督网络的所有者或机构主持。这意味着，即使个人能够存储数据并进行交易（例如，发送和接收付款），这些交易的验证和存储也只能由选定的参与者来完成。
- 参与者一旦获得中心机构的许可，将受到条款的限制。例如，在金融机构运营的私有链网络中，并不是每个客户都可以访问整个区块链的分布式账本，甚至在那些获得许可的客户中吗，也不是每个人都能访问所有的东西。在这种情况下，中心机构将授予访问选择服务的权限。这通常被称为 “**通道**”。
- 与公有链相比，这种系统具有更大的吞吐量能力，也展示了更快的交易速度，因为区块只需要由少数几个人验证。

私有链通常在其协议中没有任何特征。这使得该系统仅与目前使用的大多数基于云的数据库系统一样安全。

### 智者的观点

需要注意的一点是，它们被命名为公有或私有（或开源、闭源）的事实与底层代码库无关。在这两种情况下，平台所基于的代码或文字基础可能是公开的，也可能不是公开的。R3 是一家 DLT（<ruby>分布式分类账本<rt>**D**istributed **L**edger **T**echnology</rt></ruby>）公司，领导着由 200 多家跨国机构组成的公有财团。他们的目标是在金融和商业领域进一步发展区块链和相关分布式账本技术。corda  是这一共同努力的产物。R3 将 corda 定义为专门为企业构建的区块链平台。其代码库同样是开源的，鼓励世界各地的开发人员为这个项目做出贡献。然而，考虑到 corda 面临的业务性质和旨在满足的需求，corda 被归类为许可的封闭区块链平台。这意味着企业可以在部署后选择网络的参与者，并通过使用原生可用的智能合约工具选择这些参与者可以访问的信息类型。

虽然像比特币和以太坊这样的公有链负责该领域的广泛认知和发展，但仍然可以认为，为企业或商业环境中的特定用例设计的私有链将在短期内引领货币投资。这些都是我们大多数人在不久的将来会看到以实际方式运用起来的平台。

请继续阅读本系列中下一篇有关 Hyperledger 项目的文章。

- [区块链 2.0：Hyperledger（HLP）项目介绍][6]

我们正在研究更多有趣的区块链技术话题。敬请期待!

--------------------------------------------------------------------------------

via: https://www.ostechnix.com/blockchain-2-0-public-vs-private-blockchain-comparison/

作者：[ostechnix][a]
选题：[lujun9972][b]
译者：[zionfuo](https://github.com/zionfuo)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.ostechnix.com/author/editor/
[b]: https://github.com/lujun9972
[1]: https://www.ostechnix.com/wp-content/uploads/2019/04/Public-Vs-Private-Blockchain-720x340.png
[2]: https://linux.cn/article-10650-1.html
[3]: https://linux.cn/article-11013-1.html
[4]: http://www.ostechnix.com/wp-content/uploads/2019/04/blockchain-architecture.png
[5]: http://www.ostechnix.com/wp-content/uploads/2019/04/Public-vs-Private-blockchain-comparison.png
[6]: https://www.ostechnix.com/blockchain-2-0-an-introduction-to-hyperledger-project-hlp/
