[#]: collector: (lujun9972)
[#]: translator: (chen-ni)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11049-1.html)
[#]: subject: (Leading in the Python community)
[#]: via: (https://opensource.com/article/19/6/naomi-ceder-python-software-foundation)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)

领导 Python 社区
======

> 对话现任 Python 软件基金会董事会主席 Naomi Ceder。

![](https://img.linux.net.cn/data/attachment/album/201907/03/155715vrhkvapiiia9i3zp.jpg)

和开源软件世界的很多其他领袖一样，[Python 软件基金会][3]（PSF）的董事会主席 [Naomi Ceder][2] 通过一种不同寻常的方式走进了 Python 世界。正如她在 2017 年 PyCon España 大会上的 [keynote][4] 的标题所说，她是因为这个编程语言而来，因为这个社区而留下的。在我们和她的一次近期的交流中，她分享了自己成为 Python 社区领袖的历程，并且就“是什么让 Python 如此特别”这个问题提供了一些独到的见解。

### 从授课到编程

Naomi 的职业生涯是从古典文学开始的。她取得了拉丁文和古希腊文的博士学位，并且辅修了印欧语言学。在一家私立学校教授拉丁语的同时，她开始接触了计算机，学习如何编程、如何拆机进行升级或者维修。1995 年，她开始在 [Yggdrasil Linux][5] 系统上开发开源软件，并且帮助建立了印第安纳州韦恩堡的 [Linux 用户小组][6]。

作为一名教师，Naomi 相信在中学教授编程课程是非常重要的，因为等到大多数人上大学的时候，他们已经认为编程和科技相关的职业已经不是自己可以从事的了。她表示，更早地教授相关课程有助于增加科技人才的供给，提高人才的多元化和经验的广度，从而更好地满足行业需求。

大约在 2001 年前后，她决定从学习人类语言转向研究计算机语言，并同时教授计算机课程和管理学校的 IT 系统。在 2001 年的 Linux World 大会上听了一整天时任 PSF 主席 Guido Van Rossum （LCTT 译注：也是 Python 创始人）关于 Python 的演讲之后，她对 Python 的热情被点燃了。在那个时候，Python 还只是一门晦涩难懂的语言，但是她是如此喜欢 Python，以至于在她的学校开始使用 Python 记录学生信息、进行系统管理。

### 领导 Python 社区

Naomi 表示，“社区是 Python 成功背后的关键因素。开源软件的核心思想是分享，很少有人真的喜欢一个人坐在那儿盯着屏幕写代码。真正的满足来源于和别人交流想法，并且共同创造一些东西。”

她在第一届 [PyCon][7] 大会上发表了演讲，并且从此之后一直是一名参与者和领导者。她组织了一些 <ruby>趣味相投<rt>birds-of-a-feather<rt></ruby> 讨论会（LCTT 译注：birds-of-a-feather，一种在大会参与者之间进行的基于兴趣的非正式小规模讨论活动）、PyCon 和 PyCon UK 大会的海报展示会、教育峰会，以及 PyCon 大会的西班牙语频道。

她同时是 《[The Quick Python Book][9]》一书的作者，并且联合创立了 [Trans*Code][10]，“英国唯一一个专注于变性者的问题和机遇的黑客节”（LCTT 译注：<ruby>黑客节<rt>hack event</rt></ruby>是一种让软件开发、设计、项目管理等相关人员相聚在一起，针对软件项目进行高强度合作的活动）。Naomi 表示，“随着科技能够提供越来越多的机遇，确保传统意义上的边缘化群体能够同等地享受到这些机遇成为了一件更为重要的事情。”

### 通过 PSF 进行贡献

作为 PSF 的董事会主席，Naomi 积极地参与着该组织对 Python 语言和其使用者的支持工作。除了赞助 PyCon 大会的举办之外，PSF 基金会还为世界各地的小型聚会、大型会议和研习会提供资助。2018 年，该组织发放的资助接近 335000 美元，其中大多数款项的金额都在 500 美元到 5000 美元之间。

PSF 的短期目标是成为一个由专业人员维护的可持续的、稳定的、成熟的非盈利机构。它的长期目标包括发展可以提供对 Python 开发工作有效支持的各种资源，以及扩展该组织对全世界范围内 Python 教育工作的支持。

这些工作都需要来自社区的经济上的支持。Naomi 表示，PSF “最大的资金来源是 PyCon 大会。为了确保 PSF 的可持续性，我们同时也关注使用 Python 的企业的赞助，这是我们增长最快的部分。”会员费是每年 99 美元，并且 [捐款和募捐人][12] 同样也在帮助维持该组织的工作。

你可以在 PSF 的 [年度报告][13] 中了解该组织的更多工作情况。

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/6/naomi-ceder-python-software-foundation

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[chen-ni](https://github.com/chen-ni)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BIZ_HighTrust_1110_A.png?itok=EF5Tmcdk (Hands together around the word trust)
[2]: https://www.naomiceder.tech/pages/about/
[3]: https://www.python.org/psf/
[4]: https://www.youtube.com/watch?v=ayQK6app_wA
[5]: https://en.wikipedia.org/wiki/Yggdrasil_Linux/GNU/X
[6]: http://fortwaynelinux.org/about
[7]: http://pycon.org/
[8]: https://twitter.com/pyconcharlas?lang=en
[9]: https://www.manning.com/books/the-quick-python-book-third-edition
[10]: https://www.trans.tech/
[11]: https://www.python.org/psf/sponsorship/
[12]: https://www.python.org/psf/donations/
[13]: https://www.python.org/psf/annual-report/2019/
