[#]: collector: (lujun9972)
[#]: translator: (chen-ni)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11106-1.html)
[#]: subject: (The innovation delusion)
[#]: via: (https://opensource.com/open-organization/19/6/innovation-delusion)
[#]: author: (Jim Whitehurst https://opensource.com/users/jwhitehurst/users/jwhitehurst/users/n8chz/users/dhdeans)

创新的幻觉
======

> 创新是一种混乱的过程，但是关于创新的故事却很有条理。我们不应该把两者搞混了。

![](https://img.linux.net.cn/data/attachment/album/201907/16/120302zlyzlzl2d2vh1eyd.jpg)

如果说 [传统的规划方法已经消亡了][2]，为什么这么多机构还在孜孜不倦地运用那些针对工业革命所设计的规划方法呢？

其中的一个原因是，我们错误地认为创新是可以通过结构化的、线性的过程实现的。我觉得这样做是在混淆关于创新的 **故事** 和创新这个 **过程** 本身 —— 两者是截然不同的东西。

创新的过程是混乱和不可预测的，并不遵循井然有序的时间线。过程中充满了重复迭代、突然的改变方向、各式各样的启动和终止、死胡同、失败（但愿是有用的失败），以及很多不可知的变量。创新是混乱的。

但是关于创新的故事却让事情显得很简单，从讲述伟大发明的书籍和文章，到我们（简化了整个过程之后）讲述自己在工作上的成功都是这样。想想你在社交媒体上读的帖子里，有多少都只写了最好的、最愉快的部分吧。

好故事就是这样。我们把一些原本分散的时间点干净利落地整理到一起，有开头、有发展、也有结尾。尽管我们一路上经历了很多没有把握、恐慌、甚至是绝望的时刻，在故事里这些坎坷却都被抹平了，让事情看起来像是从一开始就注定是成功的。

我们不应该把混乱的过程和简化了的故事搞混。否则，我们会错误地认为可以使用在简单线性过程中所使用的同样的方法迎接创新的挑战。换句话说，我们将适用于一种类型的活动（比较偏死记硬背、机械和规则性的任务）的管理技术应用在了并不适用的另一种类型的活动（更加有创造性的、非线性的工作，需要自主性和试验）上。

### 一个创新的故事

下面这个故事可以很好地说明这一点。这是我 [最喜欢举的例子][2] 之一。

在 1970 年代，英国的摩托车行业怎么也想不明白为什么他们在美国的市场份额急剧下降，而本田公司的市场份额却急速攀升。他们雇佣了波士顿咨询公司（刚好是我之前的雇主）帮助他们找出问题所在。波士顿咨询搜集了一些历史数据，回看了二十年的历史事件，总结出了一个井井有条的、线性的故事，可以很好地解释本田公司的成功。

[波士顿咨询的结论是][3]，本田公司使用了一个巧妙的策略：通过一种可以以更低价格销售的偏小型摩托车进入美国市场，并且借助于他们在日本本土市场发展出来的规模经济，在美国市场使用低价策略发展市场份额，然后等到需求进一步增长的时候，再利用更大的规模经济发展他们在美国的市场份额。在所有人的眼中，本田公司都表现得非常出色，不仅发挥了自己的优势，还非常透彻和精准地理解了新的目标顾客：美国消费者。他们智胜一筹，通过一个执行得很好的计划占领了先机，胜过了竞争对手们。

这个故事 **听上去** 很厉害，但是实际情况没有这么简单。

没错，本田公司 **确实** 是想进入美国摩托车市场。他们最初是想 [效仿在美国的竞争对手][4]，也制造美国人似乎更喜欢的大型摩托车。但是大型摩托车并不是本田公司的强项，他们生产的大型摩托车存在可靠性上的问题。更糟的是，他们的产品和市面上的其它产品没有什么差别，所以并不能脱颖而出。简单来说，他们的产品销售额表现平平。

但是在一次奇妙的巧合里，本田公司出访美国的日本代表们带了几辆自己开的摩托车。这些摩托车和本田公司试图在美国市场上销售的摩托车完全不同，它们更为小巧灵活、不那么笨重、更有效率，并且一般来说也更便宜。西尔斯公司（LCTT 译注：美国零售业巨头）注意到了这些小巧的摩托车，并且和日本代表达成了一项协议，让西尔斯公司可以在他们在美国的商店里出售这种被称为“超级幼兽”的新型摩托车。

剩下的故事已经载入史册。超级幼兽成为了 [史上最畅销的机动车][5]，并且本田公司 [至今仍然在生产超级幼兽][6]。

事后看来，将超级幼兽带到美国的一连串事件似乎很有逻辑，近乎无聊了。但是本田公司的成功和“巧妙的计划”没有什么关系，而更应该归功于一些（大多数人不愿意承认的）机缘巧合。

### 开放（并且混乱的）创新

机构（特别是领导们）喜欢把成功说成是一件计划之内的事情 —— 好像成功人士可以驾驭混乱，并且几乎可以预测未来。但是这些言论都是事后诸葛亮罢了，他们在讲述自己充满偶然性的经历的时候会刻意将无序的事情整理一番，对于毫无确定性的事情也会说“我们就是想要那么做的”。

但是正如我前面说的，我们不应该相信这些故事是创新过程的真实还原，也不应该在这种错误的假设的基础之上去构建未来的方案或者实验。

试想有另一家摩托车制造商想要复制本田公司在超级幼兽上的成功，就逐字逐句地照搬波士顿咨询总结的故事。由于本田公司成功的 **故事** 听上去是如此有逻辑，并且是线性的，这家新公司也许会假定他们可以通过类似的程序得到同样的结果：制定目标、谋划行动，然后针对可预期的结果进行执行。但是我们知道本田公司并不是真的靠这种“制定、谋划、执行”的方式赢得他们的市场份额的。他们是通过灵活性和一点运气获得成功的 —— 更像是“尝试、学习、修改”。

当我们可以真正理解并且接受“创新过程是混乱的”这个事实的时候，我们就可以换种方式思考如何让我们的机构实现创新了。与其将资源浪费在预先制定的计划上，**强迫** 创新以一种线性时间线的方式发生，我们不如去构建一些开放并且敏捷的机构，可以 **在创新发生的时候做出及时的响应**。

几年前红帽公司发布一个包含了重大技术升级的产品的新版本的时候，我就看到了这样的方法。[红帽企业级 Linux 5.4 版本][8] 首次完全支持了一种被称为"基于内核的虚拟机"（KVM）的技术。这对于我们来说是一个重大的创新，不仅可以为顾客和合作伙伴带来巨大的价值，也有望为开源社区带来巨大的价值。

这项技术正在快速演进。幸运的事，因为我们是一个开放的机构，我们具有足够的适应能力，可以在这项创新发生的时候做出响应，从而帮助我们的顾客和合作伙伴可以更好地利用它。这项技术太重要了，并且竞争格局也太不稳定了，以至于我们没有理由要等到像 6.0 版本这样的里程碑时刻才出手。

如果你回看红帽企业级 Linux [已经存档的发行说明][9]，你会发现它读起来并不像一个典型的软件创新的故事。一次改变游戏规则的进展突然出现在一个没有预测到的、并不起眼的时刻（5.4 版本），而不是一个事先计划好的重要里程碑时刻（6.0 版本）。事后看来，我们现在知道 KVM 这种“大爆炸”级别的进步是足够担得起 “6.0 版本”这样的里程碑式的名字的。但是创新并不是按照这样的剧本发生的。

不要误解我，机构仍然需要保持出色的运转，高效完成执行性的任务。但是 [不同的挑战需要不同的方法去应对][10]，我们需要能够更好地建立灵活的机构，以及对 [意想不到和不可知的事情][11] 能够做出更好的响应。

一个在计划工作（以及按照计划执行）上做得很出色的公司很可能会得到他们计划要得到的结果。但是如果成功还取决于我们没有预测或者无法预测的的事情，那么仅仅精准地按照计划执行是不是就不够了？

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/6/innovation-delusion

作者：[Jim Whitehurst][a]
选题：[lujun9972][b]
译者：[chen-ni](https://github.com/chen-ni)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jwhitehurst/users/jwhitehurst/users/n8chz/users/dhdeans
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/innovation_lightbulb_gears_devops_ansible.png?itok=TSbmp3_M (gears and lightbulb to represent innovation)
[2]: https://www.youtube.com/watch?v=8MCbJmZQM9c
[3]: https://assets.publishing.service.gov.uk/government/uploads/system/uploads/attachment_data/file/235319/0532.pdf
[4]: http://www.howardyu.org/the-revolutionary-approach-honda-took-to-rise-above-competition/
[5]: https://autoweek.com/article/motorcycles/first-ride-honda-super-cub-c125-abs-all-new-and-still-super-cute
[6]: https://www.autoblog.com/2019/02/13/2019-honda-super-cub-first-ride-review/
[7]: https://opensource.com/open-organization/18/3/try-learn-modify
[8]: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/5/html/5.4_release_notes/index
[9]: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/5/html/5.0_release_notes/index
[10]: https://opensource.com/open-organization/19/4/managed-enabled-empowered
[11]: https://www.linkedin.com/pulse/how-plan-world-full-unknowns-jim-whitehurst/
