[#]: collector: (lujun9972)
[#]: translator: (heguangzhi)    
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11130-1.html)
[#]: subject: (Become a lifelong learner and succeed at work)
[#]: via: (https://opensource.com/open-organization/19/7/informal-learning-adaptability)
[#]: author: (Colin Willis https://opensource.com/users/colinwillishttps://opensource.com/users/marcobravo)


成为终身学习者，并在工作中取得成功
======

> 在具有适应性文化的开放组织中，学习应该一直持续 —— 但不会总是出现在正式场合。我们真的明白它是如何工作的吗？ 

![Writing in a notebook][1]

持续学习是指人们为发展自己而进行的持续的、职业驱动的、有意识的学习过程。对于那些自认是持续学习者的人来说，学习从未停止 —— 这些人从日常经历中看到学习机会。与同事进行辩论、反思反馈、在互联网上寻找问题的解决方案、尝试新事物或冒险都是一个人在工作中可以进行的非正式学习活动的例子。

持续学习是开放组织中任何人的核心能力。毕竟，开放的组织是建立在同行相互思考、争论和行动的基础上的。在开放组织的模棱两可、话语驱动的世界中茁壮成长，每天都需要员工具备这些技能。

不幸的是，科学文献在传播我们在工作中学习的知识方面、帮助个人欣赏和发展自己的学习能力方面，做得很差。因此，在本文系列中，我将向你介绍非正式学习，并帮助你理解将学习视为一种技能会如何帮助你在任何组织中茁壮成长，尤其是在开放式组织中。

### 为什么这么正式？

迄今为止，对组织中学习的科学研究主要集中在正式学习而不是非正式学习的设计、交付和评估上。

投资于员工知识、技能和能力的发展是一个组织保持其相对于竞争对手优势的重要方式。组织通过创建或购买课程、在线课程、研讨会等来使学习机会正规化。这些课程旨在像个人传授与工作相关的内容，就像学校里的班级一样。对于一个组织来说，提供一门课程是一种简单（如果成本高昂的话）的方法，可以确保其员工的技能或知识保持最新。同样，教室环境是研究人员的天然实验室，使得基于培训的研究和工作不仅可能，而且强大。

当然，有些东西人们不需要培训来学习；通常，人们通过研究答案、与同事交谈、思考、实验或适应变化来学习。事实上，[最近的评估表明][2] 70% 到 80% 的与工作相关的知识不是在培训中学到的，而是在工作中非正式学到的。这并不是说正规的培训无效；培训可能非常有效，但它是一种精确的干预方式。在工作的大部分方面正式培训一个人是不现实的，尤其是当这些工作变得更加复杂的时候。

因此，非正式学习，或者任何发生在结构化学习环境之外的学习，对工作场所来说是极其重要的。事实上，[最近的科学证据][3]表明，非正式学习比正式培训更能预测工作表现。

那么，为什么机构和科学界如此关注培训呢？

### 循环过程

除了我前面提到的原因，研究非正式学习可能非常困难。与正式学习不同，非正式学习发生在非结构化环境中，高度依赖于个人，很难或不可能观察到。

直到最近，大多数关于非正式学习的研究都集中在定义非正式学习的合格特征和确定非正式学习在理论上是如何与工作经验联系在一起的。研究人员描述了一个[动态的周期性过程][4]，通过这个过程，个人可以在组织中非正式地学习。

与正式学习一样，非正式学习发生在非结构化环境中，高度依赖于个人，很难或不可能观察。

在这个过程中，个人和组织都有创造学习机会的机构。例如，一个人可能对学习某样东西感兴趣，并为此表现出学习行为。组织以向个人提供反馈的形式，可能表明需要学习。这可能是一个糟糕的绩效评估、一个在项目中发表的评论、或者一个不是个人指导的组织环境的更广泛的变化。这些力量在组织环境中（例如，有人尝试了一个新想法，他或她的同事认识到并奖励了这种行为）或者通过在个人的头脑中反思（例如，有人反思了关于他或她的表现的，并决定在学习工作中付出更多的努力）。与培训不同，非正式学习不遵循正式的线性过程。个人可以随时体验过程的任何部分，同时体验过程的多个部分。

### 开放组织中的非正式学习

具体而言，在开放组织中，既减少了对等级制度的重视程度，又更加注重对参与式文化的重视程度，这两者都推动了这种非正式的学习。简而言之，开放式组织只是为个人和组织环境提供了更多互动和激发学习的机会。此外，想法和变革需要开放式组织中员工给予更广泛的认同 —— 而认同需要对他人的适应性和洞察力的欣赏。

也就是说，仅仅增加学习机会并不能保证学习会发生或成功。有人甚至可能会说，开放式组织中常见的模糊性和公开性话语可能会阻止不擅长持续学习的人——同样，随着时间的推移学习的习惯和开放式组织的核心能力——尽可能有效地为组织做出贡献。

解决这些问题需要一种以一致的方式跟踪非正式学习。最近，科学界呼吁创造衡量非正式学习的方法，这样就可以进行系统的研究来解决非正式学习的前因后果的问题。我自己的研究集中在这一呼吁上，我花了几年时间发展和完善我们对非正式学习行为的理解，以便可以衡量它们。

在本文系列的第二部分，我将重点介绍我最近在一个开放式组织中进行的一项研究的成果，在该研究中，我测试了我对非正式学习行为的研究，并将它们与更广泛的工作环境和个人工作成果联系起来。

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/7/informal-learning-adaptability

作者：[Colin Willis][a]
选题：[lujun9972][b]
译者：[heguangzhi](https://github.com/heguangzhi)  
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/colinwillishttps://opensource.com/users/marcobravo
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/notebook-writing-pen.jpg?itok=uA3dCfu_ (Writing in a notebook)
[2]: https://www.groupoe.com/images/Accelerating_On-the-Job-Learning_-_White_Paper.pdf
[3]: https://www.researchgate.net/publication/316490244_Antecedents_and_Outcomes_of_Informal_Learning_Behaviors_a_Meta-Analysis
[4]: https://psycnet.apa.org/record/2008-13469-009
