[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11280-1.html)
[#]: subject: (A dozen ways to learn Python)
[#]: via: (https://opensource.com/article/19/8/dozen-ways-learn-python)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)

学习 Python 的 12 个方式
======

> 这些资源将帮助你入门并熟练掌握 Python。

![](https://img.linux.net.cn/data/attachment/album/201908/29/083446r00gdsohb7lwxdxy.jpg)

Python 是世界上[最受欢迎的][2]编程语言之一，它受到了全世界各地的开发者和创客的欢迎。大多数 Linux 和 MacOS 计算机都预装了某个版本的 Python，现在甚至一些 Windows 计算机供应商也开始安装 Python 了。

也许你尚未学会它，想学习但又不知道在哪里入门。这里的 12 个资源将帮助你入门并熟练掌握 Python。

### 课程、书籍、文章和文档

1、[Python 软件基金会][3]提供了出色的信息和文档，可帮助你迈上编码之旅。请务必查看 [Python 入门指南][4]。它将帮助你得到最新版本的 Python，并提供有关编辑器和开发环境的有用提示。该组织还有可以来进一步指导你的[优秀文档][5]。

2、我的 Python 旅程始于[海龟模块][6]。我首先在 Bryson Payne 的《[教你的孩子编码][7]》中找到了关于 Python 和海龟的内容。这本书是一个很好的资源，购买这本书可以让你看到几十个示例程序，这将激发你的编程好奇心。Payne 博士还在 [Udemy][8] 上以相同的名称开设了一门便宜的课程。

3、Payne 博士的书激起了我的好奇心，我渴望了解更多。这时我发现了 Al Sweigart 的《[用 Python 自动化无聊的东西][9]》。你可以购买这本书，也可以使用它的在线版本，它与印刷版完全相同且可根据知识共享许可免费获得和分享。Al 的这本书让我学习到了 Python 的基础知识、函数、列表、字典和如何操作字符串等等。这是一本很棒的书，我已经购买了许多本捐赠给了当地图书馆。Al 还提供 [Udemy][10] 课程；使用他的网站上的优惠券代码，只需 10 美元即可参加。

4、Eric Matthes 撰写了《[Python 速成][11]》，这是由 No Starch Press 出版的 Python 的逐步介绍（如同上面的两本书）。Matthes 还有一个很棒的[伴侣网站][12]，其中包括了如何在你的计算机上设置 Python 以及一个用以简化学习曲线的[速查表][13]。

5、[Python for Everybody][14] 是另一个很棒的 Python 学习资源。该网站可以免费访问 [Charles Severance][15] 的 Coursera 和 edX 认证课程的资料。该网站分为入门、课程和素材等部分，其中 17 个课程按从安装到数据可视化的主题进行分类组织。Severance（[@drchuck on Twitter][16]），是密歇根大学信息学院的临床教授。

6、[Seth Kenlon][17]，我们 Opensource.com 的 Python 大师，撰写了大量关于 Python 的文章。Seth 有很多很棒的文章，包括“[用 JSON 保存和加载 Python 数据][18]”，“[用 Python 学习面向对象编程][19]”，“[在 Python 游戏中用 Pygame 放置平台][20]”，等等。

### 在设备上使用 Python

7、最近我对 [Circuit Playground Express][21] 非常感兴趣，这是一个运行 [CircuitPython][22] 的设备，CircuitPython 是为微控制器设计的 Python 编程语言的子集。我发现 Circuit Playground Express 和 CircuitPython 是向学生介绍 Python（以及一般编程）的好方法。它的制造商 Adafruit 有一个很好的[系列教程][23]，可以让你快速掌握 CircuitPython。

8、[BBC:Microbit][24] 是另一种入门 Python 的好方法。你可以学习如何使用 [MicroPython][25] 对其进行编程，这是另一种用于编程微控制器的 Python 实现。

9、学习 Python 的文章如果没有提到[树莓派][26]单板计算机那是不完整的。一旦你有了[舒适][27]而强大的树莓派，你就可以在 Opensource.com 上找到[成吨的][28]使用它的灵感，包括“[7 个值得探索的树莓派项目][29]”，“[在树莓派上复活 Amiga][30]”，和“[如何使用树莓派作为 VPN 服务器][31]”。

10、许多学校为学生提供了 iOS 设备以支持他们的教育。在尝试帮助这些学校的老师和学生学习用 Python 编写代码时，我发现了 [Trinket.io][32]。Trinket 允许你在浏览器中编写和执行 Python 3 代码。 Trinket 的 [Python 入门][33]教程将向你展示如何在 iOS 设备上使用 Python。
   
### 播客

11、我喜欢在开车的时候听播客，我在 Kelly Paredes 和 Sean Tibor 的 [Teaching Python][34] 播客上找到了大量的信息。他们的内容很适合教育领域。

12、如果你正在寻找一些更通用的东西，我推荐 Michael Kennedy 的 [Talk Python to Me][35] 播客。它提供了有关 Python 及相关技术的最佳信息。

你学习 Python 最喜欢的资源是什么？请在评论中分享。

计算机编程可能是一个有趣的爱好，正如我以前在 Apple II 计算机上编程时所学到的……

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/8/dozen-ways-learn-python

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/programming_code_screen_display.jpg?itok=2HMTzqz0 (Code on a screen)
[2]: https://insights.stackoverflow.com/survey/2019#most-popular-technologies
[3]: https://www.python.org/
[4]: https://www.python.org/about/gettingstarted/
[5]: https://docs.python.org/3/
[6]: https://opensource.com/life/15/8/python-turtle-graphics
[7]: https://opensource.com/education/15/9/review-bryson-payne-teach-your-kids-code
[8]: https://www.udemy.com/teach-your-kids-to-code/
[9]: https://automatetheboringstuff.com/
[10]: https://www.udemy.com/automate/?couponCode=PAY_10_DOLLARS
[11]: https://nostarch.com/pythoncrashcourse2e
[12]: https://ehmatthes.github.io/pcc/
[13]: https://ehmatthes.github.io/pcc/cheatsheets/README.html
[14]: https://www.py4e.com/
[15]: http://www.dr-chuck.com/dr-chuck/resume/bio.htm
[16]: https://twitter.com/drchuck/
[17]: https://opensource.com/users/seth
[18]: https://linux.cn/article-11133-1.html
[19]: https://opensource.com/article/19/7/get-modular-python-classes
[20]: https://linux.cn/article-10902-1.html
[21]: https://opensource.com/article/19/7/circuit-playground-express
[22]: https://circuitpython.org/
[23]: https://learn.adafruit.com/welcome-to-circuitpython
[24]: https://opensource.com/article/19/8/getting-started-bbc-microbit
[25]: https://micropython.org/
[26]: https://www.raspberrypi.org/
[27]: https://projects.raspberrypi.org/en/pathways/getting-started-with-raspberry-pi
[28]: https://opensource.com/sitewide-search?search_api_views_fulltext=Raspberry%20Pi
[29]: https://opensource.com/article/19/3/raspberry-pi-projects
[30]: https://opensource.com/article/19/3/amiga-raspberry-pi
[31]: https://opensource.com/article/19/6/raspberry-pi-vpn-server
[32]: https://trinket.io/
[33]: https://docs.trinket.io/getting-started-with-python#/welcome/where-we-ll-go
[34]: https://www.teachingpython.fm/
[35]: https://talkpython.fm/
