[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11289-1.html)
[#]: subject: (11 surprising ways you use Linux every day)
[#]: via: (https://opensource.com/article/19/8/everyday-tech-runs-linux)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)

你可能意识不到的使用 Linux 的 11 种方式
======

> 什么技术运行在 Linux 上？你可能会惊讶于日常生活中使用 Linux 的频率。

![](https://img.linux.net.cn/data/attachment/album/201909/01/000003dsqf45rbavr5vzja.jpg)

现在 Linux 几乎可以运行每样东西，但很多人都没有意识到这一点。有些人可能知道 Linux，可能听说过超级计算机运行着这个操作系统。根据 [Top500][2]，Linux 现在驱动着世界上最快的 500 台计算机。你可以转到他们的网站并[搜索“Linux”][3]自己查看一下结果。

### NASA 运行在 Linux 之上

你可能不知道 Linux 为 NASA（美国国家航空航天局）提供支持。NASA 的 [Pleiades][4] 超级计算机运行着 Linux。由于操作系统的可靠性，国际空间站六年前[从 Windows 切换到了 Linux][5]。NASA 甚至最近给国际空间站部署了三台[运行着 Linux][6] 的“Astrobee”机器人。

### 电子书运行在 Linux 之上

我读了很多书，我的首选设备是亚马逊 Kindle Paperwhite，它运行 Linux（虽然大多数人完全没有意识到这一点）。如果你使用亚马逊的任何服务，从[亚马逊弹性计算云（Amazon EC2）][7] 到 Fire TV，你就是在 Linux 上运行。当你问 Alexa 现在是什么时候，或者你最喜欢的运动队得分时，你也在使用 Linux，因为 Alexa 由 [Fire OS][8]（基于 Android 的操作系统）提供支持。实际上，[Android][9] 是由谷歌开发的用于移动手持设备的 Linux，而且占据了当今移动电话的[76％ 的市场][10]。

### 电视运行在 Linux 之上

如果你有一台 [TiVo][11]，那么你也在运行 Linux。如果你是 Roku 用户，那么你也在使用 Linux。[Roku OS][12] 是专为 Roku 设备定制的 Linux 版本。你可以选择使用在 Linux 上运行的 Chromecast 看流媒体。不过，Linux 不只是为机顶盒和流媒体设备提供支持。它也可能运行着你的智能电视。LG 使用 webOS，它是基于 Linux 内核的。Panasonic 使用 Firefox OS，它也是基于 Linux 内核的。三星、菲利普斯以及更多厂商都使用基于 Linux 的操作系统支持其设备。

### 智能手表和平板电脑运行在 Linux 之上

如果你拥有智能手表，它可能正在运行 Linux。世界各地的学校系统一直在实施[一对一系统][13]，让每个孩子都有自己的笔记本电脑。越来越多的机构为学生配备了 Chromebook。这些轻巧的笔记本电脑使用 [Chrome OS][14]，它基于 Linux。

### 汽车运行在 Linux 之上

你驾驶的汽车可能正在运行 Linux。 [汽车级 Linux（AGL）][15] 是一个将 Linux 视为汽车标准代码库的项目，它列入了丰田、马自达、梅赛德斯-奔驰和大众等汽车制造商。你的[车载信息娱乐（IVI）][16]系统也可能运行 Linux。[GENIVI 联盟][17]在其网站称，它开发了“用于集成在集中连接的车辆驾驶舱中的操作系统和中间件的标准方法”。

### 游戏运行在 Linux 之上

如果你是游戏玩家，那么你可能正在使用 [SteamOS][18]，这是一个基于 Linux 的操作系统。此外，如果你使用 Google 的众多服务，那么你也运行在 Linux上。

### 社交媒体运行在 Linux 之上

当你刷屏和评论时，你可能会意识到这些平台正在做的很多工作。也许 Instagram、Facebook、YouTube 和 Twitter 都在 Linux 上运行并不令人惊讶。

此外，社交媒体的新浪潮，去中心化的联合社区的联盟节点，如 [Mastodon][19]、[GNU Social][20]、[Nextcloud][21]（类似 Twitter 的微博平台）、[Pixelfed][22]（分布式照片共享）和[Peertube][23]（分布式视频共享）至少默认情况下在 Linux 上运行。由于开源，它们可以在任何平台上运行，这本身就是一个强大的优先级。

### 商业和政务运行在 Linux 之上

与五角大楼一样，纽约证券交易所也在 Linux 上运行。美国联邦航空管理局每年处理超过 1600 万次航班，他们在 Linux 上运营。美国国会图书馆、众议院、参议院和白宫都使用 Linux。

### 零售运行在 Linux 之上

最新航班座位上的娱乐系统很可能在 Linux 上运行。你最喜欢的商店的 POS 机可能正运行在 Linux 上。基于 Linux 的 [Tizen OS][24] 为智能家居和其他智能设备提供支持。许多公共图书馆现在在 [Evergreen][25] 和 [Koha][26] 上托管他们的综合图书馆系统。这两个系统都在 Linux 上运行。

### Apple 运行在 Linux 之上

如果你是使用 [iCloud][27] 的 iOS 用户，那么你也在使用运行在 Linux 上的系统。Apple 公司的网站在 Linux 上运行。如果你想知道在 Linux 上运行的其他网站，请务必使用 [Netcraft][28] 并检查“该网站运行在什么之上？”的结果。

### 路由器运行在 Linux 之上

在你家里将你连接到互联网的路由器可能正运行在 Linux 上。如果你当前的路由器没有运行 Linux 而你想改变它，那么这里有一个[优秀的方法][29]。

如你所见，Linux 从许多方面为今天的世界提供动力。还有什么运行在 Linux 之上的东西是人们还没有意识到的？请让我们在评论中知道。

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/8/everyday-tech-runs-linux

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/truck_steering_wheel_drive_car_kubernetes.jpg?itok=0TOzve80 (Truck steering wheel and dash)
[2]: https://www.top500.org/
[3]: https://www.top500.org/statistics/sublist/
[4]: https://www.nas.nasa.gov/hecc/resources/pleiades.html
[5]: https://www.extremetech.com/extreme/155392-international-space-station-switches-from-windows-to-linux-for-improved-reliability
[6]: https://ntrs.nasa.gov/archive/nasa/casi.ntrs.nasa.gov/20180003515.pdf
[7]: https://aws.amazon.com/amazon-linux-ami/
[8]: https://en.wikipedia.org/wiki/Fire_OS
[9]: https://en.wikipedia.org/wiki/Android_(operating_system)
[10]: https://gs.statcounter.com/os-market-share/mobile/worldwide/
[11]: https://tivo.pactsafe.io/legal.html#open-source-software
[12]: https://en.wikipedia.org/wiki/Roku
[13]: https://en.wikipedia.org/wiki/One-to-one_computing
[14]: https://en.wikipedia.org/wiki/Chrome_OS
[15]: https://opensource.com/life/16/8/agl-provides-common-open-code-base
[16]: https://opensource.com/business/16/5/interview-alison-chaiken-steven-crumb
[17]: https://www.genivi.org/faq
[18]: https://store.steampowered.com/steamos/
[19]: https://opensource.com/article/17/4/guide-to-mastodon
[20]: https://www.gnu.org/software/social/
[21]: https://apps.nextcloud.com/apps/social
[22]: https://pixelfed.org/
[23]: https://joinpeertube.org/en/
[24]: https://wiki.tizen.org/Devices
[25]: https://evergreen-ils.org/
[26]: https://koha-community.org/
[27]: https://toolbar.netcraft.com/site_report?url=https://www.icloud.com/
[28]: https://www.netcraft.com/
[29]: https://opensource.com/life/16/6/why-i-built-my-own-linux-router
