区块链能如何补充开源
======

> 了解区块链如何成为去中心化的开源补贴模型。

![](https://img.linux.net.cn/data/attachment/album/201909/16/111521od1yn9r1nr1eii9o.jpg)

《<ruby>[大教堂与集市][1]<rt>The Cathedral and The Bazaar</rt></ruby>》是 20 年前由<ruby>埃里克·史蒂文·雷蒙德<rt>Eric Steven Raymond<rt></ruby>（ESR）撰写的经典开源故事。在这个故事中，ESR 描述了一种新的革命性的软件开发模型，其中复杂的软件项目是在没有（或者很少的）集中管理的情况下构建的。这个新模型就是<ruby>开源<rt>open source</rt></ruby>。

ESR 的故事比较了两种模式：

* 经典模型（由“大教堂”所代表），其中软件由一小群人在封闭和受控的环境中通过缓慢而稳定的发布制作而成。
* 以及新模式（由“集市”所代表），其中软件是在开放的环境中制作的，个人可以自由参与，但仍然可以产生一个稳定和连贯的系统。
   
开源如此成功的一些原因可以追溯到 ESR 所描述的创始原则。尽早发布、经常发布，并接受许多头脑必然比一个更好的事实，让开源项目进入全世界的人才库（很少有公司能够使用闭源模式与之匹敌）。

在 ESR 对黑客社区的反思分析 20 年后，我们看到开源成为占据主导地位的的模式。它不再仅仅是为了满足开发人员的个人喜好，而是创新发生的地方。甚至是全球[最大][2]软件公司也正在转向这种模式，以便继续占据主导地位。

### 易货系统

如果我们仔细研究开源模型在实践中的运作方式，我们就会意识到它是一个封闭系统，只对开源开发者和技术人员开放。影响项目方向的唯一方法是加入开源社区，了解成文和不成文的规则，学习如何贡献、编码标准等，并自己亲力完成。

这就是集市的运作方式，也是这个易货系统类比的来源。易货系统是一种交换服务和货物以换取其他服务和货物的方法。在市场中（即软件的构建地）这意味着为了获取某些东西，你必须自己也是一个生产者并回馈一些东西——那就是通过交换你的时间和知识来完成任务。集市是开源开发者与其他开源开发者交互并以开源方式生成开源软件的地方。

易货系统向前迈出了一大步，从自给自足的状态演变而来，而在自给自足的状态下，每个人都必须成为所有行业的杰出人选。使用易货系统的集市（开源模式）允许具有共同兴趣和不同技能的人们收集、协作和创造个人无法自行创造的东西。易货系统简单，没有现代货币系统那么复杂，但也有一些局限性，例如：

* 缺乏可分性：在没有共同的交换媒介的情况下，不能将较大的不可分割的商品/价值兑换成较小的商品/价值。例如，如果你想在开源项目中进行一些哪怕是小的更改，有时你可能仍需要经历一个高进入门槛。
* 存储价值：如果一个项目对贵公司很重要，你可能需要投入大量投资/承诺。但由于它是开源开发者之间的易货系统，因此拥有强大发言权的唯一方法是雇佣许多开源贡献者，但这并非总是可行的。
* 转移价值：如果你投资了一个项目（受过培训的员工、雇用开源开发者）并希望将重点转移到另一个项目，却不可能快速转移（你在上一个项目中拥有的）专业知识、声誉和影响力。
* 时间脱钩：易货系统没有为延期或提前承诺提供良好的机制。在开源世界中，这意味着用户无法提前或在未来期间以可衡量的方式表达对项目的承诺或兴趣。
  
下面，我们将探讨如何使用集市的后门解决这些限制。

### 货币系统

人们因为不同的原因勾连于集市上：有些人在那里学习，有些是出于满足开发者个人的喜好，有些人为大型软件工厂工作。因为在集市中拥有发言权的唯一方法是成为开源社区的一份子并加入这个易货系统，为了在开源世界获得信誉，许多大型软件公司雇用这些开发者并以货币方式支付薪酬。这代表可以使用货币系统来影响集市，开源不再只是为了满足开发者个人的喜好，它也占据全球整体软件生产的重要部分，并且有许多人想要施加影响。

开源设定了开发人员交互的指导原则，并以分布式方式构建一致的系统。它决定了项目的治理方式、软件的构建方式以及其成果如何分发给用户。它是分散的实体共同构建高质量软件的开放共识模型。但是开源模型并没有包括如何补贴开源的部分，无论是直接还是间接地，通过内在或外在动机的赞助，都与集市无关。

![](https://opensource.com/sites/default/files/uploads/tokenomics_-_page_4.png)

目前，没有相当于以补贴为目的的去中心化式开源开发模型。大多数开源补贴都是集中式的，通常一家公司通过雇用该项目的主要开源开发者来主导该项目。说实话，这是目前最好的状况，因为它保证了开发人员将长期获得报酬，项目也将继续蓬勃发展。

项目垄断情景也有例外情况：例如，一些云原生计算基金会（CNCF）项目是由大量的竞争公司开发的。此外，Apache 软件基金会（ASF）旨在通过鼓励不同的贡献者来使他们管理的项目不被单一供应商所主导，但实际上大多数受欢迎的项目仍然是单一供应商项目。

我们缺少的是一个开放的、去中心化的模式，就像一个没有集中协调和所有权的集市一样，消费者（开源用户）和生产者（开源开发者）在市场力量和开源价值的驱动下相互作用。为了补充开源，这样的模型也必须是开放和去中心化的，这就是为什么我认为区块链技术[最适合][3]的原因。

旨在补贴开源开发的大多数现有区块链（和非区块链）平台主要针对的是漏洞赏金、小型和零碎的任务。少数人还专注于资助新的开源项目。但并没有多少平台旨在提供维持开源项目持续开发的机制 —— 基本上，这个系统可以模仿开源服务提供商公司或开放核心、基于开源的 SaaS 产品公司的行为：确保开发人员可以获得持续和可预测的激励，并根据激励者（即用户）的优先事项指导项目开发。这种模型将解决上面列出的易货系统的局限性：

* 允许可分性：如果你想要一些小的修复，你可以支付少量费用，而不是成为项目的开源开发者的全部费用。
* 存储价值：你可以在项目中投入大量资金，并确保其持续发展和你的发言权。
* 转移价值：在任何时候，你都可以停止投资项目并将资金转移到其他项目中。
* 时间脱钩：允许定期定期付款和订阅。

还有其他好处，纯粹是因为这种基于区块链的系统是透明和去中心化的：根据用户的承诺、开放的路线图承诺、去中心化决策等来量化项目的价值/实用性。

### 总结

一方面，我们看到大公司雇用开源开发者并收购开源初创公司甚至基础平台（例如微软收购 GitHub）。许多（甚至大多数）能够长期成功运行的开源项目都集中在单个供应商周围。开源的重要性及其集中化是一个事实。

另一方面，[维持开源软件][4]的挑战正变得越来越明显，许多人正在更深入地研究这个领域及其基本问题。有一些项目具有很高的知名度和大量的贡献者，但还有许多其他也重要的项目缺乏足够的贡献者和维护者。

有[许多努力][3]试图通过区块链来解决开源的挑战。这些项目应提高透明度、去中心化和补贴，并在开源用户和开发人员之间建立直接联系。这个领域还很年轻，但是进展很快，随着时间的推移，集市将会有一个加密货币系统。

如果有足够的时间和足够的技术，去中心化就会发生在很多层面：

* 互联网是一种去中心化的媒介，它释放了全球分享和获取知识的潜力。
* 开源是一种去中心化的协作模式，它释放了全球的创新潜力。
* 同样，区块链可以补充开源，成为去中心化的开源补贴模式。

请在[推特][5]上关注我在这个领域的其他帖子。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/9/barter-currency-system

作者：[Bilgin lbryam][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/bibryam
[1]: http://catb.org/
[2]: http://oss.cash/
[3]: https://opensource.com/article/18/8/open-source-tokenomics
[4]: https://www.youtube.com/watch?v=VS6IpvTWwkQ
[5]: http://twitter.com/bibryam
