[#]: collector: (lujun9972)
[#]: translator: (robsean)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11554-1.html)
[#]: subject: (6 Open Source Paint Applications for Linux Users)
[#]: via: (https://itsfoss.com/open-source-paint-apps/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

6 款面向 Linux 用户的开源绘图应用程序
======

小时候，当我开始使用计算机（在 Windows XP 中）时，我最喜欢的应用程序是微软的“画图”。我能在它上面涂鸦数个小时。出乎意料，孩子们仍然喜欢这个“画图”应用程序。不仅仅是孩子们，这个简单的“画图”应用程序，在很多情况下都能派上用场。

你可以找到一堆可以让你绘制/绘图或操作图片的应用程序。然而，其中一些是专有软件。既然你是一名 Linux 用户，为什么不关注一下开源绘图应用程序呢？

在这篇文章中，我们将列出一些最好的开源绘图应用程序，它们可以替代可用于 Linux 的专有绘画软件。

### 开源绘图 & 绘制应用程序

![][1]

**注意:** 该列表没有特别的排名顺序。

#### 1、Pinta

![][2]

主要亮点：

  * Paint.NET / 微软“画图”的极好替代品
  * 支持附加组件（有对 WebP 图像的支持）
  * 支持图层

[Pinta][3] 是一款令人赞叹的开源绘图应用程序，非常适合绘图和简单的图片编辑。换句话说，它是一款具有精美功能的简单绘图应用程序。

你可以将 [Pinta][4] 视为 Linux 上的“画图”的一个替代品，但是带有图层支持等等。不仅仅是“画图”，它也可以替代 Windows 上的 Paint.NET。尽管 Paint.NET 更好一些，但 Pinta 似乎是个不错的选择。

几个附加组件可以用于增强功能，例如[在 Linux 上支持 WebP 图像][5]。除了图层支持之外，你还可以轻松地调整图片大小、添加特效、进行调整（亮度、对比度等等），以及在导出图片时调整其质量。

##### 如何安装 Pinta ？

你应该能够在软件中心/应用程序中心/软件包管理器中简单地找到它。只需要输入 “Pinta”，并开始安装它。要么也可以尝试 [Flatpak][6] 软件包。

或者，你可以在终端中输入下面的命令（Ubuntu/Debian）：

```
sudo apt install pinta
```

下载软件包和安装指南的更多信息，参考[官方下载页面][7]。

#### 2、Krita

![][8]

主要亮点：

  * HDR 绘图
  * 支持 PSD
  * 支持图层
  * 笔刷稳定器
  * 二维动画

Krita 是 Linux 上最高级的开源绘图应用程序之一。当然，对于本文而言，它可以帮助你绘制草图和在画布上胡写乱画。除此之外，它还提供很多功能。

例如，如果你的手有点颤抖，它可以帮助你稳定笔刷的笔划。你可以使用内置的矢量工具来创建漫画画板和其它有趣的东西。如果你正在寻找具有全面的颜色管理支持、绘图助理和图层管理的软件，Krita 应该是你最好的选择。

##### 如何安装 Krita ？

类似于 pinta，你可以在软件中心/应用程序中心或软件包管理器的列表中找到它。它也可以 [Flatpak 存储库][10]中找到。

考虑通过终端安装它？输入下面的命令：

```
sudo apt install krita
```

要么你也可以前往它们的[官方下载页面][11]来获取 AppImage 文件并运行它。

如果你对 AppImage 文件一无所知，查看我们的指南 —— [如何使用 AppImage][12]。

#### 3、Tux Paint

![][13]

主要亮点：

  * 给儿童用的一个简单直接的绘图应用程序

我不是开玩笑，对于 3-12 岁儿童来说，Tux Paint 是最好的开源绘图应用程序之一。当然，当你只想乱画时，那无需选择，所以，在这种情况下，Tux Paint 似乎是最好的选择（即使是成年人！）。

##### 如何安装 Tuxpaint ？

Tuxpaint 可以从软件中心或软件包管理器下载。无论哪种情况，在 Ubuntu/Debian 上安装它，在终端中输入下面的命令：

```
sudo apt install tuxpaint
```

关于它的更多信息，前往[官方站点][14]。

#### 4、Drawpile

![][15]

主要亮点：

  * 协同绘制
  * 内置聊天功能，可与其他用户互动
  * 图层支持
  * 记录绘制会话

Drawpile 是一个有趣的开源绘图应用程序，在该程序中，你可以与其他用户实时协作。确切地说，你们可以单个画布中同时绘制。除了这个独特的功能，它还有图层支持、记录绘制会话的能力，甚至还有与协作用户进行交互的聊天功能。

你可以主持或加入一个公共会话，或通过一个密码与你的朋友建立私有会话。默认情况下，服务器将是你的计算机，但是如果你需要远程服务器那也可以。

注意，你将需要[注册一个 Drawpile 账户][16] 才能进行协作。

##### 如何安装 Drawpile ？

据我所知，你只能在 [Flatpak 存储库][17]的列表中找到它。

#### 5、MyPaint

![][19]

主要亮点：

  * 易用的数码画家工具
  * 支持图层管理
  * 很多微调你的画笔和绘制的选项

对于数码画家来说，[MyPaint][20] 是一个简单而强大的工具。它具有许多选项，可以调整以制作出完美的数字画笔笔触。我不是一个数字艺术家（但我是一个涂鸦者），但是我注意到有很多调整笔刷、颜色的选项，和一个添加中间结果暂存器面板的选项。

它也支持图层管理，也许你需要它。最新的稳定版本已经有几年没有更新了，但是当前的 alpha 构建版本（我测试过）运行良好。如果你正在 Linux 上寻找一个开源绘图应用程序 —— 试试这个。

##### 如何安装 MyPaint ？

MyPaint 可在官方存储库中获得。然而，这是老旧的版本。如果你仍然想继续，你可以在软件中心搜索它，或在终端中输入下面的命令：

```
sudo apt install mypaint
```

你可以前往它的官方 [GitHub 发布页面][21]获取最新的 alpha 构建版本，获取 [AppImage 文件][12]（任意版本）并使它可执行并启动应用程序。

#### 6、KolourPaint

![][22]

主要亮点：

  * 一个 Linux 上的“画图”的简单替代品
  * 不支持图层管理

如果你不需要任何图层管理的支持，而只是想要一个开源绘图应用程序来绘制东西 —— 那就是它了。

[KolourPaint][23] 最初是为 KDE 桌面环境定制的，但是它在其它的桌面环境中也能完美地工作。

##### 如何安装 KolourPaint ？

你可以从软件中心安装 KolourPaint，或通过终端使用下面的命令：

```
sudo apt install kolourpaint4
```

你总可以试试 [Flathub][24]。

### 总结

如果你在考虑如 GIMP/Inkscape 这样的应用程序，我们在另一篇关于[给数码艺术家的最好 Linux 工具][25]的文章中列出。如果你对更多的选择好奇，我建议你去查看它。

在这里，我们尝试编写一份 Linux 可用的最佳开源绘图应用程序列表。如果你认为我们错过一些东西，请在下面的评论区告诉我们！

--------------------------------------------------------------------------------

via: https://itsfoss.com/open-source-paint-apps/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[robsean](https://github.com/robsean)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/09/open-source-paint-apps.png?resize=800%2C450&ssl=1
[2]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/09/pinta.png?ssl=1
[3]: https://pinta-project.com/pintaproject/pinta/
[4]: https://itsfoss.com/pinta-1-6-ubuntu-linux-mint/
[5]: https://itsfoss.com/webp-ubuntu-linux/
[6]: https://www.flathub.org/apps/details/com.github.PintaProject.Pinta
[7]: https://pinta-project.com/pintaproject/pinta/releases
[8]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/09/krita-paint.png?ssl=1
[9]: https://itsfoss.com/things-to-do-after-installing-fedora-24/
[10]: https://www.flathub.org/apps/details/org.kde.krita
[11]: https://krita.org/en/download/krita-desktop/
[12]: https://itsfoss.com/use-appimage-linux/
[13]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/09/tux-paint.jpg?ssl=1
[14]: http://www.tuxpaint.org/
[15]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/09/drawpile.png?ssl=1
[16]: https://drawpile.net/accounts/signup/
[17]: https://flathub.org/apps/details/net.drawpile.drawpile
[18]: https://itsfoss.com/ocs-store/
[19]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/09/mypaint.png?ssl=1
[20]: https://mypaint.org/
[21]: https://github.com/mypaint/mypaint/releases
[22]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/09/kolourpaint.png?ssl=1
[23]: http://kolourpaint.org/
[24]: https://flathub.org/apps/details/org.kde.kolourpaint
[25]: https://itsfoss.com/best-linux-graphic-design-software/
