[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Back to School: Your SD-WAN Reading List)
[#]: via: (https://www.networkworld.com/article/3433618/back-to-school-your-sd-wan-reading-list.html)
[#]: author: (Cato Networks https://www.networkworld.com/author/Matt-Conran/)

Back to School: Your SD-WAN Reading List
======
Summer is about to end. Time to head back to work, understand next year’s projects and plans, and set your IT infrastructure objectives accordingly.
![baona][1]

Summer is about to end. Time to head back to work, understand next year’s projects and plans, and set your IT infrastructure objectives accordingly. SD-WAN and MPLS transformation are huge trends that cannot be overlooked. How will it impact your existing IT?

MPLS transformations can send chills down any IT pro’s spine but these suggested readings will help calm the nerves. They’re a series of clear, concise, and practical manuals divided into lessons on how to migrate from the prehistoric world of MPLS into the light of [SD-WAN][2].  Finish all of them and you’ll have an A+ in WAN Transformation 101.

**Lesson 1 – SD-WAN as an MPLS Alternative **

Are you still running MPLS to your branch offices? If so, you’re probably undermining cloud performance, wasting expensive bandwidth backhauling branch office Internet and cloud traffic, and taking far too long to open new locations. [**How to Re-evaluate your MPLS Provider**][3] delves into all the issues to consider when replacing or supplementing your MPLS. If nothing else, the table comparing MPLS, basic SD-WAN, and cloud-based SD-WAN is a gem you shouldn’t miss.

**Lesson 2 – Why the Internet Is Broken **

Public Internet connections work — sort of — but everyone knows that they’re not always as fast and reliable as they could be. If you’ve ever wondered why and what to do about it,  [The Secrets Behind Internet Routing][4] dives into the gory details of Internet routing and the BGP protocol, including why their fragmented, opaque workings are not ideal for today’s business uses. It does the same for MPLS, for those of you with hybrid networks, clarifying two complicated subjects and outlining exactly why you might want to consider alternatives.

**Lesson 3** **–** **How to Transition from MPLS to SD-WAN**

You’re probably aware of the cost, flexibility, and cloud benefits of SD-WAN but you may not have a clear idea of what it takes to get from here to there.  [**How to Migrate from MPLS to SD-WAN**][5] is a high-level overview — based on insights from SD-WAN adopters, industry best practices, and years of network transition experience — of the steps you need to take to get from MPLS to SD-WAN. It’s a good start if you’re looking for a quick read to get you thinking about how to do your own migration.

**Lesson 4** **–** **How to Migrate Your Sites to SD-WAN**

If you’ve read the previous high-level view and are ready for more specifics on site migration to SD-WAN, check out** **[**How to Migrate Sites to SD-WAN**][6]. It takes step one from the first e-book and delves deeply into the issues and sub-steps involved in transforming each site. The steps it covers in depth include: 

  * Categorize Your Locations 
  * Select the Right Last Mile 
  * Decide on the Middle Mile 
  * Engineer your End-To-End Network Architecture 
  * Procure Your Last Mile Services



**Lesson 5 – SD-WAN Security, Cloud, and Mobility Challenges**

Once you have a solid grasp of the steps for migrating your sites to SD-WAN, it’s time to start thinking about how to handle security, mobility, and the cloud. [**The Security, Cloud and Mobility Challenges Facing SD-WAN and How to Address Them**][7]  addresses these topics, including:

  * **Transform Security**, which compares security appliances and cloud security services. 
  * **Connect the Cloud to SD-WAN**, including agent-based vs. agentless cloud deployments, routing optimization, and security. 
  * **Optimize the Mobile experience**, including SD-WAN mobile access considerations.
  * **Determine the right SD-WAN Management Model**, which compares SD-WAN appliances and services and discusses four SD-WAN management models. 



**Lesson 6 – SD-WAN Migration Realities**

You’ve done your homework on the MPLS to SD-WAN transition, but really, wouldn’t it be a big help to hear from someone who has lived it? Definitely. Which is why you should listen to this exciting “reality show,” [Nick Dell Webinar: How I Migrated from MPLS to SD-WAN. ][8]

Nick Dell, an IT manager at a leading automotive manufacturer with 2,000 employees and nine locations, describes his experience transitioning to SD-WAN for just-in-time manufacturing, including connecting to his company’s critical cloud-based ERP and VoIP applications. He covers the problems and heartbreaks of his MPLS deployment, the alternatives he considered, the migration process, questions he asked, and how he got 5X to 20X the bandwidth and better availability and security for less.

**Lesson 7 – MPLS or SLA-Backed Affordable Backbone**

Enterprises that depend on global network backbone connections may think that their choice is only between reliable but expensive MPLS and flexible but unreliable SD-WAN Internet routing. Think again. [MPLS or SLA-backed Affordable Backbone: Which is Right for Your Global Network? ][9]digs into the challenges of MPLS and traditional SD-WAN global backbones and presents a potentially superior alternative: the SLA-backed Affordable Backbone. This new architecture combines global IP transit services from Tier-1 providers, an SD-WAN overlay, and commercial off-the-shelf hardware to deliver a much less expensive, more reliable, and agile alternative to MPLS. Get the details of how you can take advantage of this new global WAN alternative.

**Lesson 8 – How to Migrate from MPLS to Cato**

If you yearn for a less complex, more transformational alternative to traditional SD-WAN edge appliances and services, check out [**How to Migrate from MPLS to the Cat**][10]**o Cloud.** This e-book tells you how moving to the Cato Cloud can achieve a simpler, more agile infrastructure that connects any user to any resource quickly and securely. It covers each step necessary for transitioning your network to Cato and how Cato slashes WAN costs, doubles throughput, and decreases deployment times from months to as little as 30 minutes.  

**Lesson 9 – SD-WAN Use Cases and Success Stories**

In this on-demand webinar,  [5 MPLS Migration Challenges SD-WAN Solves][11], learn how SD-WAN can help you slash remote office latency without paying MPLS prices, secure Internet access without appliance sprawl, optimize voice and unified communications, enhance branch office and mobile user cloud performance, and manage last mile communications intelligently. It includes six case studies of how real companies solved these issues using SD-WAN.

**Bonus** **–** **SD-WAN Cheat Sheet**

Are you ready to make the leap to SD-WAN, but feel a little lost about how to choose an SD-WAN vendor and what questions to ask? Believe it or not, the answers can be found on a single page. Based on Nick Dell’s own experience and adventures migrating his company to SD-WAN, [Nick Dell’s Questions to Ask Yourself about SD-WAN ][12]spells out the questions you need to ask your vendor and yourself before embarking on an SD-WAN journey, such as what do you want to replace, how important is high availability, does you SD-WAN vendor fulfill your future needs, and who provides support?

Finish one of these e-books and you’ll feel enlightened. Finish all of them and you’ll get a solid SD-WAN education in surprisingly little time. But don’t get so immersed in SD-WAN that you forget to enjoy the rest of your time off.

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3433618/back-to-school-your-sd-wan-reading-list.html

作者：[Cato Networks][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Matt-Conran/
[b]: https://github.com/lujun9972
[1]: https://images.idgesg.net/images/article/2019/08/istock-1065824638-100809025-large.jpg
[2]: https://www.catonetworks.com/glossary-use-cases/sd-wan?utm_source=IDG&utm_campaign=IDG
[3]: https://go.catonetworks.com/What-to-consider-before-renewing-your-MPLS-contract?utm_source=IDG&utm_campaign=IDG
[4]: https://go.catonetworks.com/The_Internet_is_Broken?utm_source=IDG&utm_campaign=IDG
[5]: https://go.catonetworks.com/How-to-Migrate-from-MPLS-to-SD-WAN?utm_source=IDG&utm_campaign=IDG
[6]: https://go.catonetworks.com/How-to-Migrate-Sits-to-SD-WAN?utm_source=IDG&utm_campaign=IDG
[7]: https://go.catonetworks.com/Challenges-Facing-SD-WAN-and-How-to-Address-Them?utm_source=IDG&utm_campaign=IDG
[8]: https://go.catonetworks.com/VOD-How-I-Migrated-From-MPLS-to-SD-WAN?utm_source=IDG&utm_campaign=IDG
[9]: https://go.catonetworks.com/MPLS-or-SLA-backed-Affordable-Backbone?utm_source=IDG&utm_campaign=IDG
[10]: https://go.catonetworks.com/How-to-Migrate-from-MPLS-to-Cato-Cloud?utm_source=IDG&utm_campaign=IDG
[11]: https://go.catonetworks.com/VOD-5-MPLS-migration-challenges?utm_source=IDG&utm_campaign=IDG
[12]: https://go.catonetworks.com/LP-Questions-to-ask-yourself-before-purchasing-SD-WAN?utm_source=IDG&utm_campaign=IDG
