[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (What piece of advice had the greatest impact on your career?)
[#]: via: (https://opensource.com/article/19/8/what-devops-principle-changed-your-career)
[#]: author: (Matthew Broberg https://opensource.com/users/mbbroberghttps://opensource.com/users/juliegundhttps://opensource.com/users/mbbroberghttps://opensource.com/users/don-watkins)

What piece of advice had the greatest impact on your career?
======
See what practices, principles, and patterns have influenced DevOps
leaders' careers, and share your own wisdom.
![Question and answer.][1]

I love learning the what, why, and how of new open source projects, especially when they gain popularity in the [DevOps][2] space. Classification as a "DevOps technology" tends to mean scalable, collaborative systems that go across a broad range of challenges—from message bus to monitoring and back again. There is always something new to explore, install, spin up, and explore.

That said, you don't have DevOps without principles. Some of these concepts are intuitive truths we have known from the start but needed a movement to help us adopt them. Others are quite different and help us acknowledge and grow beyond our [cognitive biases][3].

While not strictly DevOps, one principle that changed everything for me is [kanban][4]. The simple idea of work being visible and optimized for flow was radical for a chronic multi-tasker like me. To this day, I keep work in progress visible, and it's been a huge relief to not worry about losing a task along the way. Not only that, I no longer celebrate work in progress: I celebrate completed tasks.

To find out what things have influenced my colleagues, I asked members of the [Open Source DevOps Team][5] to share their thoughts on this question:

> **What is one DevOps concept (practice, principle, pattern) that changed your career?**

Here's what they had to say.

#### [Alex Bunardzic][6]

**Fail fast, fail early, fail as frequently as you possibly can.** Before I clued into this amazing concept, I was toiling miserably in vain under the traditional waterfall model. My career was a series of botched projects; all of them commencing with the "failure is not an option!" cheer. It is an extremely tiresome way that always results in working inefficiently and lurching from one frustration to the next.

Embracing the fast and furious flurries of failure was the best thing that happened to my career. Frustration got replaced by the feeling of soaring. That lead to the wholesale adoption/embracing of [TDD][7] [test-driven development] practices and to the realization that TDD is NOT about testing, it is about DRIVING!

#### [Catherine Louis][8]

**Culture hacking.** I had no idea there was a name for the method I had (subversively) used to change a culture, but then I saw [Seb Paquet's "Ignite Montreal" video][9] and rejoiced that there were others out there.

#### [Clement Verna][10]

**Continuous improvement.** Until I was introduced to continuous improvement, I was not really looking at ways to improve in my job or in my career. Continuous improvement made me realize that it was up to me to challenge myself with learning new things and getting out of my comfort zone. That led me to start contributing to an open source project (Fedora) and then led me to work for Red Hat. So that definitely changed my career.

#### [Jason Hibbets][11]

It started with _**The Lean Startup**_ at [my first Code for America Summit][12]. In 2012, I distinctly remember a career-changing moment. Eric Ries, author of _The Lean Startup_ and Code for America board member, was on stage with Tim O'Reilly. The topic they were talking about was hacking on code, and culture and failure as validating learning. My biggest takeaway was discovering _The Lean Startup_. I downloaded the book and read most of it on the plane ride home. It changed how I approach my work and how I lead my team.

The biggest change I made was to **incorporate feedback loops**. This was a critical difference in how I transformed my work style and my team. I shifted my team habits to making data-driven decisions and sharing information and insights to create those feedback loops. We hold weekly health-check meetings and constantly examine our processes and assumptions. In addition to that, we experiment with new ideas and evaluate how those experiments went. We'll conduct start, stop, and continue sessions to help us understand what to tackle next or what didn't work so we can move on.

#### [Willy-Peter Schaub][13]

During a two-month sabbatical in 2018, it dawned on me that the fear of failure had paralyzed my energy and passion for software engineering, a career I used to love. **Realizing that failure is not bad, but an enabler for innovation, collaboration, and continuous learning that fuels DevOps, was a key moment in my career.** Transparent collaboration, progressive exposure, hypothesis-driven development, test-driven development, and continuous delivery of value are some of the core practices that generate frequent opportunities to fail fast, inspect, and adapt the solution (and the career) we are working on.

### Your turn

There are so many ways DevOps can teach us without ever opening a terminal or user interface. So, I ask you the same question: **What DevOps concept made the most impact on your career?** Please share your thoughts in the comments.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/8/what-devops-principle-changed-your-career

作者：[Matthew Broberg][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mbbroberghttps://opensource.com/users/juliegundhttps://opensource.com/users/mbbroberghttps://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_HowToFish_520x292.png?itok=DHbdxv6H (Question and answer.)
[2]: https://opensource.com/resources/devops
[3]: https://commons.wikimedia.org/wiki/File:Cognitive_Bias_Codex_-_180%2B_biases,_designed_by_John_Manoogian_III_(jm3).jpg
[4]: https://en.wikipedia.org/wiki/Kanban
[5]: https://opensource.com/devops-team
[6]: https://opensource.com/users/alex-bunardzic
[7]: https://en.wikipedia.org/wiki/Test-driven_development
[8]: https://opensource.com/users/catherinelouis
[9]: https://www.youtube.com/watch?v=ojQT6U-gRAM
[10]: https://opensource.com/users/cverna
[11]: https://opensource.com/users/jhibbets
[12]: https://medium.com/@jhibbets/where-civic-tech-gets-inspired-rejuvenated-c77ae75af24b
[13]: https://opensource.com/users/wpschaub
