[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Why support open source? Strategies from around the world)
[#]: via: (https://opensource.com/article/19/8/open-source-large-series)
[#]: author: (Karl Fogel https://opensource.com/users/kfogelhttps://opensource.com/users/jamesvasile)

Why support open source? Strategies from around the world
======
A new series on open source strategy digs into using open source
investments to support the overall mission.
![World locations with red dots with a sun burst background][1]

There are many excellent resources available to teach you how to run an open source project—how to set up the collaboration tools, how to get the community engaged, etc. But there is much less out there about open source _strategy_; that is, about how to use well-considered open source investments to support an overall mission.

Thus, while "How can we integrate new contributors?" is a project management concern, the strategic question it grows from has wider implications: "What are the long-term returns we expect from engaging with others, who are those others, and how do we structure our investments to achieve those returns?"

As we work with different clients, we've been gradually publishing reports that approach open source strategy from various directions. Two examples are our work with Mozilla on [open source archetypes][2] and with the World Bank on its [investment strategy for the GeoNode project][3].

Now we have a chance to have this discussion in a more regular and complete way: Microsoft has asked us to do a series of blog posts about open source, and the request was essentially _"help organizations get better at open source"_ (not a direct quote, but a reasonable summary). They were very clear about the series being independent; they did not want editorial control and specifically did not want to be involved in any pre-approval before we publish a post. It goes without saying, but we'll say it anyway, just so there's no doubt, that the views we express in the series may or may not be shared by Microsoft.

We're calling the series [Open Source At Large][4], and it focuses on open source strategy. The first three posts in the series are already up:

  * [What is open source strategy?][5]
  * [Open source goal setting][6]
  * [Ecosystem mapping][7]



Our clients will recognize some of the material—our advice tends to be consistent over time—but the series will also cover ideas we have not discussed widely before.

Strategy is not just for executives and managers, by the way. We can most effectively support strategies we understand, and every person on a team can use strategic awareness to improve performance. Our target audience is the managers and organization leaders who make decisions about open source investments and also developers who can benefit from a strategic viewpoint.

We hope that offering techniques for strategic analysis will be useful for newcomers to open source, and we also look forward to engaging colleagues in a wide-ranging discussion about best practices and considered approaches to strategy.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/8/open-source-large-series

作者：[Karl Fogel][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/kfogelhttps://opensource.com/users/jamesvasile
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/world_remote_teams.png?itok=Wk1yBFv6 (World locations with red dots with a sun burst background)
[2]: https://blog.opentechstrategies.com/2018/05/field-guide-to-open-source-project-archetypes/
[3]: https://blog.opentechstrategies.com/2017/06/geonode-report/
[4]: https://blog.opentechstrategies.com/category/open-source-at-large/
[5]: https://blog.opentechstrategies.com/2019/05/what-is-open-source-strategy/
[6]: https://blog.opentechstrategies.com/2019/05/open-source-goal-setting/
[7]: https://blog.opentechstrategies.com/2019/06/ecosystem-mapping/
