[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Peanuts, paper towels, and other important considerations on community)
[#]: via: (https://opensource.com/open-organization/19/9/peanuts-community-reciprocity)
[#]: author: (Jim Whitehurst https://opensource.com/users/jwhitehurst)

Peanuts, paper towels, and other important considerations on community
======
Red Hat president and CEO Jim Whitehurst explains that even the smallest
gestures can impact how an organization sees itself—and how it sustains
itself.
![People working together to build ][1]

The most powerful aspects of an organization's culture live in the smallest individual gestures—sometimes no bigger than a peanut.

Not long ago, as I was sitting in the Dallas airport waiting for a delayed flight, I watched another passenger munch on some peanuts. Their shells fell all over the floor and, after a few minutes, the passenger kicked them into the aisle, presumably for the airport cleaning staff to collect later.

I hadn't given those peanuts shells much thought until a recent internal Red Hat event, when someone asked me about my pet peeves. I started thinking about the way I notice paper towels on the floors in Red Hat bathrooms. Whenever I see them, I pick them up and put them in the trash.

I'll admit: it's a tiny gesture. But the longer I work at Red Hat, the more I realize just how great an impact those seemingly inconsequential moments can have on a community.

I've always done my best to put others before myself (my mother was a nurse, and I think I inherited that attitude from her). But working at Red Hat has made me care even more about the importance of community. Community is critical not only [to our business][2] but also to how we operate as an open organization.

In a well-functioning open organization, you'll often see people doing things simply because they benefit the organization itself—even if those actions don't immediately benefit the individual. People tend to prioritize the well-being of the group over the agendas of the few.

At the same time, you'll also encounter people working to keep that spirit in place (I'm thinking of the Red Hatters who take pictures of vehicles occupying more than one parking space in our company lot and post them to the all-building mailing list). Maybe they're extra conscientious about ending their meetings on time, so others waiting for the room can get started right away. Maybe they refill the printer paper even if they haven't used the last sheet. Maybe they schedule an early-morning call so their colleagues overseas don't need to stay up late. Regardless, in an open organization, you'll hear "let me help with that" much more than you'll hear "that's not my responsibility."

For these folks, a paper towel is more than a paper towel. It's a tangible representation of someone's investment in the organization.

In a well-functioning open organization, you'll often see people doing things simply because they benefit the organization itself—even if those actions don't immediately benefit the individual.

That sense of reciprocity at the heart of a community-focused organization—the idea that I might do something because it strengthens the critical social bonds that keep our group from falling apart—is important. We can't underestimate the power of that kind of social cohesion, not only in our organizations but in our societies more broadly.

In fact, writer and historian Paul Collier attributes the United States' growth and success after World War II to it. "The escape from the Depression by means of the Second World War had been far more than an inadvertent stimulus package," he writes [in _The Future of Capitalism_][3]. "Its legacy was to turn each nation into a gigantic community, a society with a strong sense of shared identity, obligation and reciprocity." Collier goes on to assess the current state of that shared identity and sense of reciprocity in today's seemingly fragmented political landscape.

He also explains how leadership practices also shifted during this time, especially in organizations:

> Gradually, many organizations learned that it was more effective to soften hierarchy, creating interdependent roles that had a clear sense of purpose, and giving people the autonomy and responsibility to perform them. The change from hierarchy run through power, to interdependence run through purpose, implies a corresponding change in leadership. Instead of being the commander-in-chief, the leader became the communicator-in-chief. Carrots and sticks evolved into narratives.

I love this passage, because it describes how my own thinking about leadership has changed since I joined Red Hat. Being a "communicator-in-chief" is now the most important job a leader can have. That means creating a sense of common purpose, shared values, and what Collier calls "mutual obligation" among people empowered with the [context and resources they need to do their best work][4].

We tell stories through actions, not just words. Open leaders should take opportunities to reinforce the kinds of communal, reciprocity-generating behaviors they want to see in other people.

It's why I always pick up the paper towels.

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/9/peanuts-community-reciprocity

作者：[Jim Whitehurst][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jwhitehurst
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUSINESS_buildtogether.png?itok=9Tvz64K5 (People working together to build )
[2]: https://www.redhat.com/en/about/development-model
[3]: https://www.harpercollins.com/9780062748652/the-future-of-capitalism/
[4]: https://opensource.com/open-organization/16/3/what-it-means-be-open-source-leader
