[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Geeks in Cyberspace: A documentary about Linux nerds and the web that was)
[#]: via: (https://opensource.com/article/19/9/geeks-cyberspace)
[#]: author: (Michael Stevenson https://opensource.com/users/mstevenson)

Geeks in Cyberspace: A documentary about Linux nerds and the web that was
======
Film explores how a group of friends helped usher in our present age of
social media, inventing now-familiar conventions that we use every day.
![An old-fashioned video camera][1]

"We invented blogging, we invented podcasting, we invented the LIKE button…"

Rob Malda is only half-joking when he makes these claims in the closing minutes of my new documentary, _Geeks in Cyberspace_. Together with his friends Jeff Bates, Nate Oostendorp, and Kurt Demaagd, Malda helped usher in our present age of social media, inventing now-familiar conventions that we use every day on Reddit, Wikipedia, Facebook, and elsewhere.

### Slashdot's success

Malda created [Slashdot.org][2] more than 20 years ago, in 1997, and his friends helped him turn his proto-blog into an engine of participation. The site was powered by an incredibly rich suite of Linux, Apache, MySQL, and clever Perl hacks, as well as a community of readers who would submit stories, comment on them, then moderate those comments to bring the best bits to the top. _Wired_ called this "open-source journalism" in 1999, and the site would directly influence the creation of Digg and later Reddit.

Slashdot's massive influence in the open source community coincided with what could be termed the open source bubble of the late 1990s, when Linux companies set records on Wall Street, and Microsoft recognized it had a real competitor in projects that were giving their source code away for free. Malda and his friends profited from the speculative craze, albeit modestly in comparison to later social media entrepreneurs. They sold Slashdot to Andover.net in the summer of 1999 for several million dollars in cash and stock options.

### Everything2 and PerlMonks

With some of the profits from Slashdot's sale, the friends looked to reproduce their success with [Everything2][3] (E2), another community website. E2 evolved out of a side project that Oostendorp built in 1998, one that in some ways was even more creative than Slashdot. Called "Everything," the project was to be a user-contributed information database that covered, well, everything—from _The Simpsons_ and beer brands to historical events and computer companies. Sound familiar? Conceived several years before Wikipedia launched, Everything was different from the collaborative encyclopedia we all use today. Rather than a "neutral point of view," it promoted something like "multiple points of view," and it had what could be considered an early ancestor of the ubiquitous "Like" button (as well as a counterpart "I don't like this" button).

E2 launched in 1999 and took on a life of its own. Although its audience was small in comparison to Slashdot, the site's community was tight-knit and dedicated. The E2 community’s story is central to the documentary; it is striking because it reminds us that even in the footnotes of internet history, there are fascinating human stories that are worth recounting.

Technologically, Everything2 was notable for being the first site run on The Everything Engine, software that would now be called a content management system or even an early web framework. As fellow geek chromatic [wrote][4], the Everything Engine was ahead of its time in many ways, if not as robust as the technologies it foreshadowed. The engine was also used to create [PerlMonks][5], the question-and-answer programming site that prefigured Stack Overflow and others.

### Looking back, looking forward

When I look at the history of Slashdot, E2, and PerlMonks, I don't simply see predecessors to today's social media landscape. For one thing, there were many other initiatives that shaped what was to come. More importantly, the value of such history is found in its specificity and how it can help us ask new questions about contemporary social media and imagine future platforms that will eventually challenge today's major players.

With that in mind, I draw two key lessons from the work that Malda and company did at the turn of the century.

First, they showed that getting these things off the ground requires not just a mix of hard work and luck but also an inspired mode of production. Chromatic rightly described the joy and sense of purpose they felt in terms of "momentum" and "a movement." A similar mix of joy and purpose can be found in waves across the cultural spectrum: think, for example, of the emerging scene of [chiptunes][6] artists, whose music I drew on heavily for this documentary, or a (hypothetical) group of journalists who seek to retake the news industry from commercial and political interests. Money certainly matters, as does circumstance. But time and again, for culture to renew itself, inspiration is key.

Second, in the case of social media, an inspired outlook must translate to its community of users in tangible ways. For Slashdot, and even more so for E2 and PerlMonks, community members felt connected to _their_ site's purpose and had a real say in determining daily operations and overall direction.

When real ownership is given, and a community works together to manage complex tasks of maintenance and government, social media becomes much more than a communications infrastructure. As E2 user and documentary subject Dana McNabb wrote many years ago about E2: "Everything is people. I married a noder, some of my best friends are noders, I continue to make new noding friends. Don't tell me this website is just a website."

Although it is hard to imagine something similar ever being said about a platform the size of Facebook or Instagram, I believe such lessons can nonetheless figure into improving our current social media or in our attempts to provide alternatives.

### Acknowledgments

"Geeks in Cyberspace" and this article came out of my research project "The web that was," which also includes [this open access article][7]. The project is funded by the Dutch Research Council, project number 275-45-006. Most of all, thanks are due to Rob Malda, Nate Oostendorp, Kurt Demaagd, Jeff Bates, Tim Vroom, Ryan Postma, chromatic, Dana McNabb, and Cliff Lampe for generously giving their time for this project.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/9/geeks-cyberspace

作者：[Michael Stevenson][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mstevenson
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/LIFE_film.png?itok=aElrLLrw (An old-fashioned video camera)
[2]: https://slashdot.org/
[3]: https://www.everything2.com/
[4]: https://www.perl.com/pub/2010/08/rethinking-perl-web.html
[5]: https://www.perlmonks.org/
[6]: https://en.wikipedia.org/wiki/Chiptune
[7]: https://www.tandfonline.com/doi/full/10.1080/24701475.2018.1495810
