[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (6 years of tech evolution, revolution and radical change)
[#]: via: (https://www.networkworld.com/article/3435857/6-years-of-tech-evolution-revolution-and-radical-change.html)
[#]: author: (Fredric Paul https://www.networkworld.com/author/Fredric-Paul/)

6 years of tech evolution, revolution and radical change
======
In his farewell TechWatch post, Fredric Paul looks back at how technology has changed in the six years he’s been writing for Network World—and what to expect over the next six years.
Peshkov / Getty Images

Exactly six years ago today—Sept. 5, 2013—Network World published my very first [TechWatch][1] blog post. It addressed the introduction of [Samsung's Galaxy Gear and the problem with smartwatches][2].

Since then, I’ve written hundreds of blog posts on a dizzying array of technology topics, ranging from [net neutrality][3] to phablets to cloud computing to big data to the internet of things (IoT)—and many, many more. It’s been a great ride, and I will be forever grateful to my amazing editors at Network World and everyone who’s taken the time to read my work. But all good things must come to an end, and this will be my last TechWatch post for Network World.

You see, writing for Network World is not my day job. For the last five and a half years, I have been editor in chief of [New Relic][4], a leader in the enterprise observability space. But this week, I’ve taken a new position at director of content for [Redis Labs][5], the home of the fast Redis database. I’m super excited about the opportunity, but here’s the thing: Redis Labs has a number of products in the IoT space, which could raise thorny conflict-of-interest questions for many blog posts I might write.

**[ Find out how [5G wireless could change networking as we know it][6] and [how to deal with networking IoT][7]. | Get regularly scheduled insights by [signing up for Network World newsletters][8]. ]**

### Looking back: What technology has changed and what hasn’t

So, for this good-bye post, I want to look back at some of the topics I’ve touched on over the years—and especially that first year—and see how far we’ve come, and maybe get a sense of what’s coming next.

Obviously, there’s no time or space to revisit everything. But I do want to touch on six key themes.

#### **1\. Wearable tech**

Back when I wrote that first post on [Samsung's Galaxy Gear][2], it seemed like wearable technology was about to change everything. Smartwatches and fitness trackers were being introduced by everyone from tech companies to sporting goods manufacturers to fashion brands and [luxury watch companies][9]. The [epic failure of Google Glass][10] hadn’t yet set the category back a decade by permanently creeping out folks around the world.

Today, things look very different. [The Apple Watch is thriving in a limited role][11] as a fitness and health tracking device, trailed by a variety of simpler, cheaper options. [Google Glass and its ilk are niche products looking for industrial applications.][12] And my grand vision of wearable tech fundamentally reshaping the technology landscape? Yeah, we’re still waiting for that.

**[ [Take this mobile device management course from PluralSight and learn how to secure devices in your company without degrading the user experience.][13] ]**

#### 2\. Phones &amp; phablets &amp; tablets

Six years ago, I had a lot of phun making puns about the rise of “phablets,” those giant phones (or miniature tablets) threatening to take over the mobile world. Well, that happened. In fact, it happened so thoroughly that no one even talks about increasingly ginormous phones as phablets anymore. They’re just… phones.

**[ Also on Network World: [Phablets are the phuture, no phoolin'][14] ]**

#### 3\. BYOD and shadow IT

Back in 2013, shadow IT was still mostly thought of as [Bring Your Own Device][15], but increasingly powerful online services have expanded the concept far beyond enterprise workers using their own phones on the corporate network. Now, shadow IT includes everything from computing power and storage in the cloud to virtually Everything-as-a-Service. And with the rise of Shadow IoT, the situation is only getting more complicated for IT teams. How do you maintain order and security while also empowering users with maximum productivity?

**[ Also on Network World: [Don’t worry about shadow IT. Shadow IoT is much worse.][16] ]**

#### 4\. Net neutrality

Hoo-boy. After endless arguments rooted in deeply differing versions of what freedom really means, ideological conflicts, all-out business battles between communications companies and online services, net neutrality was finally settled as official U.S. policy. And then, suddenly, [all that was changed by a new administration and a new FCC leader][17]. At least for now. Probably. Ahhh, who are we kidding? We’re going to be arguing over net neutrality forever.

**[ Also on Network World: [Why even ISPs will regret the end of net neutrality][18] ]**

#### 5\. The cloud

When I started writing TechWatch, the cloud was still a good idea looking to find its rightful place in a world still dominated by private data centers. Today, everything has flipped. [The cloud is now pretty much the default for new IT infrastructure workloads][19], and it is slowly but surely chipping away at all those legacy, mission-critical apps and systems. Sure, key questions around cost, security, compliance and reliability remain, but as 2019 begins to wind down, the cloud’s promise of radical improvements in development speed and agility can no longer be questioned. As [cloud providers keep growing like weeds on steroids][19], modern IT leaders increasingly have to justify _not_doing things in the cloud.

**[ Also on Network World: [The week cloud computing took over the world][20] ]**

#### 6\. The internet of things

TechWatch has been interested in the IoT for a while now (see [How the Internet of Things will – and won't – change IT][21]), but for the last couple years it has been the dominant topic for TechWatch. Over that time, the IoT has evolved from a concept with tremendous promise but limited real-world applications to one of the most important technologies on the planet, on pace to disrupt everything from brushing your teeth to driving (or not driving) your car to [maintaining jet airplanes][22]. It’s been a wild ride, but serious barriers remain. IoT security concerns, especially on the consumer side, still threaten IoT adoption. Lack of interoperability and unclear ROI continue to slow IoT installations.

But those are just speed bumps. Like it or not, the IoT is going to keep growing. And that growth won’t always come in nicely defined, easily understood and controlled ways. In many cases, IoT devices and networks are being deployed without established goals, metrics, controls, and contingency plans. It may be a recipe for trouble, but it’s also how just about every important technology rolls out. [The winners will be the organizations that figure out how to maximize the IoT’s value while avoiding its pitfalls.][23] I will be watching closely to see what happens!

Join the Network World communities on [Facebook][24] and [LinkedIn][25] to comment on topics that are top of mind.

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3435857/6-years-of-tech-evolution-revolution-and-radical-change.html

作者：[Fredric Paul][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Fredric-Paul/
[b]: https://github.com/lujun9972
[1]: https://www.networkworld.com/blog/techwatch/
[2]: https://www.networkworld.com/article/2225307/samsung-s-galaxy-gear-and-the-problem-with-smartwatches.html
[3]: https://www.networkworld.com/article/3238016/will-the-end-of-net-neutrality-crush-the-internet-of-things.html
[4]: https://newrelic.com/
[5]: https://redislabs.com/
[6]: https://www.networkworld.com/cms/article/https:/www.networkworld.com/article/3203489/lan-wan/what-is-5g-wireless-networking-benefits-standards-availability-versus-lte.html
[7]: https://www.networkworld.com/cms/article/https:/www.networkworld.com/article/3258993/internet-of-things/how-to-deal-with-networking-iot-devices.html
[8]: https://www.networkworld.com/newsletters/signup.html
[9]: https://www.networkworld.com/article/2882057/would-you-buy-a-smartwatch-from-a-watch-company.html
[10]: https://www.networkworld.com/article/2364501/how-google-glass-set-wearable-computing-back-10-years.html
[11]: https://www.networkworld.com/article/3305812/the-new-apple-watch-4-represents-an-epic-fail-for-smartwatches.html
[12]: https://www.networkworld.com/article/2955708/google-glass-returning-enterprise-business-users.html
[13]: https://pluralsight.pxf.io/c/321564/424552/7490?u=https%3A%2F%2Fwww.pluralsight.com%2Fcourses%2Fmobile-device-management-big-picture
[14]: https://www.networkworld.com/article/2225569/phablets-are-the-phuture--no-phoolin-.html
[15]: https://www.networkworld.com/article/2225741/5-disturbing-byod-lessons-from-the-faa-s-in-flight-electronics-announcement.html
[16]: https://www.networkworld.com/article/3433496/dont-worry-about-shadow-it-shadow-iot-is-much-worse.html
[17]: https://www.networkworld.com/article/3166611/the-end-of-net-neutrality-is-nighheres-whats-likely-to-happen.html
[18]: https://www.networkworld.com/article/2226155/why-even-isps-will-regret-the-end-of-net-neutrality.html
[19]: https://www.networkworld.com/article/3391465/another-strong-cloud-computing-quarter-puts-pressure-on-data-centers.html
[20]: https://www.networkworld.com/article/2914880/the-week-cloud-computing-took-over-the-world-microsoft-amazon.html
[21]: https://www.networkworld.com/article/2454225/how-the-internet-of-things-will-and-wont-change-it.html
[22]: https://www.networkworld.com/article/3340132/why-predictive-maintenance-hasn-t-taken-off-as-expected.html
[23]: https://www.networkworld.com/article/3211438/is-iot-really-driving-enterprise-digital-transformation.html
[24]: https://www.facebook.com/NetworkWorld/
[25]: https://www.linkedin.com/company/network-world
