[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Data center cooling: Electricity-free system sends excess building heat into space)
[#]: via: (https://www.networkworld.com/article/3435769/data-center-cooling-electricity-free-system-sends-excess-building-heat-into-space.html)
[#]: author: (Patrick Nelson https://www.networkworld.com/author/Patrick-Nelson/)

Data center cooling: Electricity-free system sends excess building heat into space
======
A polymer and aluminum film solar shelter that transmits heat into space without using electricity could drastically cut data center cooling costs.
University at Buffalo

We all know that blocking incoming sunlight helps cool buildings and that indoor thermal conditions can be improved with the added shade. More recently, though, scientists have been experimenting with ways to augment that passive cooling by capturing any superfluous, unwanted solar heat and expelling it, preferably into outer space, where it can’t add to global warming.

Difficulties in getting that kind of radiative cooling to work are two-fold. First, directing the heat optimally is hard.

“Normally, thermal emissions travel in all directions,” says Qiaoqiang Gan, an associate professor of electrical engineering at University at Buffalo, in a [news release][1]. The school is working on radiative concepts. That’s bad for heat spill-over and can send the thermal energy where it’s not wanted—like into other buildings.

**[ Learn [how server disaggregation can boost data center efficiency][2] and [how Windows Server 2019 embraces hyperconverged data centers][3] . | Get regularly scheduled insights by [signing up for Network World newsletters][4]. ]**

But the school says it has recently figured out how to “beam the emissions in a narrow direction.”

Second, radiative cooling is a night-time effect. It can be best described in the analogy of a blacktop road surface, which absorbs the sun’s rays during the day and emits that captured heat overnight as the surrounding air cools.

But University at Buffalo's system works during the day, the researchers say. It is made up of building-installed rooftop boxes that have a polymer combination aluminum film affixed to the bottom (pictured above). The film stops the area around the roof from getting hot through a form of heat absorption. The polymer absorbs warmth from the air in the box and transmits “that energy through the Earth’s atmosphere into outer space.” The box, when installed en massse, potentially shelters the entire roof from sunlight “while also beaming thermal radiation emitted from the film into the sky.” The polymer itself stays cool.

That directionality also solves the problem of how to get the application to function within a city—the heat is beamed straight up in this case, rather than being allowed to disperse side to side and potentially infiltrate neighboring buildings.

University at Buffalo’s box is about 18 inches by 10 inches. Multiple boxes would be affixed to cover a rooftop, augmenting the air conditioning.

### Stanford University also has a cooling system

I’ve written before about passive, radiative cooling systems that could be used in data center environments. A few years ago, [Stanford University suggested using the sky as one giant heatsink][5]. It reckons cost savings for cooling could be in the order of 21%. That system used mirror-like panels and, like the University at Buffalo solution, tries to solve the second major problem involved with radiative heating: How to get it to work during the day when the sun is beating down on the surfaces and the ambient air is warm—you need cool air to absorb the hot air.

Stanford’s solution is to reflect the sunlight away from the panels during the day so the stored heat can radiate, even during the day. Researchers at University at Buffalo, however, say their approach, which uses special materials, is better.

“Daytime cooling is a challenge because the sun is shining. In this situation, you need to find strategies to prevent rooftops from heating up. You also need to find emissive materials that don’t absorb solar energy. Our system address these challenges,” says Haomin Song, Ph.D., UB assistant professor of research in electrical engineering, in the news release.

University at Buffalo’s directional aspect is interesting, too.

“If you look at the headlight of your car, it has a certain structure that allows it to direct the light in a certain direction,” Gan says. “We follow this kind of a design. The structure of our beam-shaping system increases our access to the sky.”

Join the Network World communities on [Facebook][6] and [LinkedIn][7] to comment on topics that are top of mind.

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3435769/data-center-cooling-electricity-free-system-sends-excess-building-heat-into-space.html

作者：[Patrick Nelson][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Patrick-Nelson/
[b]: https://github.com/lujun9972
[1]: http://www.buffalo.edu/news/releases/2019/08/003.html
[2]: https://www.networkworld.com/article/3266624/how-server-disaggregation-could-make-cloud-datacenters-more-efficient.html
[3]: https://www.networkworld.com/article/3263718/software/windows-server-2019-embraces-hybrid-cloud-hyperconverged-data-centers-linux.html
[4]: https://www.networkworld.com/newsletters/signup.html
[5]: https://www.networkworld.com/article/3222850/space-radiated-cooling-cuts-power-use-21.html
[6]: https://www.facebook.com/NetworkWorld/
[7]: https://www.linkedin.com/company/network-world
