[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How to open source your academic work in 7 steps)
[#]: via: (https://opensource.com/article/19/9/how-open-source-academic-work)
[#]: author: (Joshua Pearce https://opensource.com/users/jmpearcehttps://opensource.com/users/ianwellerhttps://opensource.com/users/edunham)

How to open source your academic work in 7 steps
======
Open source technology and academia are the perfect match. Find out how
to meet tenure requirements while benefiting the whole community.
![Document sending][1]

Academic work fits nicely into the open source ethos: The higher the value of what you give away, the greater your academic prestige and earnings. Professors accomplish this by sharing their best ideas for free in journal articles in peer-reviewed literature. This is our currency, without a strong publishing record not only would our ability to progress in our careers degrade, but even our jobs could be lost (and the ability to get any other job).

This situation makes attribution or credit for developing new ideas and technologies critical to an academic, and it must be done in the peer-reviewed literature. Many young academics struggle with how to pull this off while working with an open source community and keeping their academic publishing record strong. There does not need to be a conflict. In fact, by fully embracing open source, there are distinct advantages (e.g., it is hard to get scooped by unethical reviewers when you have a time- and date-stamped open access preprint published for all the world to see).

The following seven steps provide the best practices for making an academic’s work open source. Start by using best practices (e.g., [General Design Procedure for Free and Open-Source Hardware for Scientific Equipment][2]), then when your work is ready to share, do the first three steps simultaneously.

**Note:** Academics should not be concerned about working in open source at all at this point, as open source is now mainstream academia in software and has even been [embraced by the hardware community][3].

### Step 1: Select a relevant peer-reviewed journal

Your work should first be published as a technology paper in a peer-reviewed journal with a good reputation (e.g., by [Impact Factor][4] or [CiteScore][5], which is a measure reflecting the yearly average number of citations to recent articles published in that journal). If yours is a hardware project, then choose journals such as:

  * _[HardwareX][6]_ (CiteScore: 4.42)
  * _[Sensors][7]_ (CiteScore: 3.72)
  * _[PLOS ONE][8]_ (CiteScore: 3.02)
  * _[The Journal of Open Hardware][9]_ (new)



You could also choose a discipline-specific journal that publishes hardware.

Or, if your project is software, then the following journals may be of interest:

  * _[SoftwareX][10]_ (CiteScore: 11.56)
  * _[The Journal of Open Source Software][11]_ (new)
  * _[The Journal of Open Research Software][12]_ (new)



### Step 2: Post your source code

When submitting your work to a peer-reviewed journal, you will need to post your source code and cite it in your paper. For software papers, you would post your actual code, but for hardware papers, you would post aspects like the bill of materials, CAD designs, build instructions, etc.

Use common websites for sharing code like [GitLab][13], or websites meant specifically for academia like the [Open Science Framework][14].

### Step 3: Publish an open access pre-print

When your paper is complete and you submit it to the journal, publish an open-access preprint as well. Doing so protects you against others scooping or patenting your ideas, while at the same time opening all of your work including the paper itself.

Almost all major publishers allow preprints. There are a lot of pre-print servers for every discipline (e.g., [arXiv][15], [preprints.org][16]).

### Step 4: Start (or select) a company

The next step is not strictlly mandatory, but it is useful to either commercialize your work or provide support for your open source software. Start a spin-off company (or have a student do it), or work with an existing open source company. This step is recommended because although some people will fabricate your device from open source plans or compile your code, the vast majority would rather buy a reasonably priced version that is both open source so they control it, but also assembled or compiled, ready to use, and supported.

### Step 5: Certify your project

As soon as the paper is accepted, send it in for certification. See: [The trials of certifying open source software][17], or the perhaps more straightforward [OSHWA open hardware certification][18], for more information. You could do this step earlier, but publishing outside of a preprint server runs risks of being auto-rejected due to the plagiarism checks run by some journals.

### Step 6: Prepare a press release

As soon as certification comes through, organize a press release between the company and the university—and embargo it to the date of the academic paper’s official publication. This action spreads information about your open source technology and its benefits as far as possible.

### Step 7: Use your own technology

Last, but not least—use your open source technology in future research. From here on out, an academic can publish normally (e.g., do a scientific study using the open hardware and publish in a discipline-specific journal). Of course, preference should be given to [open access journals][19].

### Step up

These seven steps are reasonably straightforward for new open source technology projects. When it comes to academics working on _existing_ open source projects, it’s a bit different. They need to carve out an area such as an upgrade to existing open hardware, or a new feature for free and open source software (FOSS), that they can publish on independently. They can then follow the same steps as above while integrating their work back into the community’s code (e.g., back in Step 2).

Following these steps enables academics to more than meet the academic requirements they need for tenure and promotion while developing open source technology for everyone’s benefit.

A few months ago, opensource.com ran a story on a textbook for college students learning...

When academia and open source collaborate, everybody wins. Open source projects get new...

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/9/how-open-source-academic-work

作者：[Joshua Pearce][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jmpearcehttps://opensource.com/users/ianwellerhttps://opensource.com/users/edunham
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/email_paper_envelope_document.png?itok=uPj_kouJ (Document sending)
[2]: http://www.mdpi.com/2411-9660/2/1/2/htm
[3]: https://opensource.com/article/18/4/mainstream-academia-embraces-open-source-hardware
[4]: https://en.wikipedia.org/wiki/Impact_factor
[5]: https://en.wikipedia.org/wiki/CiteScore
[6]: https://www.journals.elsevier.com/hardwarex
[7]: https://www.mdpi.com/journal/sensors
[8]: https://journals.plos.org/plosone/
[9]: https://openhardware.metajnl.com/
[10]: https://www.journals.elsevier.com/softwarex
[11]: https://joss.theoj.org/
[12]: https://openresearchsoftware.metajnl.com/
[13]: https://about.gitlab.com/
[14]: https://osf.io/
[15]: https://arxiv.org/
[16]: https://www.preprints.org/
[17]: https://opensource.com/business/16/2/certified-good-software
[18]: https://certification.oshwa.org/
[19]: https://doaj.org/
