[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (What does an open source AI future look like?)
[#]: via: (https://opensource.com/article/19/9/open-source-ai-future)
[#]: author: (Sam Bocetta https://opensource.com/users/sambocetta)

What does an open source AI future look like?
======
Placing the fundamental building blocks of AI in the hands of the open
source community is advancing AI in multiple industries.
![A brain design in a head][1]

The recent announcement about [Neuralink][2], Elon Musk's latest startup, added to the buzz already in the air about where tech is taking us in the not-so-distant future. Judging by its ambitious plans, which involve pairing computers wirelessly with the human brain, Neuralink demonstrates that the future is now.

And a big part of that future is open source artificial intelligence (AI). Rapid advancements have opened up a whole new world of possibilities that startups can take advantage of right now.

### How does open source AI work?

Traditionally, tech innovations were held close to the vest and developed in secret; no one wanted to give a leg up to the competition. Open source technology, a concept that really gained traction in the '90s with the development of Linux, works on the same underlying principle that spurred the creation of the internet: the idea that information should be freely shared and available to all who want access.

Open source supports [global collaboration][3] by allowing some of the most progressive minds in tech to work together and craft solutions, and it makes technology cheaper and more widely available for developers. The potential benefits for every industry and level of society are immense.

When it comes to [artificial intelligence][4] and machine learning (ML), open source technology is all about high-speed innovation. If algorithm work was kept inside a closed system, growth would be stifled. But placing the fundamental building blocks of AI in the hands of the open source community has created a valuable feedback loop for all involved.

When individuals or organizations contribute to an open source AI project, they typically share code at the algorithm level to allow others to understand their method for managing datasets and detecting patterns. Then other groups can reuse or tweak this code to integrate it with their own products and solutions. The following are some of the industries and areas benefiting the most from open source AI.

### Autonomous vehicles

One of the most popular use cases for AI and ML technologies is the development of self-driving cars and other types of vehicles. With all of the competition in the auto industry, you might think that companies would be desperate to keep their technology private. However, the opposite is true, as evidenced by the open source projects that are becoming more and more common.

[Webviz][5] is an open source browser-based tool that lets developers visualize the huge amount of data being recorded by a self-driving car's various sensors. This becomes very valuable when trying to simulate different road conditions without running costly tests. There are over 1,000 engineers now contributing to Webviz, and it is also being used in various fields of robotics.

### E-commerce

Shopping online was once a novelty with a handful of storefronts. Now, thanks to trends in web design—away from custom content management systems—moving to [DIY website builders][6] and vendors like Shopify, even the smallest home business has an e-commerce website. In fact, not having an online option is the rarity now.

One challenge that online retailers face is how to deal with customer inquiries and complaints efficiently. That's where open source AI projects have pushed technology forward. A machine learning library called [TensorFlow][7] is capable of running algorithms to automatically tag and categorize incoming email messages. The system then prioritizes the content so that humans can respond to the most urgent issues more quickly.

### Cybersecurity and data privacy

A recent article on Forbes' website synthesized many leading opinions when it claimed that [AI is the future of cybersecurity][8]. The report, which summarized Capgemini research, states that 61% of enterprises admit they wouldn't be able to detect breach attempts effectively without AI. Considering the increasing number of malware and virus attacks, the internet's threat surface has reached such a level that we have little prayer of securing it without an AI-powered system that is super-fast and learns on the fly how to detect threats as they occur and shuts them down without human interference.

Popular cybersecurity software, like virtual private networks (VPNs), has been banned in a growing number of countries and is the target of regulatory extinction even in freedom-loving countries like Canada. Telecom giant Bell [asked NAFTA negotiators][9] to declare VPNs illegal due to their geoblocking feature, popular for [accessing Netflix content][10] when outside the United States.

Companies need smarter solutions to keep their technology assets safe. Open source tools like the [Adversarial Robustness Toolbox][11] can scan AI neural networks and determine their level of risk. This can help prevent the algorithms from being manipulated by external hackers.

### Banking and financial industries

Financial services are being revolutionized by open AI. AI's ability to analyze and make recommendations will allow banking professionals to turn over a lot of their more mundane duties over to technology while they perfect the art of customer service.

Currently, the primary use of open source by banks is on the analytics side, where they can leverage AI algorithms to filter large sets of data easily. But bigger changes could be coming soon, considering that popular cryptocurrencies like Bitcoin are based on open source machine learning platforms.

Some FinTech advances to look out for are:

  * Banking APIs, such as [open banking][12], that allow banks to connect to customer data through third-party interfaces
  * Microservices and containerization that remove old functions and replace them with new open cores and that eliminate functionalities one by one and reintroduce them as microservices
  * Big data and machine learning applications that can coordinate data production, collection, processing, storage, and presentation



### Final thoughts

Machine learning technologies are powering forward with juggernaut speed as we speak. Many of them are making modern life possible and changing business in ways that most people may not fully realize. Although the technology [creates challenges][13] at times, it's difficult to imagine how we ever lived without many of these advancements, especially when we lose them, even temporarily.

With artificial intelligence, the likelihood of system breakdowns and obsolescence decreases and efficiency improves exponentially. It's self-correcting, scalable, and progressive in ways that will enrich our world immeasurably. When technology is in control behind the scenes, it frees us to realize the full extent of our capabilities—or at least come closer than we were before.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/9/open-source-ai-future

作者：[Sam Bocetta][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/sambocetta
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/LAW_patents4abstract_B.png?itok=6RHeRaYh (A brain design in a head)
[2]: https://www.theverge.com/2019/7/16/20697123/elon-musk-neuralink-brain-reading-thread-robot
[3]: https://www.iflscience.com/technology/why-big-tech-companies-are-open-sourcing-their-ai-systems/
[4]: https://opensource.com/article/18/12/how-get-started-ai
[5]: https://webviz.io/
[6]: https://webeminence.com/wysiwyg-wordpress-website-builders/
[7]: https://www.tensorflow.org/
[8]: https://www.forbes.com/sites/louiscolumbus/2019/07/14/why-ai-is-the-future-of-cybersecurity/#69a04c8f117e
[9]: https://www.vice.com/en_us/article/d3mvam/canadian-telecom-giant-bell-wanted-nafta-to-ban-some-vpns
[10]: https://privacycanada.net/best-vpn-netflix/
[11]: https://adversarial-robustness-toolbox.readthedocs.io/en/latest/
[12]: https://www.thebalance.com/what-is-open-banking-and-how-will-it-affect-you-4173727
[13]: https://www.dataversity.net/for-better-or-worse-ai-is-eating-data-centers/
