[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (FOSS in India: Perspectives of an American Anthropologist)
[#]: via: (https://opensourceforu.com/2019/10/foss-in-india-perspectives-of-an-american-anthropologist-2/)
[#]: author: (Prof. C.N Krishnan https://opensourceforu.com/author/cn-krishnan/)

FOSS in India: Perspectives of an American Anthropologist
======

[![][1]][2]

_In her doctoral thesis done at the University of Manchester, UK, titled ‘Free and Open Source Software (FOSS) in India: Mobilising Technology for the National Good’, American anthropologist Dr Jasmine Folz addresses the question “What can the case of FOSS in India tell us about the roles and relationships between technology, autonomy, and the state?” This article gives a quick summary of some topics discussed in the thesis to convey a flavour of the work._

Dr Folz spent one year in India doing field work for her thesis, travelling and interacting extensively with many different players in the Indian FOSS space. Studies of FOSS in India have been very few and mostly lacking in depth, and even those that have been done are confined to its technological and economic aspects. This work is therefore unique and valuable in many ways as it provides the deeper insights and understanding that only anthropologists are capable of, and Dr Folz has maintained the rigour and focus of her profession in this effort. Among other things, it could help answer frequently asked questions like “Why is there very little contribution from India to the global FOSS corpus?” Much of this review quotes directly from the thesis itself.

**Historical origins of FOSS in India**
Modern science and technology (S&amp;T) came to India bundled with the European colonial project, and it was viewed with suspicion, if not hostility. Searching for alternatives to modern S&amp;T (especially in the areas of healthcare, agriculture, village industries, etc) was thus a part of the freedom struggle, and it continued well beyond Independence. Even decades later, large corporations like IBM and Coca Cola came to be seen as symbols of continued western domination. When software and IT became a major force in the country from the 1980s onwards, driven by the global outsourcing industry, Microsoft too joined the list of such corporations.

The Indian FOSS community took root in this context, with a strong nationalist position and in favour of the digitally disadvantaged sections of the population. In fact, FOSS can be considered a descendant of Gandhian Swadeshi, which includes self-rule via home grown craft and technology, though many in the FOSS community may be opposed to Gandhi on other issues. The Indian FOSS community has always been in conversation with larger issues of what role technology can or should play in Indian society; FOSS came to be seen as a way to develop the nation along particular moral and material pathways, and for that material development to be understood in moral terms.
While sections of the Indian government were sympathetic to FOSS, the former stayed rather ‘non-aligned’ between proprietary and free software, given how the former was the backbone of the country’s massively successful IT boom that was generating jobs and wealth. The FOSS community, too, mostly did not take any strong position on national political issues, considering that there were many differing ideological strands within the community itself. Yet, the community was quite united on the need to make essential software free and open in the country.

**Notions of freedom, autonomy, individualism and FOSS**
Although FOSS is often free of cost, the FOSS community continues to emphasise that it uses the term ‘free’ to mean freedom itself, as a concept. FOSS was born in the USA, with Richard Stallman and the Free Software Foundation (FSF) that he created, driving it. The LINUX project of Linus Torvalds from Europe illustrated the process of community-based creation and support of FOSS.
Awareness of FOSS did reach India early on, though the approaches to engaging in and mobilising FOSS have been quite different in India compared to the US. These differences can be understood, to a large degree, as arising from the different conceptions of and relationships between freedom and individualism that exist in the two societies. Hence, they help to explain why FOSS acquired the status of a tool for nation building in India.

To understand what American FOSS enthusiasts mean when they say “Free as in freedom” it is also necessary to understand American individualism. There are two liberal tenets integral to American individualism — free speech and intellectual property law, both of which are at the core of the FOSS ideology as it developed there. American individualism is utilitarian and premised on a core value of self-reliance so that individuals tend to negate the influence of family and class, even minimising personal responsibility to society. American software engineers who produce FOSS code are predominantly educated white men with high incomes and a strong sense of individualism.
For Western FOSS enthusiasts, then, freedom as in free speech is the central issue. The code is viewed as a form of speech and thus not to be owned. To them, the activity of writing code is a form of exploring and opening up physical and mental frontiers. The technical practice of creating FOSS is central to making ideas meaningful to the community. Stallman and the FSF do not view FOSS, per se, as standing for the promotion of socio-economic equality, though they would be for it. To Stallman and the FSF, large scale profiteering from FOSS (if it is possible), as such, would not be an issue, as long as the four freedoms of the code are scrupulously guaranteed. FOSS in the US takes no stand vis-a-vis capitalism, free markets or profit making. In fact, it enables participation in the market in a healthier and stronger manner.

Concepts like freedom and individualism are not universal or uniform; they must be understood as products of unique cultural histories, and there are vast differences between the US and Indian societies, in this regard. It is not that the concept of individualism does not exist in India but it is more in the nature of a relational individualism as against the utilitarian individualism of the US. The relational individualists understand themselves as part of a community with shared beliefs and practices and, besides this, their personal duties and desires are bound to the collective. By ensuring that the goals of the collective are met, the rights of the individual are protected. Because Indian FOSS enthusiasts conceptualise individualism as inherently relational, their interpretation of the FOSS philosophy and its implications, includes the role and rights of the individual, but expands on this to include the community. Thus the ‘freedom imagined’ by the Indian FOSS community includes the wider socio-economic potential FOSS holds for their developing nation, to which they feel morally obligated to contribute as individuals. It can now be understood how so many Indian FOSS enthusiasts can, on the one hand accept that, “Free as in freedom” is the foundational underpinning of the FOSS philosophy and, on the other hand, emphasise the importance that FOSS is also “Free, as in cost.”

While individual self-reliance is not a traditional cultural touchstone in India, national self-reliance is, as reflected in the Swadeshi movement and post-Independence political and economic policy. As a matter of fact, autonomy could be a more appropriate term than freedom for the Indian context.

**The Indian FOSS community**
Members of the Indian FOSS community come overwhelmingly from middle-class, upper-caste backgrounds, but the majority of them are best understood as being ideologically closer to the ‘old middle class’ who historically engaged with the nation building process. Many of them stayed back in India rather than emigrate to the West as a commitment to improving India. There are strong ties between the FOSS community and earlier politically engaged science and technology based movements. A majority of the community conceives of FOSS as a technology that can be made Indian and that should be mobilised in efforts to improve the lives of all Indians. In this way, the community is using FOSS as a social as much as a technical tool.

The Indian FOSS community is deeply committed to evangelising FOSS, both in terms of bringing in more people (particularly students) into its fold, as well as by lobbying with the government, academia, NGOs, industry, media, etc. Unlike in the US, it is not essential in India for one to contribute quality code to be accepted as an important member of the FOSS community.

Another aspect that Dr Folz’s study examines is gender. The ways in which gender informs the IT industry generally and the FOSS community, specifically in India, are unique. While low participation of women in FOSS is a worldwide issue, within India it has played out in particular ways which have to do with how the male and female roles at home, work, and in public are conceived. ‘Respectable femininity’, which is a refraction of hegemonic masculinity, has provided women with the ‘right amount of freedom’ to participate in the lucrative IT industry so long as their essential identity as wives and mothers was not impacted.

Women’s exclusion and discrimination in the Indian FOSS community is rooted in a different set of gendered assumptions and priorities from those in the West, where it is assumed women are not as intellectually capable as men. While Indian women are generally presumed to be as technically capable as men (because much of the work of the Indian FOSS community such as evangelising is social rather than technical and done in public, social settings), many women cannot participate because they do not have as much free time away from work and family obligations as men do. Further, due to the prevalence of homosociality, many women and men do not necessarily feel comfortable socialising together in the public sphere.

For the most part, the Indian FOSS community is left-leaning, middle class and urban, though there are significant generational, regional, and gendered differences. The older generation (aged 50 +) is almost exclusively upper middle class and upper caste, and its members have held important positions in the government, academia, R&amp;D, NGOs, etc. The younger generation, in its 20s and 30s, is most likely to be students or employed by IT companies, with a few entrepreneurs as well. In general, class, caste and gender inequalities are maintained in the FOSS community, though many members of the community are sincerely committed to making it more inclusive.

FOSS offers Indians the possibility of exerting autonomy in the relationships between technology and the state. FOSS allows for the autonomy of states in relation to the market and it also, crucially, offers autonomy to citizens in relation to markets and the Indian state. The Indian FOSS community has taken a technology created in a Western context and mobilised it towards what can broadly be called nation building efforts, though to what extent these mobilisations lead to substantive societal change is yet to be seen.

**Note:** Interested readers can obtain a copy of the entire thesis by writing to Dr Jasmine Folz at _[jasminefolz@gmail.com][3]_.

--------------------------------------------------------------------------------

via: https://opensourceforu.com/2019/10/foss-in-india-perspectives-of-an-american-anthropologist-2/

作者：[Prof. C.N Krishnan][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensourceforu.com/author/cn-krishnan/
[b]: https://github.com/lujun9972
[1]: https://i2.wp.com/opensourceforu.com/wp-content/uploads/2019/10/Foss-Apps.jpg?resize=696%2C396&ssl=1 (Foss Apps)
[2]: https://i2.wp.com/opensourceforu.com/wp-content/uploads/2019/10/Foss-Apps.jpg?fit=900%2C512&ssl=1
[3]: mailto:jasminefolz@gmail.com
