[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How a business was built on podcasts for Linux: The story of Jupiter Broadcasting)
[#]: via: (https://opensource.com/article/19/10/linux-podcasts-Jupiter-Broadcasting)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)

How a business was built on podcasts for Linux: The story of Jupiter Broadcasting
======
Learn about Jupiter Broadcasting's origins and its future under the
Linux Academy wing in an interview with cofounder Chris Fisher.
![Woman programming][1]

I spend a lot of time on the road and enjoy listening to podcasts about a variety of topics. One of my interests is keeping up with the latest news and information about Linux and open source, and that led me to [Jupiter Broadcasting][2], an open source (both in topics covered and its own license) podcasting network. I met Jupiter's cofounder [Chris Fisher][3] when I [visited System76][4]'s Denver headquarters in late 2018.

Jupiter Broadcasting emerged from [The Linux Action Show][5], a podcast that began in 2006 and ended 10 years later in early 2017. The show was such a success that, in 2008, Chris and co-founder [Bryan Lunduke][6] decided to start Jupiter Broadcasting. Back then, the company only had two shows, The Linux Action Show and [CastaBlasta][7]. Now it offers 10 Linux-related podcasts with titles like [Linux Headlines][8], [Linux Action News][9], [Choose Linux][10], [Coder Radio][11], [Self-Hosted][12], and more.

I was interested in learning more about Jupiter, so I was grateful when Chris agreed to do this interview (which has been lightly edited for length and clarity).

**Don Watkins**: What is your background?

**Chris Fisher**: I grew up during the transition from early '80s digital solutions to more "modern" networked solutions. In both schools and businesses, the world was slowly getting networked and online. Some people made early bets on DOS-based systems, and others held out completely for the move to digital. From a very young age, I was fortunate to have access to tech I could tinker with to learn. And right out of high school, I got to work migrating systems, standing up networks, and building out centralized authentication, storage, and early web services.

**DW**: How did you get started with Linux?

**CF**: Coming from a Microsoft and Novell admin background, distros like Debian Linux and the open source services that run on top of it were like discovering a new world of solutions. I quickly became very enthusiastic about open source software and the long-term possibilities of Linux. It didn't take long for me to **rm -rf** my root partition and be blown away with how powerful Linux was. From that moment, I had to have it on the desktop and found more and more uses for it on the server.

**DW**: What is your favorite distribution? Why is it your favorite?

**CF**: I really do enjoy something about all of them. These days, my studio runs Ubuntu LTS, my servers run Fedora (as does my Thinkpad), and my workstation runs Xubuntu. From Gentoo to MX, I like to try them all. But I often stick to the classics on my production systems.

**DW**: What was the genesis of Jupiter Broadcasting?

**CF**: It really started as an outlet to share things my friends and I are passionate about. Over time, as we started more podcasts, it made a lot of sense to put it all under one roof. Podcasts grew into a real industry, we started taking advertisers, and after a few years of working a few jobs at once, I was able to go full time. Fast forward some 10+ years later, and one year ago, we merged with [Linux Academy][13]. They have enabled us to give our podcasts away to the community without advertising and while investing in the crew to make them better than ever. We're on a mission to keep people informed and passionate about Linux and open source, and that fits in really great with our bigger mission at Linux Academy to train people on the stacks we talk about.

**DW**: There are 10 different podcasts at Jupiter Broadcasting. How do you stay on top of all of that?

**CF**: It can be a big job, more than ever these days. We just launched two new podcasts: Linux Headlines—a daily Linux, open source, and cloud news show in three minutes or less, and Self-Hosted, a podcast all about hosting services on your LAN with open source software and leveraging the cloud in a secure, under-your-control way, when it makes sense.

Just getting those efforts off the ground, while also keeping the existing shows fresh and packed with good content, is a lot of work! Especially combined with a fair bit of travel required for the job. Now that we're part of Linux Academy, I have a good team behind me—from a core of full-timers to a raft of co-hosts from various areas in the industry—and they're all really good at their jobs.

I am constantly finding my balance and working with the team to take that on. It's definitely an ongoing process. And I'm really thankful I get to make these podcasts as a living.

**DW**: Do you use open source hardware and software to record the content?

**CF**: Our shows are recorded on Linux, and we use the amazing REAPER editor on Linux. It's not open source, but it's a great example of what kind of powerful, workstation-grade software you can get when you have an open platform underneath it enabling it.

**DW**: How large is your audience?

**CF**: I'm not sure we have ever shared numbers, but I'm thrilled to say it's well over 1 million unique downloads a quarter. Without advertising, we don't have to track very aggressively and have turned our focus on the content. So now we work with some high-level numbers for health checks.

**DW**: Do you have a favorite topic on a particular show?

**CF**: I love the #askerror questions that come into our [User Error][14] podcast. They're always a source of great conversation among the guys. The moment that show hits my podcast player, I hit Play.

But I'm a real newshound, so my favorite topics in the shows I do are driven by the news cycle.

**DW**: How is your content licensed?

**CF**: Attribution-ShareAlike 4.0 International.

**DW**: How do we support you?

**CF**: For us—and for all content creators in this space—word of mouth. People trust direct recommendations, and that means a lot in this area. It's hard to find good content that avoids clickbait and does its research. By the very nature of not chasing that clickbait, it limits the viral discovery of content that is working very hard to get right. So taking a few minutes to tell a friend, or share a post, or anything that helps spread awareness is real support!

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/10/linux-podcasts-Jupiter-Broadcasting

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/programming-code-keyboard-laptop-music-headphones.png?itok=EQZ2WKzy (Woman programming)
[2]: https://www.jupiterbroadcasting.com/
[3]: https://twitter.com/ChrisLAS
[4]: https://opensource.com/article/19/5/system76-secret-sauce
[5]: https://www.jupiterbroadcasting.com/tag/linux-action-show/
[6]: https://twitter.com/BryanLunduke
[7]: https://www.jupiterbroadcasting.com/show/castablasta/
[8]: https://linuxheadlines.show/
[9]: https://linuxactionnews.com/
[10]: https://chooselinux.show/
[11]: https://coder.show/
[12]: https://www.jupiterbroadcasting.com/show/self-hosted/
[13]: https://linuxacademy.com/
[14]: https://www.jupiterbroadcasting.com/show/error/
