[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Drupal shows leadership on diversity and inclusion)
[#]: via: (https://opensource.com/article/19/10/drupals-diversity-initiatives)
[#]: author: (Lauren Maffeo https://opensource.com/users/lmaffeo)

Drupal shows leadership on diversity and inclusion
======
Drupal's Diversity & Inclusion Group is taking an innovative approach to
bringing attention to underrepresented groups in open source.
![Two diverse hands holding a globe][1]

I didn't expect [DrupalCon Seattle][2]'s opening keynote to address the barriers that hold people back from making open source contributions. So imagine my surprise when Dries Buytaert, Drupal's project lead and co-founder and CTO of Acquia, which created Drupal, [used his time onstage][3] to share an apology.

> _"I used to think anyone could contribute to Drupal if they just had the will. I was wrong—many people don't contribute to open source because they don't have the time."_
>  — Dries Buytaert

Buytaert [disproved the long-held belief][4] that open source is a meritocracy. The truth is that anyone who has free time to do ongoing, unpaid work is more privileged than most. If you're working a second job, caring for aging parents, or earning less due to systemic wage gaps for people of color, you can't start your open source career on equal ground.

> I wonder if a personal story will help :) In the past year, I dedicated my life to [#drupaldiversity][5]. The bridges that helped us achieve success at the highest level this year were often at a personal cost of my nights, weekends, and personal life.
>
> — Fatima (she/her) (@sugaroverflow) [April 15, 2019][6]

### Increasing diversity and inclusion in Drupal

Buytaert's keynote highlighted the Drupal project's commitment to diversity—and diversifying.

For example, the Drupal Association awards grants, scholarships, and money from its inclusion fund to contributors of minority status so they can travel and attend the Association's DrupalCon events. Recently, 18 contributors [received awards][7] to attend [DrupalCon Amsterdam][8] in late October.

In addition, the all-volunteer [Drupal Diversity &amp; Inclusion][9] (DDI) collective works to diversify Drupal's speaker base. All of DDI's projects are open for anyone to work on in the [Drupal Diversity][10] or [DDI Contrib][11] project repositories.

In its August newsletter, DDI shared another way it seeks to expand awareness of diverse populations. The group starts each of its weekly meetings by asking members where they're from and to acknowledge the indigenous history of the land they live on. In July, DDI launched a related project: [Land Acknowledgements][12], which invites Drupal community members to research their homelands' indigenous histories and share them in a community blog post.

This project caught my eye, and I made a [contribution][13] about the indigenous history of Montgomery County, Maryland, where I live. This project is still open: [anyone can add their research][14] to the blog post.

To learn more, I interviewed [Alanna Burke][15], a Drupal developer who helps lead the Land Acknowledgements project. Our conversation has been edited for length and clarity.

### Acknowledging indigenous history

**Lauren Maffeo:** Describe Drupal's Land Acknowledgments project. How did the idea for this project come about, and what is its end goal?

**Alanna Burke:** In our weekly Slack meetings, we ask everyone to introduce themselves and do a land acknowledgment. I'm not sure when we started doing that. One week, I had the idea that it would be really neat to have folks do a little more research and contribute it back into a blog post—we do these acknowledgments, but without more context or research, they're not very meaningful. We wanted people to find out more about the land that they live on and the indigenous people who, in many cases, still live there.

**LM:** How long will you accept contributions to the project? Do you have an ultimate goal for project contributions?

**AB:** Right now, we intend to accept contributions for as long as people want to send them in!

**LM:** How many contributions have you received thus far?

**AB:** We've had four contributions, plus mine. I think folks have been busy, but that's why we made the decision to keep contributions open. We don't have a goal in terms of numbers, but I'd love to see more people do the research into their land, learn about it, and find out something interesting they didn't know before.

**LM:** Describe the response to this project so far. Do you have plans to expand it beyond Drupal to the broader open source community?

**AB:** Folks seemed to think it was a really great idea! There were definitely a lot of people who wanted to participate but haven't found the time or who just mentioned that it was cool. We haven't discussed any plans to expand it, since we focus on the Drupal community, but I'd encourage any community to take this idea and run with it, see what your community members come up with!

**LM:** Which leaders in the Drupal community have created and maintained this project?

**AB:** Myself and the other members of the DDI leadership team: Tara King, Fatima Khalid, Marc Drummond, Elli Ludwigson, Alex Laughnan, and Alex McCabe

**LM:** What are some 2019 highlights of Drupal's Diversity &amp; Inclusion initiative? Which goals do you aim to achieve in 2020?

**AB:** Our biggest highlight this year was the Speaker Diversity Workshop, which we held on September 28th. Jill Binder of the WordPress community led this free online workshop aimed at helping underrepresented folks prepare for speaking at camps and conferences.

We are also going to hold an online [train-the-trainers workshop][16] on November 16th so communities can hold their own speaker workshops.

In 2020, we'd like to build on these successes. We did a lot of fundraising and created a lot of great relationships in order to make this happen. We have a [handful of initiatives][17] that we are working on at any given time, so we'll be continuing to work on those.

**LM:** How can Opensource.com readers contribute to the Land Acknowledgements post and other Drupal D&amp;I initiatives?

**AB:** Check out [the doc][14] in the issue. Spend a little time doing research, write up a few paragraphs, and submit it! Or, start up an initiative in your community to do land acknowledgments in your meetings or do a collaborative post like ours. Do land acknowledgments as part of events like camps and conferences.

To get involved in DDI, check out our [guide][18]. We have [an issue queue][10], and we meet in Slack every Thursday for a text-only meeting.

**LM:** Do you have statistics for how many women and people of minority status (gender, sexuality, religion, etc.) contribute to the Drupal project? If so, what are they?

**AB:** We have some numbers—we'd love to have more. This [post][19] has some breakdowns, but here's the gist from 2017-2018, the latest we have:

  * [Drupal.org][20] received code contributions from 7,287 different individuals and 1,002 different organizations.
  * The reported data shows that only 7% of the recorded contributions were made by contributors that do not identify as male, which continues to indicate a steep gender gap.
  * When measuring geographic diversity, we saw individual contributors from six different continents and 123 different countries.



Recently, we have implemented [Open Demographics][21] on Drupal.org, a project by DDI's founder, Nikki Stevens. We hope this will give us better demographic data in the future.

### Closing the diversity gap in open source

Drupal is far from alone among [open source communities with a diversity gap][22], and I think it deserves a lot of credit for tackling these issues head-on. Diversity and inclusion is a much broader topic than most of us realize. Before I read DDI's August newsletter, the history of indigenous people in my community was something that I hadn't really thought about before. Thanks to DDI's project, I'm not only aware of the people who lived in Maryland long before me, but I've come to appreciate and respect what they brought to this land.

I encourage you to learn about the native people in your homeland and record their history in DDI's Land Acknowledgements blog. If you're a member of another open source project, consider replicating this project there. 

Open source research often paints the community as a homogeneous landscape. I have collected...

Egle Sigler, Kavit Munshi, and Carol Barrett talk about the importance of diversity in the...

Diversity has a new full-time ally. Marina Zhurakhinskaya recently won an O'Reilly award for her...

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/10/drupals-diversity-initiatives

作者：[Lauren Maffeo][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/lmaffeo
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/world_hands_diversity.png?itok=zm4EDxgE (Two diverse hands holding a globe)
[2]: https://events.drupal.org/seattle2019
[3]: https://www.youtube.com/watch?v=BNoCn6T9Xf8
[4]: https://dri.es/the-privilege-of-free-time-in-open-source
[5]: https://twitter.com/hashtag/drupaldiversity?src=hash&ref_src=twsrc%5Etfw
[6]: https://twitter.com/sugaroverflow/status/1117876869590728705?ref_src=twsrc%5Etfw
[7]: https://events.drupal.org/amsterdam2019/grants-scholarships
[8]: https://events.drupal.org/amsterdam2019
[9]: https://opencollective.com/drupal-diversity-and-inclusion
[10]: https://www.drupal.org/project/issues/diversity
[11]: https://www.drupal.org/project/issues/ddi_contrib
[12]: https://www.drupaldiversity.com/blog/2019/land-acknowledgments
[13]: https://www.drupal.org/project/diversity/issues/3063065#comment-13234777
[14]: https://www.drupal.org/project/diversity/issues/3063065
[15]: https://www.drupal.org/u/aburke626
[16]: https://www.drupaldiversity.com/blog/2019/learn-how-hold-your-own-speaker-diversity-workshop-saturday-november-16
[17]: https://www.drupaldiversity.com/initiatives
[18]: https://www.drupaldiversity.com/get-involved
[19]: https://dri.es/who-sponsors-drupal-development-2018
[20]: http://Drupal.org
[21]: https://www.drupal.org/project/open_demographics
[22]: https://opensource.com/resources/diversity-open-source
