[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (To space and beyond with open source)
[#]: via: (https://opensource.com/article/19/10/open-source-space-exploration)
[#]: author: (Jaouhari Youssef https://opensource.com/users/jaouhari)

To space and beyond with open source
======
Open source projects are helping to satisfy our curiosity about what
lies far beyond Earth's atmosphere.
![Person looking up at the stars][1]

Carl Sagan once said, "The universe is a pretty big place. If it's just us, seems like an awful waste of space." In that vast desert of seeming nothingness hides some of the most mysterious and beautiful creations humankind ever has—or ever will—witness.

Our ancient ancestors looked up into the night sky and dreamed about space, just as we do today. Starting with simple, naked-eye observations of the sky and progressing to create [space telescopes][2] that uncover far reaches of the universe, we've come a long way toward understanding and redefining the concepts of time, space, and matter. Our exploration has provided some answers to humanity's enduring questions about the existence of extraterrestrial life, about the finite or infinite nature and origin of the universe, and so much more. And we still have so much to discover.

### Curiosity, a crucial component for space exploration

The Cambridge Dictionary defines [curiosity][3] as "an eager wish to know or learn about something." It's curiosity that fuels our drive to acquire knowledge about outer space, but what drives our curiosity, our "eager wish," in the first place?

I believe that our curiosity is driven by the desire to escape the unpleasant feeling of uncertainty that is triggered by acknowledging our lack of knowledge. The intrinsic reward that comes from escaping uncertainty pushes us to find a correct (or at least a less wrong) answer to whatever question is at hand.

If we want space discovery to advance at a faster pace, we need more people to become aware of the rewards that are waiting for them when they make the effort and discover answers for their questions about the universe. Space discovery is admittedly not an easy task, because finding correct answers requires following rigorous methods on a long-term scale.

Luckily, open source initiatives are emerging that make it easier for people to get started exploring and enjoying the beauty of outer space.

### Two open source initiatives for space discovery

#### OpenSpace Project

One of the most beautiful tools for exploring space is [OpenSpace][4], an open source visualization tool of the entire known universe. It is an incredible way to visualize the environment of other planets, such as Mars and Jupiter, galaxies, and more.

![The Moon visualized by the OpenSpace project][5]

To enjoy a smooth experience from the OpenSpace simulation (e.g., a minimum 30fps), you need a powerful GPU; check the [GitHub repository][6] for more information.

#### Libre Space Foundation

The [Libre Space Foundation][7]'s mission is "to promote, advance, and develop libre (free and open source) technologies and knowledge for space." Among other things, the project is working to create an open source network of satellite ground stations that can communicate with satellites, spaceships, and space stations. It also supports the [UPSat project][8], which aspires to be the first completely open source satellite launched.

### Advancing the human species

I believe that the efforts made by these open source initiatives are contributing to the advancement of the human species in space. By increasing our interest in space, we are creating opportunities to upgrade our civilization's technological level, moving further up on the [Kardashev scale][9] and possibly becoming a multi-planetary species. Maybe one day, we will build a [Dyson sphere][10] around the sun to capture energy emissions, thereby harnessing an energy resource that exceeds any found on Earth and opening up a whole new world of possibilities.

### Satisfy your curiosity

Our solar system is only a tiny dot swimming in a universe of gems, and the outer space environment has never stopped amazing and intriguing us.

If your curiosity is piqued and you want to learn more about outer space, check out [Kurzgesagt's][11] YouTube videos, which cover topics ranging from the origin of the universe to the strangest stars in a beautiful and concise manner.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/10/open-source-space-exploration

作者：[Jaouhari Youssef][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jaouhari
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/space_stars_cosmos_person.jpg?itok=XUtz_LyY (Person looking up at the stars)
[2]: https://en.wikipedia.org/wiki/List_of_space_telescopes
[3]: https://dictionary.cambridge.org/us/dictionary/english/curiosity
[4]: https://www.openspaceproject.com/
[5]: https://opensource.com/sites/default/files/uploads/moon.png (The Moon visualized by the OpenSpace project)
[6]: https://github.com/OpenSpace/OpenSpace
[7]: https://libre.space/
[8]: https://upsat.gr/
[9]: https://en.wikipedia.org/wiki/Kardashev_scale
[10]: https://en.wikipedia.org/wiki/Dyson_sphere
[11]: https://kurzgesagt.org/
