[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How universities are using open source to attract students)
[#]: via: (https://opensource.com/article/19/11/open-source-universities)
[#]: author: (Joshua Pearce https://opensource.com/users/jmpearce)

How universities are using open source to attract students
======
Many universities have begun new initiatives to attract students that
are excited about technical freedom and open source.
![Open education][1]

Michigan Tech just launched [opensource.mtu.edu][2], a virtual one-stop free shop for all things open source on campus. According to their site, _[Tech Today][3]_:

> "With the [majority of big companies now contributing to open source projects][4] it is clearly a major trend. [All [major] supercomputers][5] (including our own supercomputer: [Superior][6]), 90% of cloud servers, 82% of smartphones, and 62% of embedded systems run on open source operating systems. More than 70% of ‘internet of things’ devices also use open source software. 90% of the Fortune Global 500 pay for the open source Linux operating system from Red Hat, a company that makes billions of dollars a year for the service they provide on top of the product that can be downloaded for free."

The publication also says that "the open source hardware movement is [roughly 15 years][7] behind its software counterpart," but it appears to be catching up quickly. Given their mandate to "attract students that are excited about technical freedom and open source," many universities have started a new front in the battle for educational supremacy.

Unlike conventional warfare, this is a battle that benefits the public. The more universities share using the open source paradigm, the faster technology moves forward with all of its concomitant benefits. The resources available through [opensource.mtu.edu][2] include:

  * [Thousands of free and open access articles in their Digital Commons][8].
  * Free data, including housing the [Free Inactive Patent Search][9], a tool to help find inactive patents that have fallen into the public domain.
  * Free open source courses like [FOSS101][10]: Essentials of Free and Open Source Software, which teaches Linux commands and the Git revision control system, or [Open source 3D printing][11], which teaches OpenSCAD, FreeCAD, Blender, Arduino, and RepRap 3D printing.
  * Student organizations like the [Open Source Hardware Enterprise][12], which is dedicated to the development and availability of open source hardware, and the [Open Source Club][13], which develops open source software.
  * Free software, including the [Astrophysics Source Code Library (ASCL)][14] open repository, which now lists over 2,000 codes and the [Psychology Experiment Building Language (PEBL)][15] software for psychological testing used in laboratories and by clinicians around the world.
  * Free hardware, including hundreds of digitally manufactured designs and dozens of complex machines for everything from [plastic recycling systems][16] to [open source lab equipment][17].



Michigan Tech is hardly alone with major initiatives across a broad swath of academia. Open access databases like [Academia][18], [OSF preprints][19], [ResearchGate][20], [PrePrints][21], and [Science Open][22] swell with millions of free, open access, peer-reviewed articles. The Center for Open Science supports the [Open Science Framework][23], which is a "free and open source project management tool that supports researchers throughout their entire project" lifecycle, including storing Gigabytes of data:

![Open Source Framework \(OSF\) workflow.][24]

_Source: [OSF][25]_

You can choose from a wide variety of course options at other institutions as well, and are generally able to take these courses at your own pace:

  * Rochester Institute of Technology students can [earn a minor in free and open source software][26] and free culture.
  * Many of the world’s most renowned colleges and universities offer free courses to self-learners through [OpenCourseWare (OCW)][27]. None of the courses offered through OCW award credit, though. For that, you need to pay.
  * Schools like [MIT][28], the University of Notre Dame, Yale, Carnegie Mellon, Delft, Stanford, Johns Hopkins, University of California Berkeley and the Open University (among many more) offer free academic content, such as syllabi, lecture notes, assignments, and examinations.



Many universities also contribute to free and open source software (FOSS) and free and open source hardware (FOSH). In fact, many universities—including American International University West Africa, Brandeis University, Indiana University, and the University of Southern Queensland—are [Open Source Initiative (OSI) Affiliates][29]. The University of Texas even has [formal policies][30] in place for contributing to open source.

### Universities using open source in higher education

In addition, the vast majority of universities use FOSS. [PortalProgramas][31] ranked Tufts University as the top higher education user of FOSS. Even more representative is [Apereo][32], which is a network of universities actively supporting the use of open source in higher education. This network includes a long list of [member institutions][33]:

  * American Public University System  
  * Beijing Open-mindness Technology Co., Ltd.  
  * Blindside Networks  
  * Boston University Questrom School of Business  
  * Brigham Young University  
  * Brock University  
  * Brown University  
  * California Community Colleges Technology Center
  * California State University, Sacramento  
  * Cirrus Identity  
  * Claremont Colleges  
  * Clark County School District  
  * Duke University  
  * Edalex  
  * Educational Service Unit Coordinating Council  
  * ELAN e.V.  
  * Entornos de Formación S.L (EDF)  
  * ETH Zürich  
  * Gert Sibande TVET College  
  * HEC Montreal  
  * Hosei University  
  * Hotelschool the Hague  
  * IlliniCloud  
  * Instructional Media &amp; Magic  
  * JISC  
  * Kyoto University  
  * LAMP
  * Learning Experiences  
  * Longsight. Inc.  
  * MPL, Ltda.  
  * Nagoya University  
  * New York University  
  * North-West University  
  * Oakland University  
  * OPENCOLLAB
  * Oxford University  
  * Pepperdine University  
  * Princeton University  
  * Rice University  
  * Roger Williams University  
  * Rutgers University  
  * Sinclair Community College  
  * SWITCH  
  * Texas State University, San Marcos  
  * Unicon  
  * Universidad Politecnica de Valencia  
  * Universidad Publica de Navarra  
  * Universitat de Lleida  
  * Universite de Rennes 1  
  * Universite de Valenciennes  
  * University of Amsterdam  
  * University of California, Berkeley  
  * University of Cape Town  
  * University of Edinburgh  
  * University of Illinois  
  * University of Kansas  
  * University of Manchester  
  * University of Michigan  
  * University of North Carolina, Chapel Hill  
  * University of Notre Dame  
  * University of South Africa UNISA  
  * University of Virginia  
  * University of Wisconsin-Madison  
  * University of Witwatersrand  
  * Western University  
  * Whitman College
 



Another popular organization is [Kuali][34], which is a nonprofit that produces open source administrative software for higher education institutions. Their members include:

  * Boston University
  * California State University, Office of the Chancellor
  * Colorado State University
  * Cornell University
  * Drexel University
  * Indiana University
  * Marist College
  * Massachusetts Institute of Technology
  * Michigan State University
  * North-West University, South Africa
  * Research Foundation of The City University of New York
  * Stevens Institute of Technology
  * Strathmore University
  * Tufts University
  * University Corporation for Atmospheric Research
  * Universidad del Sagrado Corazon
  * University of Arizona
  * University of California, Davis
  * University of California, Irvine
  * University of Connecticut
  * University of Hawaii
  * University of Illinois
  * University of Maryland, Baltimore
  * University of Maryland, College Park
  * University of Toronto
  * West Virginia University



Didn't see your favorite university on the list? If that school has been involved in open source, please leave a comment below telling me what your school is doing in open source. If you want to see your favorite school on the list and they aren't doing much in open source, you can encourage them by sending a letter asking the program heads to:

  * Institutionalize sharing their research open access in their own Digital Commons and/or use one of the many free repositories.
  * Share research data on the Open Science Framework.
  * Provide OCW and/or offer courses and programs specifically focused on open source.
  * Start and/or expand their use of FOSS and FOSH on campus, and/or join <https://kuali.org/membership> or <https://www.apereo.org/content/apereo-membership>.



--------------------------------------------------------------------------------

via: https://opensource.com/article/19/11/open-source-universities

作者：[Joshua Pearce][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jmpearce
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/osdc_OER_520x292_FINAL.png?itok=DBCJ4H1s (Open education)
[2]: https://opensource.mtu.edu/
[3]: https://www.mtu.edu/ttoday/?issue=20191022
[4]: https://opensource.com/business/16/5/2016-future-open-source-survey
[5]: https://www.zdnet.com/article/supercomputers-all-linux-all-the-time/
[6]: https://hpc.mtu.edu/
[7]: https://www.mdpi.com/2411-5134/3/3/44
[8]: https://digitalcommons.mtu.edu/
[9]: https://opensource.com/article/17/1/making-us-patent-system-useful-again
[10]: https://mtu.instructure.com/courses/1147020
[11]: https://opensource.com/article/19/2/3d-printing-course
[12]: http://openhardware.eit.mtu.edu/
[13]: http://mtuopensource.club/
[14]: https://ascl.net/
[15]: http://pebl.sourceforge.net/
[16]: https://www.appropedia.org/Recyclebot
[17]: https://www.appropedia.org/Open-source_Lab
[18]: https://www.academia.edu/
[19]: https://cos.io/our-products/osf-preprints/
[20]: https://www.researchgate.net/
[21]: https://www.preprints.org/
[22]: https://www.scienceopen.com/
[23]: https://osf.io/
[24]: https://opensource.com/sites/default/files/uploads/osf_workflow_-_hero.original600_copy_0.png
[25]: https://cdn.cos.io/media/images/OSF_workflow_-_hero.original.png
[26]: http://www.rit.edu/news/story.php?id=50590
[27]: https://learn.org/articles/25_Colleges_and_Universities_Ranked_by_Their_OpenCourseWare.html
[28]: https://ocw.mit.edu/index.htm
[29]: https://opensource.org/affiliates
[30]: https://it.utexas.edu/policies/releasing-software-open-source
[31]: http://www.portalprogramas.com/en/open-source-universities-ranking/about
[32]: https://www.apereo.org/
[33]: https://www.apereo.org/content/apereo-member-organizations
[34]: https://www.kuali.org/
