[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How to drive customer experience with agile principles)
[#]: via: (https://opensource.com/article/19/11/apply-devops-agile-principles-customer-experience)
[#]: author: (Matt Shealy https://opensource.com/users/mshealy)

How to drive customer experience with agile principles
======
Increasing customer satisfaction scores is one of the most important
ways to grow a business.
![People meeting][1]

Customer experience has never been more important. People can find out just about anything with a few clicks or a voice search on their phones. They can research products, services, and companies. They can do business with organizations all over the world. They can buy with a swipe and have things shipped right to their home within a day.

Consumers now demand instant access, frictionless transactions, and [superior customer experience][2] (CX). Not only do they want efficiency, but they also want personalized interactions.

### Customer experience as a competitive advantage

CX is also becoming a way to distinguish yourself from the competition. More than 80% of organizations say that they expect to [compete mainly based on the customer experience][3] they provide. Companies that excel at customer experience have higher brand awareness, higher employee satisfaction, higher customer retention, higher customer satisfaction rates, and higher average order value.

### Using agile and DevOps principles to compete

Customer-forward applications, such as websites, apps, chatbots, call center tech, and e-commerce toolkits, define customer service and CX. They can positively shape a brand or push customers away. Organizations need to be in a continuous improvement cycle to improve these products.

Competing successfully in a CX-driven world can happen only by applying agile and DevOps principals throughout the organization.

### What is DevOps?

[DevOps][4] is designed to deliver apps and services rapidly within a continuous development (CD) and continuous integration (CI) cycle. Products are developed, released, tested, and updated continuously rather than once or twice a year.

To make this happen, cross-functional teams work in an agile environment rather than in a linear development cycle. Instead of working in silos, engineers work across application lifecycles.

### The DevOps cycle

By forgoing the traditional software development and infrastructure management process, organizations can launch products more quickly, identify problems to apply patches, and serve customers better.

There are various iterations of the DevOps cycle, but they typically boil down to a few common elements in an infinite loop, starting with planning and looping back to the start.

  1. Plan
  2. Build
  3. Continuous integration
  4. Deployment
  5. Operate
  6. Continuous feedback



The idea is to constantly be in development and improving the application to provide a better customer experience.

### Building a DevOps strategy

The DevOps process brings together stakeholders from different disciplines into one project team. Instead of building things in an assembly-line manner, where one task follows another, the team works holistically across multiple disciplines at the same time.

This helps bring business intelligence and strategy teams into the design phase. It keeps engineers in the customer feedback loop. For everyone in the agile development team, it provides tighter integration and keeps everyone focused on the larger goals. It allows developers to work towards customer and business outcomes rather than delivery feature sets.

Customer feedback is one of the most important phases in improving CX. It doesn't matter how clean your code is or how innovative your app is if customers don't find it useful. Quality service starts with understanding customer needs and delivering intuitive ways to meet them.

Automation is crucial to improving speed. Try to automate as much of the process as possible. There are technology tools—many of which are free and open source solutions—that can handle parts of the software delivery lifecycle smoothly.

The DevOps strategy was developed as a way to speed software to market, but it can also be applied to nearly any process. A continuous development, deployment, test, and feedback loop creates a way to improve systems continuously. This makes for better workflows, stronger employee and customer engagement, and more iterative development.

### The benefits of agile teams and DevOps strategies

There are real and tangible benefits of improving CX. For one: [86% of consumers report they are willing to pay more for great customer experience][5].

Also, [improving customer experience][6] creates more brand loyalty. Keeping customers involved in the feedback loop and building on their suggestions to enhance usability can improve customer satisfaction.

In addition, organizations can see multiple internal benefits, including:

  * Faster deployment times
  * Higher product quality
  * Increased project control and transparency
  * Risk mitigation
  * Faster adaptation
  * More predictable costs and schedules



Finally, agile development is iterative. A functional product may be market-ready after only a few iterations, and this can create a first-mover advantage. In fast-moving markets, this eliminates long delivery cycles. Fast releases can stimulate customer feedback, which can be turned into additional features to keep you ahead of competitors.

Organizations with high agility are nearly [20% more likely to meet their business goals][7] than less agile teams. They finish projects on time 50% more often and [deliver software to market 37% faster][8].

The better your customer-facing products are, the more time call center and customer support teams will have available to work on customer problems. When patterns and concerns are recognized, they can be added to applications in a more seamless manner using the DevOps strategy.

Raising the bar on customer experience takes an across-the-board commitment—from senior management to line-level employees. Raising customer satisfaction scores is one of the most important things you can do to grow any business.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/11/apply-devops-agile-principles-customer-experience

作者：[Matt Shealy][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mshealy
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/people_team_community_group.png?itok=Nc_lTsUK (People meeting)
[2]: https://www.chamberofcommerce.com/business-advice/master-a-great-experience-for-your-customers
[3]: https://www.gartner.com/en/doc/3874972-realizing-the-benefits-of-superior-customer-experience-a-gartner-trend-insight-report
[4]: https://opensource.com/resources/devops
[5]: https://www.walkerinfo.com/knowledge-center/featured-research-reports/customers-2020-a-progress-report
[6]: https://www.avoxi.com/blog/how-to-improve-csat-scores-in-your-call-center/
[7]: https://www.pmi.org/-/media/pmi/documents/public/pdf/learning/thought-leadership/pulse/pulse-of-the-profession-2015.pdf
[8]: http://nyspin.org/QSMA-Rally%20Agile%20Impact%20Report.pdf
