[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (4 critical growth opportunities for open source)
[#]: via: (https://opensource.com/article/19/11/open-source-growth-opportunities)
[#]: author: (Tony Wasserman https://opensource.com/users/tonywasserman)

4 critical growth opportunities for open source
======
There has been tremendous growth in open source; now the issue is
predicting its strongest opportunities.
![Green graph of measurements][1]

I recently served on a panel about growth opportunities in open source at the [Open Source India][2] conference in Bengaluru. As you might expect, my fellow panelists and I approached the topic from widely varying perspectives, and I came away with the feeling that we may have confused many in the audience rather than enlightening them. With that in mind, I thought it would be useful to consolidate the panel's ideas about open source growth opportunities, drawing upon many of the points put forth in the session as well as my own thoughts.

### The state of open source

Adoption and use of free and open source software (FOSS) in India (and elsewhere) have grown remarkably over the past 15 years, going back to the first Open Source India conference (then called Linux Asia). At that time, FOSS was largely the province of technologists and developers, with very little adoption by governments, industry, and other organizations. On the contrary, there was some active resistance to FOSS, with Microsoft's then-CEO, Steve Ballmer, calling it a "Communist plot." The earliest commercial ventures in FOSS started a decade earlier with leaders such as Red Hat, [Mandrake][3], and MySQL. Traditional system integrators, such as TCS and Wipro, built their customer solutions with proprietary, closed source software.

Today, the picture is very different. Microsoft's current CEO, Satya Nadella, said Microsoft is "all-in on open source" when he announced its US$ 7.5 billion acquisition of GitHub earlier this year and the appointment of Nat Friedman, former CEO of a commercial FOSS business, as the new head of GitHub.

There are now hundreds of companies all over the world that have developed businesses that provide FOSS and related services. Beyond that, many companies have moved up the FOSS adoption curve, going from initial experimentation, through using FOSS in their products, then contributing FOSS code to various projects, and releasing their own FOSS projects (such as [Cassandra][4] and [TensorFlow][5]) as open source.

One significant outcome of this shift is that FOSS has moved from a "copycat" of proprietary software to being the basis for innovative advances. Much of the leading software in areas such as management of large data sets, microservices, and Internet of Things (IoT) has been released under an Open Source Initiative [(OSI)-approved open source license][6]. More than a third of all servers worldwide and all supercomputers run Linux. On the consumer side, more than 80% of all smartphones run the Linux-based Android operating system, with many vendors adding their own enhancements to the foundation code.

In short, there has already been tremendous growth in the adoption and use of FOSS. It's unusual to find large companies whose developers don't make extensive use of open source components and libraries in their products. The issues now are projecting where FOSS is headed and identifying the areas with sizeable growth potential.

### Technology growth opportunities

The number of FOSS projects has grown exponentially. GitHub hosts more than 100 million projects from more than 40 million contributors. Only a tiny percentage of these projects are suitable to be adopted for production use in business-critical systems; millions have been abandoned by their creator(s). Perhaps 0.01% (10,000) of them would satisfy the needs of someone building product-quality software. There are ample evidence and general agreement that the best FOSS code is equal in quality to, if not better than, closed proprietary code.

But there's a lot of room for technology growth. First, there's growing adoption of FOSS technology—from programming languages to specialized libraries and from infrastructure software to end-user applications—particularly among developers. Next, the size of communities around successful projects (such as Python) is growing quickly, not only with new versions of projects and numbers of maintainers but also with organizations that provide support services, including documentation, translation, and extensions and add-ons, for these technology projects. In some cases, these extensions and add-ons are proprietary, yielding an "open core" approach, where the core retains its FOSS status but customers must pay for some of the add-ons.

Software developers have been on the leading edge of this technology growth. Expensive commercial developer tools have largely been displaced by FOSS tools. An excellent example is the [Eclipse][7] environment, supported by contributors to the Eclipse Foundation, which was derived from IBM's commercial VisualAge tools. Microsoft's Visual Studio once sold for as much as US$ 2,000 per user. Today's tools for coding, testing, continuous integration, DevOps, and collaboration are often free, and developers, particularly in startups, have chosen them over other options.

There's also a place for new FOSS projects as technology evolves and traditional products become increasingly software-dependent. Automobiles and medical devices fall into this category. Newer automobiles are highly dependent on software in virtually every aspect of their operation, not just for autonomous operation but also for overall efficiency, self-detection of faults, and over-the-air software updates. Today, much of that software is proprietary, but it contains vast amounts of FOSS. For example, many of the entertainment systems offered by commercial airlines are built on Linux. It's possible that regulatory agencies or public sentiment will eventually require life-critical applications to be open.

The venture capitalist Mark Andreesen is known (among other things) for saying "software is eating the world." That means not only more software but also more societal dependence on that software's secure and proper functioning. There's a great impact on FOSS as user expectations for usability, reliability, and overall quality continue to grow. The role of open source foundations is also important here because the larger foundations host more projects, involve more contributors in their projects, and maintain governance over those projects, all of which give users greater confidence in the quality and long-term viability of these FOSS projects.

### Employment growth

These trends point clearly to the need for a big jump in jobs for professionals interested in working with open source. While developers are an obvious need, the range of employment opportunities is much larger and includes quality assurance (QA) and release engineers, engineering managers, support engineers, consultants, service providers, executives, and even legal experts to help with licenses and contracts that involve FOSS. For example, many companies will need to establish an open source project office (OSPO) to keep track of their use of FOSS code and staff it with FOSS-knowledgeable people who can work with internal groups on the company's use of FOSS and their contributions to various external FOSS projects and organizations, such as the Apache Foundation. Another example is the growth of information services related to FOSS, including publications, conferences, newsletters, blogs, and consultancies.

These requirements suggest the need for expanded educational programs related to FOSS. Many programs are emerging to encourage young people to learn how to code, and it is a straightforward extension to introduce FOSS at an early stage to create a growing pool of talent coming through secondary and university-level educational programs to meet employment needs. This also increases the demand for experienced FOSS-aware professionals to teach technology and related topics to students.

### Business growth

The growth of FOSS use implies growth opportunities for businesses that develop FOSS and provide FOSS-related services, including project hosting, system integration, and commercial support (e.g., training and QA). As noted above, companies and governments will need people within their organizations and in the broader community around the projects that are most important to their businesses.

The economies of the world have natural business cycles, with newer companies growing and often displacing incumbents. For example, early database systems were replaced by relational database systems such as Oracle and DB2, which are now competing for market share with non-relational database applications, many of them open source, such as Apache CouchDB and [Neo4j][8]. The former are mature businesses, while the latter are growing at a rapid rate. Employment applicants seek out these growing companies since they not only provide greater internal career advancement opportunities but also the chance to work on leading-edge technology and potentially to benefit from the increased value of such companies as they grow. For example, GitHub and Red Hat employees benefited when these companies were acquired by Microsoft and IBM, respectively, earlier this year.

Technology customers reinforce these patterns since few want to spend their money on the trailing edge of technology. Unless they regularly update their systems, they will fall behind competitors that make more effective use of technology. Walmart, one of the world's largest retailers, ascribes much of its historic growth to the software technology used to manage its supply chain; by contrast, the international retail clothing chain Forever21 recently filed for bankruptcy, with analysts noting that the company made very poor use of technology.

These corporate technology buying decisions often create situations where a small number of software vendors come to dominate the market. For a long time, those decisions favored proprietary technology vendors, in part because industry analysts recommended them over FOSS. Now, however, FOSS companies are receiving greater attention, not only because they offer a lower total cost of ownership for their customers, but also because these commercially-focused FOSS businesses have added support services and service level agreements to match traditional vendors. These developments suggest that the leading FOSS companies and products will continue to grow as technology buyers become more comfortable with these newer entries in the software market.

### Investment growth

With the topic of "growth opportunities" as the Open Source India panel's theme, one natural aspect for discussion involved opportunities for angel investors, business accelerators, venture capitalists, and others to benefit financially from funding commercial FOSS companies or investing in publicly traded companies with a significant role in FOSS.

The [OSS Capital][9] website has a tab labeled COSSCI (for Commercial Open Source Software Company Index) that lists more than 40 FOSS companies with annual revenue exceeding US$ 100 million and valuations in excess of US$ 1 billion. All but three of the companies on the list have received venture capital funding averaging US$ 240 million. At that level, not all of the FOSS companies will provide a return to their investors, but the overall data shows that a growing number of knowledgeable investors are acting on the belief that FOSS companies will continue to grow their revenue and profitability, whether they are entries in a new market segment or capturing market share in market segments historically dominated by proprietary vendors.

It's not that technology customers will abandon the systems on which they manage their businesses, but rather that decision-makers in up-and-coming companies will be more likely to choose FOSS solutions than their counterparts in legacy businesses. One can also view IBM's acquisition of Red Hat in this light, using Red Hat's products as a FOSS alternative to IBM's previous generations of software products.

It's clear that such investments of capital can assist companies from their earliest stages through their lifetimes, often resulting in their acquisition or public offering. Companies need funding to grow beyond their initial development, especially to generate awareness of their products and services through marketing programs, create auxiliary support services, and invest in further product development in response to customer requirements, changing markets, and evolving platforms. The founders of such companies spend a disproportionate amount of time seeking investment funding and negotiating the terms of such funding since their growth potential depends on their ability to hire and adequately compensate their employees, as well as to launch their products and build the sales and marketing channels to establish themselves in the market.

Over time, though, these companies must generate revenue and profits from customer purchases so that they are no longer dependent on investor funding. Some companies, such as WhatsApp, are acquired while they are very small, as larger companies see their potential, and are then in a position to fund their ongoing growth. Nonetheless, many startup companies fail to achieve "liftoff" and join the large percentage of startups that don't make it past the initial development stage. These companies tend to fail from being underfunded, from poor management decisions related to hiring, and from an inability to identify a market need that will attract customers.

### Conclusion

In summary, the past growth and the potential for continued growth in FOSS-related products and services have far exceeded the expectations of experts from a decade ago. Looking back, it's clear that the worldwide [Great Recession][10] caused many companies to explore FOSS more thoroughly. Also, FOSS's growing availability and quality led organizations to expand its use beyond developers and pilot projects into business-critical situations. Investors were attracted by the US$ 1 billion acquisition of MySQL AB by Sun Microsystems, more than 15x the annual sales revenue of MySQL at that time.

However, there are still many opportunities for growth. Only a tiny percentage of apps for mobile devices are open source (see [F-Droid][11] for open source Android apps). Also, technology companies, including telecommunications and computer systems, are much more likely to have made significant FOSS deployments. Adoption has been much slower in domains such as insurance, but they are now using machine-learning (ML) and artificial intelligence (AI) tools, such as the FOSS R statistical package, to help them with decision-making. Beyond that, the growth of "smart devices" and "smart cities" draws heavily upon the use of these ML and AI tools, ensuring that the world will become more and more dependent not just upon software, but upon open source.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/11/open-source-growth-opportunities

作者：[Tony Wasserman][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/tonywasserman
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/metrics_lead-steps-measure.png?itok=DG7rFZPk (Green graph of measurements)
[2]: https://www.opensourceindia.in/
[3]: https://openmandriva.org/
[4]: https://opensource.com/life/16/5/basics-cassandra-and-spark-data-processing
[5]: https://opensource.com/article/17/2/machine-learning-projects-tensorflow-raspberry-pi
[6]: https://opensource.org/licenses
[7]: https://opensource.com/education/16/4/5-great-eclipse-scientific-workbenches
[8]: https://opensource.com/article/17/7/fundamentals-graph-databases-neo4j
[9]: https://oss.capital/
[10]: https://en.wikipedia.org/wiki/Great_Recession
[11]: https://f-droid.org/
