[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (IoT in 2020: The awkward teenage years)
[#]: via: (https://www.networkworld.com/article/3453643/iot-in-2020-the-awkward-teenage-years.html)
[#]: author: (Jon Gold https://www.networkworld.com/author/Jon-Gold/)

IoT in 2020: The awkward teenage years
======
The internet of things will see more growth in 2020, along with more growing pains - security, lack of complete solutions
Thinkstock

Much of the hyperbole around the [Internet of Things][1] isn’t really hyperbole anymore – the instrumentation of everything from cars to combine harvesters to factories is just a fact of life these days. IoT’s here to stay.

Yet despite the explosive growth – one widely cited prediction from Gartner says that the number of enterprise and automotive IoT endpoints will reach 5.8 billion in 2020 – the IoT market’s ability to address its known flaws and complications has progressed at a far more pedestrian pace. That means ongoing security woes and a lack of complete solutions are most of what can be safely predicted for the coming year.

[[Get regularly scheduled insights by signing up for Network World newsletters.]][2]

Part of the problem, according to experts, is that there are still two distinct, recognizable types of vendor competing in the IoT market: IT companies with plenty of technological expertise but little hands-on operational experience, and established vendors across the various verticals without much IT sophistication.

**[ [Prepare to become a Certified Information Security Systems Professional with this comprehensive online course from PluralSight. Now offering a 10-day free trial!][3] ]**

What this means from a practical standpoint is that, most of the time, no single vendor is able to offer a complete solution to a given IoT problem and, therefore, unable to solve the broader issues with IoT technology in a unitary way.

### Security

The main issue, of course, remains security. From the standpoint of the IT networking professional, implementing IoT can be like actively inviting security breaches, according to IDC senior research analyst Patrick Filkins.

“IoT is a massive challenge for an IT admin,” he said. “You’re putting hundreds of thousands of low-cost, high-risk devices on the network.”

The  divide between IT and OT is one of the central causes of the security problem. The companies that make most of the sensors for IoT are companies that have experience in their particular area – oil drilling equipment makers, industrial vendors, medical device manufacturers, and so on. Such companies are used to delivering value for money.

“If you want [IoT at scale], you need to bring the price point down on all those sensors, and that affects security,” Filkins said.

451 Research vice president Christian Renaud said that despite the fact that there’s a growing recognition that the security issue is very serious, the sheer volume of new endpoints and types of endpoints flooding into the market in the next few years makes a serious breach all but certain.

One of the keys to securing the IoT, he said, is the use of behavioral analytics on the network – even if individual IoT devices remain difficult to secure, a machine-learning-based system that recognizes malicious traffic – what he calls the “Why is my sensor calling the Ukraine?” problem – could help address the problem.

### IT– OT collaboration

What’s coming, according to Renaud, is a more pragmatic understanding of what IoT means.

“More than anything, we’ve matured past the early confusion, ambiguity and hyperbole,” he said, “to understanding that it’s a whole bunch of different technologies across dozens of use cases in dozens of markets.”

And what that implies is an even greater degree of collaboration throughout the IoT sector. IT companies have been aggressive in partnering up with OT companies, and there’s a general recognition that most complete IoT solutions will involve products from multiple vendors.

Part of the reason for that is money. An IT mega-giant like Google or Microsoft could, in theory, target a particular IoT vertical, acquire existing companies for their operational know-how, and offer a floor-to-ceiling, say, medical-device management system. But the sense is that it simply wouldn’t be cost-effective, according to Filkins.

“It’s less advantageous for them to do vertical solutions,” he said,” because those cost more money for a smaller market.”

That isn’t to say that the major IT players aren’t targeting different verticals, just that they’re doing it in what, for them, is a somewhat uncharacteristic manner – repackaging their offerings for different industries and partnering with OT companies, said Renaud.

“What we’re accustomed to is a winner-take all mentality, where someone in IT just owns a sector,” he said. “But if you look at the [IoT] verticals, a lot of it is dominated by incumbents.”

It doesn’t help that the IoT sector has only recently begun to realize that many verticals have enormously long equipment lifecycles, meaning that the brownfield is infinitely larger than the greenfield. For IT companies used to dominating particular corners of their industry – or, indeed, creating new markets altogether – the idea that nothing gets fully ripped-and-replaced is an adjustment.

### Edge networking

Another one of the major trends for 2020, Filkins noted, will be that enterprises start to move away from cloud-driven IoT deployments and more toward systems that do their computing close to the edge – [edge computing][4]. The cloud can be a limiting factor in a lot of IoT deployments, mostly due to the fact that having to send information from a sensor all the way back to a public cloud, processing it there, and having the results sent from the cloud to the user involves delay.

“That’s limiting from an application performance point of view,” said Filkins. “We’ve all heard about the edge, I think it’s overhyped, but I think it’s happening.”

**Read more about edge networking**

  * [How edge networking and IoT will reshape data centers][5]
  * [Edge computing best practices][6]
  * [How edge computing can help secure the IoT][7]



Join the Network World communities on [Facebook][8] and [LinkedIn][9] to comment on topics that are top of mind.

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3453643/iot-in-2020-the-awkward-teenage-years.html

作者：[Jon Gold][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Jon-Gold/
[b]: https://github.com/lujun9972
[1]: https://www.networkworld.com/article/3207535/what-is-iot-how-the-internet-of-things-works.html
[2]: https://www.networkworld.com/newsletters/signup.html
[3]: https://pluralsight.pxf.io/c/321564/424552/7490?u=https%3A%2F%2Fwww.pluralsight.com%2Fpaths%2Fcertified-information-systems-security-professional-cisspr
[4]: https://www.networkworld.com/article/3224893/what-is-edge-computing-and-how-it-s-changing-the-network.html
[5]: https://www.networkworld.com/article/3291790/data-center/how-edge-networking-and-iot-will-reshape-data-centers.html
[6]: https://www.networkworld.com/article/3331978/lan-wan/edge-computing-best-practices.html
[7]: https://www.networkworld.com/article/3331905/internet-of-things/how-edge-computing-can-help-secure-the-iot.html
[8]: https://www.facebook.com/NetworkWorld/
[9]: https://www.linkedin.com/company/network-world
