[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Should I Choose a Managed WordPress Hosting?)
[#]: via: (https://opensourceforu.com/2019/11/should-i-choose-a-managed-wordpress-hosting/)
[#]: author: (Mark Hanson https://opensourceforu.com/author/mark-hanson/)

Should I Choose a Managed WordPress Hosting?
======

[![WordPress][1]][2]

_After the first wave of the great eCommerce revolution of the 21st century, businesses began to question what it is they really needed out of a website. Web 1.0 was fraught with false starts: guestbooks, webrings, Flash intro pages, and all sorts of frills. Then online commerce began to dial it back. It turns out that for many businesses, a blog really is all you need._

For a vast chunk of the online business world, that means “a WordPress install,” and then you’re done. [_WordPress makes up a whopping one-third_][3] of the top 10 million websites. Not only is this an overwhelming vote of confidence, but it also means that most bloggers, editors, website maintainers, and social media marketers will be trained in WordPress as a standard tool, so it’s easy to find staff to maintain it and difficult to find anybody experienced in other content management systems.

**Other Options**

Before most businesses stumble upon the idea of managed WordPress hosting, they typically go to one of the cheaper routes:

  * Building a freebie blog on Blogger or Wix
  * Shared hosting on some third-rate server warehouse
  * Getting a “web guy” who knows how to maintain a VPS



All of these options are rock-bottom cheap, but the old axiom “you get what you pay for” soon becomes apparent. Small sites hosted by the hundreds on the same server tend to get small traffic, be prone to break and end up being tougher to maintain.

At the opposite end is the dedicated server, which, while it is just the thing for a Fortune 500 company, is far more than any start-up needs. Full server hosting will typically require someone to maintain it 24/7, with more sophisticated skills required.

**A WordPress Site That Runs Itself**

More businesses are turning to managed WordPress hosting for the practical advantage it offers. It’s a right-size fit offering the balance between heavy-duty enough to take a pounding in web traffic, but not so massive that it’s a time and money sink to maintain.

  * Support on a managed account beats any other service.
  * The site is tuned to run WordPress better without bothering with peripheral matters.
  * Maintenance tasks like backups and are handled automatically.
  * Easier maintenance.
  * More robust security than the average WordPress install.
  * Better performance overall.



Since you’re not on a shared server, a managed WordPress host gives you better DNS access, and lets you use tools like SSH, Git, and WP-CLI. Whoever you get to mage your online presence, they’ll appreciate the greater selection of tools at their disposal.

**Staging with Softaculous**

There is one important aspect to managed WordPress hosting which is often overlooked: [_Staging_][4]. When you need to install new plugins or templates on a site, it’s a risky proposition every time. If you install something that breaks the site, it’s messy to remove and costs you downtime. Manually backing-up the site, testing on the scratch copy, then figuring out how to port the changes back to the main site is also time-consuming.

Staged installs allow a one-click managed scripting process which tests the proposed install before you commit to it. It’s like a virtual sandbox where you can freely test changes before committing to them. Softaculous, an open-source script library for website maintenance, is a typical managed WordPress package manager that supports staging. You can even [_install WordPress with Softaculous_][5], and from there other package additions are a breeze.

**A Worry-Free Website**

The biggest plus to getting a host with a managed WordPress plan is that the set-up is done for you. You simply pick up your blog and go, as simply as you would open a notebook and begin writing. New website owners are best off if they leave the engineering details to an expert. Between coming up with content, priming it for SEO, posting it, and promoting it through social media, you’ll have plenty to worry about as it is.

Managed WordPress hosting is great for beginners or those who are more focused on the content itself than the nuts and bolts of network engineering. The only partial caveats is, of course, if your online presence will hinge on something besides WordPress, perhaps needing Drupal or Joomla, then you’d be better off getting a more sophisticated package deal. But for most web businesses, from sole proprietors to budding enterprises, WordPress is a flexible one-size-fits-all solution.

![Avatar][6]

[Mark Hanson][7]

[![][8]][9]

--------------------------------------------------------------------------------

via: https://opensourceforu.com/2019/11/should-i-choose-a-managed-wordpress-hosting/

作者：[Mark Hanson][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensourceforu.com/author/mark-hanson/
[b]: https://github.com/lujun9972
[1]: https://i1.wp.com/opensourceforu.com/wp-content/uploads/2016/09/WordPress.jpg?resize=696%2C421&ssl=1 (WordPress)
[2]: https://i1.wp.com/opensourceforu.com/wp-content/uploads/2016/09/WordPress.jpg?fit=750%2C454&ssl=1
[3]: https://en.wikipedia.org/wiki/WordPress
[4]: https://www.softaculous.com/docs/enduser/create-staging/
[5]: https://www.greengeeks.com/tutorials/article/how-to-install-wordpress-using-softaculous/
[6]: https://secure.gravatar.com/avatar/e827144d3e2406d876d7222a4ac74782?s=100&r=g
[7]: https://opensourceforu.com/author/mark-hanson/
[8]: https://opensourceforu.com/wp-content/uploads/2019/11/assoc.png
[9]: https://feedburner.google.com/fb/a/mailverify?uri=LinuxForYou&loc=en_US
