[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Is your code inclusive?)
[#]: via: (https://opensource.com/article/19/11/inclusive-design-code)
[#]: author: (Peter Cheer https://opensource.com/users/petercheer)

Is your code inclusive?
======
Learn how developers can support assistive technology projects and
inclusivity.
![plastic game pieces on a board][1]

I have been involved with assistive technology for about ten years now, beginning with a stint as an assistive technology tutor with the [Kenya Society for the Blind][2].

Assistive technology helps improve the lives of people with cognitive, physical or sensory challenges. It comprises a wide range of hardware, specialist software such as screen readers, as well as accessibility features in general software.

Over the ten years that I have worked with assistive technology, it has vastly improved. This is due in part to the advent of more powerful technologies, as well as better education and stronger disability rights legislation across much of the world. However, progress has been uneven and much of the legislation, well-meaning as it is, is poorly enforced, so there is still work to be done.

[The Association for the Advancement of Assistive Technology in Europe (AAATE)][3] is an interdisciplinary pan-European association devoted to all aspects of assistive technology, such as use, research, development, manufacture, supply, provision, and policy. Following the AAATE 2019 Conference in Bologna, the association published ["The Bologna Declaration."][4]

The declaration is a call to action "to improve access to quality assistive technology for realizing fundamental human rights and achieving the sustainable development goals in a fully inclusive manner."

It includes a list of ten important steps in an agenda for action. These points are not specifically aimed at the open source community; they are intended for policymakers and the whole assistive technology sector. This agenda for action is well thought out and deserves to be widely read across the technology sector.

### Examples of open source assistive technology

A look at the projects listed at [Open Assistive][5] offers an idea of the range of open source assistive technology projects that are already out there. A good example of mainstream open source software embracing accessibility is the Mozilla Firefox web browser "reader view" feature, which removes ads, background images, and other clutter for distraction-free viewing. The spoken text option in "reader view" also aids accessibility. This feature has certainly improved my user experience and has the great advantage of being a standard option rather than an add-on.

Some of the open source assistive tools that I have used with my clients include:

  * [Vinux][6] — a Linux distro that is optimized for users with visual impairments
  * [NVDA][7] — a capable screen reader for MS Windows
  * [Autohotkey][8] — automates almost anything in MS Windows by sending keystrokes and mouse clicks
  * [Mulberry symbol set][9] — Mulberry symbols, or pictograms, are a set of scalable SVG graphic images designed for communications use. They are ideal for software, devices, or any online accessibility use.



There is a huge range of open source assistive technology projects; one large subset that I am interested to explore is the growing list of open source assistive technology hardware projects. If you have a favorite project that you use or contribute to, share it with us in the comments!

You can support assistive technology by encouraging users to try it, by contributing coding work to assistive technology projects, or by working on documentation and user guides. Even if they’re not working specifically on assistive technology, all developers should keep in mind the need for inclusive design in their projects. If you would like to endorse the Bologna Declaration "to raise awareness so people take action and do everything in their power to actively implementing the points on the agenda," please visit <https://aaate.net/endorse-bologna-declaration/>. 

Assistive technology such as Augmented/Assisted Communication (AAC), Text-to-Speech and Speech-to-...

Assistive technology software is any program or operating system feature designed to let a user...

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/11/inclusive-design-code

作者：[Peter Cheer][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/petercheer
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/team-game-play-inclusive-diversity-collaboration.png?itok=8sUXV7W1 (plastic game pieces on a board)
[2]: http://www.ksblind.org/
[3]: https://opensource.com/article/19/11/www.aaate.net
[4]: https://aaate.net/the-bologna-declaration/
[5]: https://openassistive.org
[6]: https://wiki.vinuxproject.org/
[7]: https://www.nvaccess.org/
[8]: https://www.autohotkey.com/
[9]: https://mulberrysymbols.org/
