[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (What we risk when we open up to customers (and why it's worth it))
[#]: via: (https://opensource.com/open-organization/19/12/customer-empowerment-trust)
[#]: author: (Tracy Giuliani https://opensource.com/users/tgiuliani23)

What we risk when we open up to customers (and why it's worth it)
======
Empowering your customers means opening up to them—but it won't work if
you don't trust each other.
![Open for business][1]

Customer empowerment is one consequence of digital transformation. And as we explained in the [first part of this series][2], it's a powerful one. Empowering customers can deepen their relationship with your organization—but it won't work if they don't trust you.

In this article, we'll explain how acting openly can create that foundation of trust—and why it can lead to business success.

### A foundation of trust

At the heart of customer empowerment is trust—sharing and creating opportunities to _use_ information and knowledge. After all, if we don't share information and create opportunities, then customers will have trouble using the information or taking any action. They're limited.

We can think of the empowered customer as a type of mature "user experience," asking: "What kinds of information and opportunities could customers use to [insert verb here] our products, services, and external processes better?" and "How and where in our products, services, and processes do we provide opportunities to use information and knowledge?" Those questions may not be consecutive; we might need to answer them at the same time.

Trust is the foundation of customer empowerment. We need to trust that our customers are capable, wise, and so on; we must _assume_ they are trustworthy (difficult when we don't know them, since trust is based on personal relationships and consistent actions). Still, when we create opportunities to empower, we need to build them with trust in mind (and sometimes with ways to remove the opportunity if necessary).

In open source software communities, for instance, we note that opportunities to contribute are part of the openness and meritocracy of the community. Communities often _extend trust by default_, allowing anyone to join and modify code—and only if behavior doesn't meet community policy and membership agreement is access revoked. The community assumed participants' positive intent, extending trust in the first place.

Trust is the foundation of customer empowerment.

The question of customer empowerment isn't a "yes or no" question. It's a question of degree. As we mentioned above, empowered customers exist on a continuum. Enabling a _little_ empowerment still qualifies as customer empowerment. But as such empowerment increases, so does the risk involved for the business (and the more reward if the empowerment benefits the business). We could say that customer empowerment is a function of the relationship between customer and business in terms of the:

  * Amount and quality of information
  * Amount and quality of opportunities
  * Frequency of interactions and opportunities
  * And other characteristics pertaining to the unique situation



Think about a synthesizer—an adjustable knob for each quality that influences customer empowerment. There is no single, perfect way to empower customers.

### Managing risk

As we mentioned earlier: Trust is an important aspect in these relationships—trust between a business and its employees, or trust between businesses. Beginning such a relationship by empowering a customer 100% is difficult, and even so you probably don't want to. But you _can_ begin somewhere.

When you risk something, you can ask for your relational partner to risk something too—that way, there's something at stake for both parties.

Between businesses, empowering partners and trusted customers is a great way to start and build empowerment. When you risk something, you can ask for your relational partner to risk something too—that way, there's something at stake for both parties. Confidentiality agreements. Sales data. Customer references. System environment details. Multiproduct stacks built with a few competitor products. Reputation for contribution. Whatever it you choose to share, you'll need to view the relationships as a "give and take" of risk. For instance, a business might provide test case data to a trusted partner, with the intention of improving testing within the organization, but it might ask for the partner to share anonymous details in an online forum about product testing.

Empowerment cannot be a one-way street, or it won't be empowerment. Reach _agreements_ on what can be done (or not done) with the information and activities that are available.

### What's in it for the business?

In [employee empowerment][3], open leaders get the benefit of a more agile and nimble organization, ready to respond to many multi-faceted issues at once.

What do leaders get if they empower customers and partners? In the past, an organization's business model might have been to profit from specific knowledge it possess or by using specific, proprietary processes. But customer empowerment means that those are more "open"? So what's the benefit?

  * Increased customer satisfaction: Just like job satisfaction increases with transparency and meaningful work for associates, customers are more satisfied by themselves being empowered.
  * Deeper expertise for the originating business: And as a result, improved knowledge and processes as they mature further. In other words, by opening current knowledge and processes, the business can elevate its knowledge and processes that maintain profitability or make the business more profitable.
  * Stronger customer centricity: Through increased collaboration with customers, businesses can enhance their current customer experience by using data capturing and analytics to improve their customer-centric perspectives and marketing programs



None of this comes for free. The cost is trust—the work of developing stronger and more trusting relationships with customers and partners. You'll need to decide what that looks like, and what the benefit is, for your own organization.

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/12/customer-empowerment-trust

作者：[Tracy Giuliani][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/tgiuliani23
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUSINESS_openseries.png?itok=rCtTDz5G (Open for business)
[2]: https://opensource.com/open-organization/19/11/customer-empowerment-open-communities
[3]: https://opensource.com/open-organization/19/4/managed-enabled-empowered
