[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (4 open source Android apps for writers)
[#]: via: (https://opensource.com/article/19/6/android-apps-writers)
[#]: author: (Scott Nesbitt https://opensource.com/users/scottnesbitt/users/tiwarinitish86)

4 open source Android apps for writers
======
Get some writing work done on your mobile device with these four apps.
![Hands holding a mobile phone with open on the screen][1]

While I'm of two minds when it comes to smartphones and tablets, I have to admit they can be useful. Not just for keeping in touch with people or using the web but also to do some work when I'm away from my computer.

For me, that work is _writing_—articles, [blog posts][2], essays for my [weekly letter][3], e-book chapters, and more. I've tried many (probably too many!) writing apps for Android over the years. Some of them were good. Others fell flat.

Here are four of my favorite open source Android apps for writers. You might find them as useful as I do.

### Markor

If you're a writer, you need to write with something. A good choice for that job is [Markor][4], a simple, flexible Markdown editor.

All you need to do is fire up Markor, create a new document, and start typing. You can add Markdown formatting by hand or by clicking a button on the toolbar. When it comes to writing, Markor has no frills. It's just you and your words, as it should be.

![Markor app][5]

The app automatically saves your work to your phone or tablet's filesystem. If you sync your phone with a service like [Nextcloud][6], you can set up Markor to save your work in a folder the Nextcloud mobile app uses. That way, you don't need to shuffle files around manually.

Markor has a few other useful features. One of those is a simple preview. Another is a task list, which uses the same format as [Todo.txt][7] (a popular to-do list manager). When you're researching a writing project, you can create a list of bookmarks. You can also export what you're writing as an HTML or a PDF file.

### Orgzly

Some writers swear by outlines. Others hate them with a passion, finding outlines restricting. I'm in the former camp. On my laptop, I do most of my outlining using [Emacs][8] and [Org mode][9]. Bringing the Org mode experience to my phone or tablet is easy using [Orgzly][10].

Don't let the fact that Orgzly uses Org mode's format turn you off. You don't need to be an Emacs guru, or even an Emacs user, to benefit from it.

Create a new _notebook_ (the label Orgzly gives an outline) and add items to it. In addition to a title, you can add tags and notes to each item in your outline. Since outlines are fluid, you can move items up, down, and around. If you need to, you can also sync your notebooks with your service or tool of choice.

![Orgzly app][11]

Orgzly takes a bit of getting used to. Once you do, Orgzly's a great app for creating not only outlines but also notes and [task lists][12].

### Carnet

Notes are the lifeblood of any writer. They're a record of thoughts on a subject. They're snippets and rough drafts. They're research and quotes. And a lot more.

You can use Markor or Orgzly to take notes, but they're not for everyone. If you're one of those people, you'll want to check out [Carnet][13].

Unlike some note-taking apps, Carnet lets you add formatting to your notes. You can change the size, color, and alignment of fonts and add character formatting. You can also insert images into a note. When you finish, you can sync the note either with [Carnet's online service][14] or with Nextcloud.

![Carnet app][15]

The way Carnet displays notes reminds me of Google Keep's layout—as tiles, which you can color, that display a note's title and its first few lines. That's not a bad thing—you can see what a note is about with a glance.

### Anysoft Keyboard

When I write on a phone or tablet, I usually use a folding Bluetooth keyboard. It's a lot faster and easier than typing with an onscreen keyboard. But there are times when I don't have my physical keyboard with me. The stock Android keyboard? It really doesn't do it for me. Instead, I use [Anysoft Keyboard][16].

Why? I prefer the layout and spacing. On top of that, it has several keyboard themes to choose from. Some are compact, while others space the keys out a bit more widely. Don't use QWERTY? Not a problem. Anysoft Keyboard also supports the [Dvorak][17], [Colemak][18], [Workman][19], and [Halmak][20] layouts.

![Anysoft Keyboard][21]

While I'm more of a poly-not than a polyglot, I know more than a couple of people will find Anysoft Keyboard's [language support][22] to be a boon when they're writing in a language other than English.

Have an open source Android app that you find indispensable when writing? Feel free to share it by leaving a comment.

About 10 years ago, when I got my first mobile phone, I hardly knew anything about its operating...

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/6/android-apps-writers

作者：[Scott Nesbitt][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/scottnesbitt/users/tiwarinitish86
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/rh_003588_01_rd3os.combacktoschoolserieshe_rh_041x_0.png?itok=tfg6_I78 (Hands holding a mobile phone with open on the screen)
[2]: https://scottnesbitt.online
[3]: https://buttondown.email/weeklymusings
[4]: https://gsantner.net/project/markor.html
[5]: https://opensource.com/sites/default/files/uploads/markor-app.png (Markor app)
[6]: https://opensource.com/article/19/5/mobile-apps-nextcloud
[7]: http://todotxt.org/
[8]: https://www.gnu.org/software/emacs/
[9]: https://opensource.com/article/19/1/productivity-tool-org-mode
[10]: http://www.orgzly.com/
[11]: https://opensource.com/sites/default/files/uploads/orgzly.png (Orgzly app)
[12]: https://opensource.com/article/17/4/emacs-extensions-organization
[13]: https://f-droid.org/en/packages/com.spisoft.quicknote/
[14]: https://carnet.live/index.php/login
[15]: https://opensource.com/sites/default/files/uploads/carnet.png (Carnet app)
[16]: https://anysoftkeyboard.github.io/
[17]: https://en.wikipedia.org/wiki/Dvorak_Simplified_Keyboard
[18]: https://en.wikipedia.org/wiki/Colemak
[19]: https://en.wikipedia.org/wiki/Keyboard_layout#Workman
[20]: https://github.com/MadRabbit/halmak
[21]: https://opensource.com/sites/default/files/uploads/anysoft.png (Anysoft Keyboard)
[22]: https://anysoftkeyboard.github.io/languages/
