[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How a trip to China inspired Endless OS and teaching kids to hack)
[#]: via: (https://opensource.com/article/19/6/endless-digital-literacy)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)

How a trip to China inspired Endless OS and teaching kids to hack
======
Matt Dalio, Endless OS founder and CEO, opens up on how his company is
expanding digital literacy to all corners of the world.
![Digital literacy.][1]

Last year, I decided to try out [Endless OS][2], a lightweight, Linux-based operating system developed to power inexpensive computers for developing markets. I wrote about [installing and setting it up][3]. Endless OS is unique because it uses a read-only root file system managed by OSTree and Flatpak, but the Endless company is unique for its approach to education.

Late last year, Endless announced the [Hack][4], a $299 laptop manufactured by Asus that encourages kids to code, and most recently the company revealed [The Third Terminal][5], a group of video games designed to get kids coding while they're having fun. Since I'm so involved in teaching kids to code, I wanted to learn more about [Endless Studios][6], the company behind Endless OS, The Third Terminal, [The Endless Mission][7], a sandbox-style game created in partnership with E-Line Media, and other ventures targeted at expanding digital literacy and agency among children around the world.

I reached out to [Matt Dalio][8], Endless' founder, CEO, and chief of product and founder of the China Care Foundation, to ask about Endless and his charitable work supporting orphaned children with special needs in China.

**Don Watkins**: What encouraged you to be a social entrepreneur?

**Matt Dalio**: The most impactful chapter of my life was when I lived in China at age 11. I became interested in social entrepreneurship after spending a summer in an orphanage in China when I was 16.

That one summer quickly evolved into a decade of traveling to China to support orphanages in need, resulting in the founding of the [China Care Foundation][9]. It has since raised $14 million to provide surgery, foster placement, and adoption grants for thousands of special needs children.

A decade later, my two worlds of technology and emerging markets merged when I realized that billions of people would get smartphones within the decade. I also saw that computers, the work and study tool that we run our productive lives with, weren't going to spread nearly as quickly.

I started by creating Endless OS, which is focused on democratizing our most powerful technology tools the way smartphones have done for our mobile technology. We solved cost and connectivity barriers and put internet connectivity within reach worldwide. We were building the best platform for youth in emerging markets. It became clear that, as we did that, we were actually building the best technology education platform for kids there as well as in the US.

We then grew our product vision further to use games and our operating system to teach kids to code, enabling digital literacy that spans from children who have nothing to kids who are fortunate enough to have access to the latest in technology and want to understand how to shape it.

My goal through all of this is to help unlock discovery so every kid can realize the joy of creation. Our most recent launch at Endless Studios of our coding education games ties all of this together with games focused on digital literacy for kids in the US and the rest of the world.

All of that started with China, decades ago at age 11. It's all one long story.

**DW**: How did your experience founding the China Care Foundation at the age of 16 change you?

**MD**: The biggest thing that I discovered in building China Care was the needs of underserved communities. The need of a child becomes truly palpable when you are holding her in your arms. I also discovered that I had the capability to do something about it. At 16, I was just a normal kid, but I happened to realize that I could get a child life-changing surgery by merely raising $500 for her. My actions could impact lives. That has stuck with me. Today at Endless, I am focused on using technology to improve lives at scale. Helping these kids guided me to my life purpose. I found my mission.

**DW**: How did the fact that 3 billion people in the world did not have a computer animate your vision?

**MD**: When I was in India in 2010, smartphones had not yet arrived, but it became quickly obvious that they would. Billions of people were about to be connected to the internet. While this rapidly came to fruition, my secondary discovery was that people there also wanted computers. In the developed world, we get our work done with computers. It is our productivity tool. Without a computer, children and adults do not have access to education and the modern economy. I spent months in the field researching this, and it became obvious that there was still a need for computers. People still wanted them.

I remember a conversation I had in a tea shop in Bangladesh. It was a strange place to ask for life advice, but I did. After hours of talking to this new friend, asking, "Should I do this… should I leave everything and devote my life to this?" he begged me, "Do this, for my country…for my people. Please." I had dozens of conversations like this, and those sent me on my course. Our vision at Endless has continued to expand and to encompass educational technology everywhere, but it all started there.

**DW**: Why Linux and why desktop/laptop computers, rather than smartphones?

**MD**: I began Endless without any appreciation for open source software. Today, I believe with every fiber of my being that the desktop _must_ be open source. It is where we do our real work. Despite still accounting for half of web traffic and there being twice as many computers as there were when the smartphone was launched, and despite the fact that our office buildings and schools are full of people using their PCs, the big technology companies have stopped investing in the PC.

As I look at what we are doing at Endless in international internet access and in coding education, none of it would be possible if we didn't have an open source OS. Although it would have been a lot easier to build upon the standard platforms, we have to touch code at the core of the OS to really solve the problems we have. We are a case study of why it is so important to have an open source operating system. The PC must be protected from the decisions of a few companies.

Finally, as for why PCs, I challenge you to give up your computer for a month and then ask the same question. Can you do that? Question answered.

**DW**: What is the vision of Endless and The Third Terminal? How do you see the games helping children become better coders?

**MD**: Most of the engineers we were interviewing at Endless learned to code in the same way—by hacking their video games. For them, this was much more fun than playing them. The crucial insight from this was, "What if you could build video games in which everything were hackable?"

This was the catalyst for launching Endless Studios, which is now working with almost a dozen global game studios that are all developing games that teach kids to code. We are first and foremost, a game company. These games are built by gamers. It just so happens that creation is a game mechanic that kids love. I believe that code is the greatest creation tool—the ultimate Minecraft.

We are beginning with our first set of games on [thethirdterminal.com][10]. You'll see our games expand into something much bigger soon. We cannot wait to share it with you.

**DW**: Can you tell me more about Hack computers?

**MD**: Hack is a platform that integrates Endless OS into a coding platform. Coding takes place in an operating system because the tools of coding are built upon that operating system. We have harnessed this to expose children to the real tools that real engineers use in a safe environment. We have partnered with Asus to build the Hack PC as a solid, full-featured computer. My Hack laptop is the only laptop I use.

**DW**: What software comes on Hack computers?

**MD**: Hack comes with hundreds of apps. We have everything from Chrome, Steam, Spotify, and Skype to WhatsApp, a full office suite, and tons of games. Most importantly, we have a full developer suite and an array of coding education pathways. Again, I have everything I need in Hack. It's my only laptop today.

**DW**: What is the importance of building digital agency around the world?

**MD**: If our children are going to grow up and be prepared for the future, they had better know how to use the technology that is affecting every corner of our world. We must prepare them. If they do not start early, they will be digitally illiterate. It is as simple as that. Endless wants our children to be able to shape their technology, rather than being shaped by it.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/6/endless-digital-literacy

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_EDU_DigitalLiteracy_520x292.png?itok=ktHMrse6 (Digital literacy.)
[2]: https://endlessos.com/
[3]: https://opensource.com/article/18/2/meet-endless-os-lightweight-linux
[4]: https://hack-computer.com/
[5]: https://www.thethirdterminal.com/home
[6]: https://endlessnetwork.com/
[7]: https://theendlessmission.com/
[8]: https://www.linkedin.com/in/mattdalio/
[9]: https://www.chinacare.org/
[10]: http://www.thethirdterminal.com/home
