[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Open education: There isn't an app for that)
[#]: via: (https://opensource.com/open-organization/19/7/open-ed-app)
[#]: author: (Charlie Reisinger https://opensource.com/users/charlie/users/mchua)

Open education: There isn't an app for that
======
Building classrooms that function as open organizations requires more
than software.
![Classroom chairs][1]

In 2010, I confronted a problem common to all public school leaders: _How do we optimize our limited funding to bring powerful learning technology to thousands of students?_ Faced with an end-of-life fleet of student laptops, district-wide budget cuts, and teachers pleading for more technology, I made a small bet that open source software could be an affordable path forward. Fast forward to 2019: What started with a few elementary school laptop carts running a Linux operating system and open source applications grew into an award-winning, district-wide, one-to-one laptop learning program and student technology help desk—all built with open source principles and software.

Open source software has saved my district—Penn Manor School District in Lancaster County, Pennsylvania—more than a million dollars on its technology budget. But more importantly, making a deliberate and concerted effort to infuse open principles and practices into our learning environments has cultivated a vibrant and inclusive learning community that cuts across the school. And as a result, student success has exceeded our expectations.

But how do schools put open ideas into practice to foster future innovators and leaders? It's not as simple as installing Linux on 4,000 student laptops, holding hands, and singing the alma mater in the high school cafeteria.

An open schoolhouse values all learners' unique strengths and passions to help them reach their potential. This work does not begin and end with curricula, worksheets, and test scores. It starts with building connections, relationships, and trust with students. In this article, I'll explain how we put these ideas into practice.

### Building the open schoolhouse

First, school leaders must recognize that traditional school board computer policies and device decisions are retrograde to learning. Tablets do little to help students explore an operating system. Worse, repressive school device management policies lock access to the command line and block students from installing applications. Sealed tablets and locked-down laptops are like kryptonite for classrooms—they weaken critical thinking and crush a student's ability to create, explore, and learn.

Penn Manor designed district technology policies to amplify student curiosity and learning freedom. Each student has root access on their school-issued Linux laptop. Students are trusted—and encouraged—to tinker and experiment with their school laptops. And our students haven't let us down. Five years into our program, we've experienced zero discipline issues resulting from students' being trusted with admin rights.

But access to the terminal isn't enough to turn a school into an open organization. We must elevate student privileges, write a new script, and empower students to be equal partners in their education. What if our classrooms pushed aside lecture and standard curriculum and reorganized as a community of practitioners working toward a common goal?

When Penn Manor High School launched the Linux laptop learning initiative, our team designed apprenticeship opportunities for students to provide technology support to their peers. What better way to help budding technologists learn the craft than through authentic practice? What better way to encourage a culture of collaboration?

Access to the terminal isn't enough to turn a school into an open organization. We must elevate student privileges, write a new script, and empower students to be equal partners in their education. What if our classrooms pushed aside lecture and standard curriculum and reorganized as a community of practitioners working toward a common goal?

Penn Manor School District's Student Help Desk program is an honors-level, independent study apprenticeship course. Students report for the class like they would for math, science, or art. But any similarity to a traditional high school courses ends there. Apprentices work alongside district IT staff on hardware repairs, software tutorials, system imaging, peer training, and any number of tasks related to the one-to-one program. Daily work assignments are guided by the shifting needs of fellow students and classroom teachers. Visitors observe help desk apprentices fielding questions from students or staff, replacing a damaged laptop screen, or diving into Linux configuration files. Past student apprentices even wrote code for laptop imaging and device inventory. Motivated by authentic use cases, the young programmers developed the very software their peers use today.

The student help desk has no curriculum and no textbook; students search the Internet to discover solutions to problems, or borrow code and ideas that open source communities have freely shared by. Students learn and experiment with the same open source software and techniques that industry professionals use. And assessment? How can a pop-quiz measure a student's elation when their logic board repair is successful, or the joy they feel when the entire school starts using software they've designed?

In this participatory and inclusive classroom culture, traditional power structures dissolve and students are empowered to act, contribute, iterate—and solve real problems.

### Teaching in the open schoolhouse

We educators in the open schoolhouse don't lecture and test. We clear obstacles, provide prompts, and create a culture where trial and risk receive encouragement and praise. Together, as a team, students and staff shape the world around them. When we honor learning by doing, students become active agents in their education and they contribute to the school community in innovative new ways.

Beyond the obvious career preparation and technical skill-building experiences, the Penn Manor Student Help Desk provides students an opportunity to explore individual passions via independent study. As part of this program, every student is challenged to create a unique and compelling personal project that breaks new ground. Choice of the project is entirely up to each student. In the past, they've explored software defined radio, built virtual reality tours, developed a software system for Roll20, produced a podcast series, and even programmed a TurtleBot robot to self-navigate across the school's hallways.

One of our goals is to help technology apprentices discover they can build and command technology—not be content with someone else's technical or marketing decisions. Hacking isn't a concept or skill we teach. It is an ethos we embrace.

A few years ago, I was struck by the wisdom of student one help desk apprentice and hacker, Aytekin Oldac. I asked for his thoughts about the program. The pensive young man paused for the briefest moment and said, "There is a quote from Aristotle, 'Men become builders by building.' I think that applies to the help desk."

Aytekin was indeed becoming a builder. The student help desk needed a visitor registration system, so Aytekin built one. He set to work on a check-in system built atop a decommissioned point-of-sale terminal. The once-obsolete cafeteria terminal was a laughable gray box of thick industrial plastic topped with a fry-grease resistant touchscreen. But Aytekin gave it a new life beyond the lunch line.

One of our goals is to help technology apprentices discover they can build and command technology—not be content with someone else's technical or marketing decisions. Hacking isn't a concept or skill we teach. It is an ethos we embrace.

Using LibreOffice, he programmed a data-entry form with a large on-screen number pad. When a visiting student entered their student ID, the on-screen form would add a timestamp and log the visit into our database. With no explicit curriculum, he relied on his Linux laptop, the Internet, and his intellect to build a new contraption for the help desk team.

Of course, we could have rushed to an app store for a proprietary registration application for a tablet. But what would our young builder have learned? If there were an "app for that," Aytekin would never have spent weeks prototyping a solution, parsing sample code, debugging, or iterating designs from peer feedback. Empowered with freedom and trust, Aytekin became lost in the flow of discovery, hacking, and problem-solving.

But there's a deeper spirit in the open schoolhouse. The thoughts of former student apprentice, Susan Black, transcend education and hardware. "I cannot imagine a more perfect day than one spent repairing laptops and solving software issues at the help desk. I think of our help desk room not as a class, but as a family. We motivate and teach each other, but we also have a few good laughs. We make memories daily, and I don't have to hide who I am in this class. Nobody dares to judge one another, and we become closer by our differences."

Susan's voice resonates a sense of place, a safe and inviting space untangled from the curriculum assembly line and insulated from high school angst and drama. In this place, she is free to be herself and empowered to learn and create. Shouldn't all students be afforded the same opportunity to build self-esteem and leadership skills? To follow their passions? To find their tribes? When the classroom hierarchy is flattened, when students are exalted, when the roles of student and teacher are blurred, the open schoolhouse emerges.

### Read this next

One of the hardest things about trying to bridge two worlds--for instance, open source communities...

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/7/open-ed-app

作者：[Charlie Reisinger][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/charlie/users/mchua
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/edu_rcos.png?itok=ylXuvWqA (Classroom chairs)
