[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Fedora job opening: Fedora Community Action and Impact Coordinator (FCAIC))
[#]: via: (https://fedoramagazine.org/fedora-job-opening-fedora-community-action-and-impact-coordinator-fcaic/)
[#]: author: (Brian Exelbierd https://fedoramagazine.org/author/bex/)

Fedora job opening: Fedora Community Action and Impact Coordinator (FCAIC)
======

![][1]

I’ve decided to move on from my role as the Fedora Community Action and Impact Coordinator (FCAIC).  This was not an easy decision to make. I am proud of the work I have done in Fedora over the last three years and I think I have helped the community move past many challenges.  I could NEVER have done all of this without the support and assistance of the community!

As some of you know, I have been covering for some other roles in Red Hat for almost the last year.  Some of these tasks have led to some opportunities to take my career in a different direction. I am going to remain at Red Hat and on the same team with the same manager, but with a slightly expanded scope of duties.  I will no longer be day-to-day on Fedora and will instead be in a consultative role as a Community Architect at Large. This is a fancy way of saying that I will be tackling helping lots of projects with various issues while also working on some specific strategic objectives.

I think this is a great opportunity for the Fedora community.  The Fedora I became FCAIC in three years ago is a very different place from the Fedora of today.  While I could easily continue to help shape and grow this community, I think that I can do more by letting some new ideas come in.  The new person will hopefully be able to approach challenges differently. I’ll also be here to offer my advice and feedback as others who have moved on in the past have done.  Additionally, I will work with Matthew Miller and Red Hat to help hire and onboard the new Fedora Community and Impact Coordinator. During this time I will continue as FCAIC.

This means that we are looking for a new FCAIC. Love Fedora? Want to work with Fedora full-time to help support and grow the Fedora community? This is the core of what the FCAIC does. The job description (also below), has a list of some of the primary job responsibilities and required skills – but that’s just a sample of the duties required, and the day to day life working full-time with the Fedora community.

Day to day work includes working with Mindshare, managing the Fedora Budget, and being part of many other teams, including the Fedora Council.  You should be ready to write frequently about Fedora’s achievements, policies and decisions, and to draft and generate ideas and strategies. And, of course, planning Flock and Fedora’s presence at other events. It’s hard work, but also a great deal of fun.

Are you good at setting long-term priorities and hacking away at problems with the big picture in mind? Do you enjoy working with people all around the world, with a variety of skills and interests, to build not just a successful Linux distribution, but a healthy project? Can you set priorities, follow through, and know when to say “no” in order to focus on the most important tasks for success? Is Fedora’s mission deeply important to you?

If you said “yes” to those questions, you might be a great candidate for the FCAIC role. If you think you’re a great fit [apply online][2], or contact [Matthew Miller][3], [Brian Exelbierd][4], or [Stormy Peters][5].

* * *

### Fedora Community Manager

Location: CZ-Remote – prefer Europe but can be North America

#### Company Description

At Red Hat, we connect an innovative community of customers, partners, and contributors to deliver an open source stack of trusted, high-performing solutions. We offer cloud, Linux, middleware, storage, and virtualization technologies, together with award-winning global customer support, consulting, and implementation services. Red Hat is a rapidly growing company supporting more than 90% of Fortune 500 companies.

#### Job summary

Red Hat’s Open Source Programs Office (OSPO) team is looking for the next Fedora Community Action and Impact Lead. In this role, you will join the Fedora Council and guide initiatives to grow the Fedora user and developer communities, as well as make Red Hat and Fedora interactions even more transparent and positive. The Council is responsible for stewardship of the Fedora Project as a whole, and supports the health and growth of the Fedora community.

As a the Fedora Community Action and Impact Lead, you’ll facilitate decision making on how to best focus the Fedora community budget to meet our collective objectives, work with other council members to identify the short, medium, and long-term goals of the Fedora community, and organize and enable the project.

You will also help make decisions about trademark use, project structure, community disputes or complaints, and other issues. You’ll hold a full council membership, not an auxiliary or advisory role.

#### Primary job responsibilities

  * Identify opportunities to engage new contributors and community members; align project around supporting those opportunities.
  * Improve on-boarding materials and processes for new contributors.
  * Participate in user and developer discussions and identify barriers to success for contributors and users.
  * Use metrics to evaluate the success of open source initiatives.
  * Regularly report on community metrics and developments, both internally and externally.  
  * Represent Red Hat’s stake in the Fedora community’s success.
  * Work with internal stakeholders to understand their goals and develop strategies for working effectively with the community.
  * Improve onboarding materials and presentation of Fedora to new hires; develop standardized materials on Fedora that can be used globally at Red Hat.
  * Work with the Fedora Council to determine the annual Fedora budget.
  * Assist in planning and organizing Fedora’s flagship events each year.
  * Create and carry out community promotion strategies; create media content like blog posts, podcasts, and videos and facilitate the creation of media by other members of the community



#### Required skills

  * Extensive experience with the Fedora Project or a comparable open source community.
  * Exceptional writing and speaking skills
  * Experience with software development and open source developer communities; understanding of development processes.
  * Outstanding organizational skills; ability to prioritize tasks matching short and long-term goals and focus on the tasks of high priority
  * Ability to manage a project budget.
  * Ability to lead teams and participate in multiple cross-organizational teams that span the globe.
  * Experience motivating volunteers and staff across departments and companies



Red Hat is proud to be an equal opportunity workplace and an affirmative action employer. We review applications for employment without regard to their race, color, religion, sex, sexual orientation, gender identity, national origin, ancestry, citizenship, age, veteran status, genetic information, physical or mental disability, medical condition, marital status, or any other basis prohibited by law.

Red Hat does not seek or accept unsolicited resumes or CVs from recruitment agencies. We are not responsible for, and will not pay, any fees, commissions, or any other payment related to unsolicited resumes or CVs except as required in a written contract between Red Hat and the recruitment agency or party requesting payment of a fee.

* * *

*Photo by _[_Deva Williamson_][6]_ on *[_Unsplash_][7].

--------------------------------------------------------------------------------

via: https://fedoramagazine.org/fedora-job-opening-fedora-community-action-and-impact-coordinator-fcaic/

作者：[Brian Exelbierd][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://fedoramagazine.org/author/bex/
[b]: https://github.com/lujun9972
[1]: https://fedoramagazine.org/wp-content/uploads/2019/07/fcaic-job-2019-816x345.jpg
[2]: https://global-redhat.icims.com/jobs/70362/open-source-community-manager/job?hub=7&mobile=false&width=1193&height=500&bga=true&needsRedirect=false&jan1offset=-420&jun1offset=-360
[3]: mailto:mattdm@redhat.com
[4]: mailto:bexelbie@redhat.com
[5]: mailto:stpeters@redhat.com%EF%BB%BF
[6]: https://unsplash.com/@biglaughkitchen?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText
[7]: https://unsplash.com/search/photos/cake?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText
