[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (The Future Of Red Hat At IBM)
[#]: via: (https://www.linux.com/blog/future-red-hat-ibm)
[#]: author: (Swapnil Bhartiya https://www.linux.com/users/swapnil)

The Future Of Red Hat At IBM
======

![][1]

[Creative Commons Attribution-NonCommercial-NoDerivs][2]

Swapnil Bhartiya

IBM has a long history of [working with the open source community][3]. Way back in 1999, [IBM announced a $1billion investment in Linux][4]. IBM is also credited for creating one of the [most innovative advertisements about Linux.][5] But IBM’s acquisition of Red Hat raised some serious and genuine questions around IBM’s commitment to Open Source and the future of Red Hat at the big blue.

Red Hat CTO, Chris Wright, took it upon himself to address some of these concerns and answer people’s questions in [an AMA (Ask Me Anything) on Reddit.][6] Wright has evolved from being a Linux kernel developer to becoming the CTO of the world’s largest open source company. He has his pulse on both the business and community sides of the open source world.

**Red vs Blue:** Some of the most pressing questions asked during the AMA were around the future of open source and Red Hat at IBM. Red Hat has its unique identity and branding. You will often see people walking with their red hats on at open source events, you may even notice some permanent tattoos.

One Redditor asked if there were any plans to overhaul Red Hat branding to make it blue or purple, Wright said, “No, Red Hat is Red. We just announced the evolution of our logo in May, no plans for any other changes. We like the new logo and so do the associates who already got tattoos of it!”

**Kubernetes:** A Redditor asked about the future of Red Hat OpenShift and OKD (the Origin community distribution of Kubernetes). Wright assured that the acquisition doesn’t have any effect on OpenShift and OKD. Wright said that Red Hat is focused on delivering the industry’s most comprehensive enterprise Kubernetes platform – OpenShift - without changes. 

As far as community engagement is concerned, “…upstream first development in Kubernetes and community ecosystem development in OKD are part of our product development process. Neither of those change,” he said. “The IBM acquisition can help accelerate the adoption of OpenShift given the increasing scale and reach in sales and services that IBM has.”

**Conflict of Culture:** IBM and Red Hat are two companies with different, and often conflicting cultures. While Red Hat employees are allowed and encouraged to contribute to open Source, IBMers do not have the same level of freedom. One ex-IBMer asked, “IBM has traditionally had very strict policies regarding contributing to non-IBM open source projects. I understand that Red Hat's culture is quite different in this regard; do you see IBM loosening up in this regard? Or will only the Red Hat division operate differently?”

Wright said that Red Hat would continue to operate the way it does with respect to allowing Red Hatters to contribute to open source projects. 

IBM’s CTO of Open Source, Chris Ferris pitched in and said that for the past 5 years or so, the policy for IBMers contributing to open source on their own time was relaxed such that they could do so with their manager’s permission. 

“In fact, we have been on a steady trend over the past 5 years or more to reduce the process barriers to both contributing to, and consuming open source and we continue to review our policies periodically. With the acquisition now complete, IBM has chosen to adopt the same policy towards contributing to open source on one’s own time as Red Hat has had historically. This is one important way that the Red Hat culture has benefited IBM developers.”

Adam Kaplan, Senior Software Engineer at Red Hat, contributed to the AMA and said that Red Hat employees are free to contribute as they see fit, even if a said contribution goes against Red Hat's business objectives.

**Future of Fedora &amp; Gnome:** Red Hat is among the leading contributors to many open source projects that are being used by the larger open source community. Some Redditors expressed fear about the future of such projects that won’t be bringing in any revenue for IBM.

One user asked about Fedora, which is the upstream for Red Hat Enterprise Linux. Wright assured that Fedora and its path stays the same. “It is an important community Linux distribution and Red Hat's involvement will continue to be the same.”

Red Hat is one of the major contributors to Gnome, one of the biggest desktop environments for Linux and BSD. When asked about the future of Gnome, Wright said that nothing will change. “Certainly not to what we have contributed. More importantly, our future contributions will follow the same pattern,” he said. “We contribute to open source projects that are part of our product portfolio and focus on the areas that are important to our customers, which includes not just features but also long term maintainability (this becomes important in a codebase when you talk about architectural changes).”

**Sunset at Oracle:** Some Redditors drew a comparison with Oracle’s acquisition of Sun Microsystems. “I guess the biggest concern among the “Linux community” in general is that Red Hat might go down the path Solaris did after Oracle's acquisition. IBM is viewed as an old school company, a bit like Oracle in that sense. We have learned through press that IBM's plan is to use Red Hat to change IBMs perception and not the other way around. Hope it's true. How do you guys plan on addressing such concerns?

Wright said that Red Hat would continue to run as an independent company and the team would continue to do what it does best: engage with customers, partners, and open source communities to build open-source solutions. 

“Those solutions focus on our hybrid cloud strategy. A key part of the acquisition is for IBM and Red Hat to work closely together to advance our customers’ journeys to an open hybrid cloud. You’ve seen mention of IBM’s plans to use Red Hat platforms as part of their offerings, so this is the other key piece here.  We stay independent, we share a vision, and IBM is building from our core platforms,” he said.

Addressing a similar question that IBM has a history of buying companies and then breaking them up, Wright said, Red Hat will remain committed to the upstream work it does across the board.  “It is a fundamental part of how we develop our software products. Things like Network Manager create desktop usability, and can even be the impetus behind more core distro improvements. The IBM acquisition doesn’t change this at all. I see the future of Red Hat as staying focused on our core mission and continuing to evolve with (upstream first!) open source and our customer's needs,” he said.

**IBM nukes all Open Source at Red Hat**: One Redditor asked what stops IBM from going nuclear and dismantling all of the open source work Red Hat has done? 

Wright said that the reality of software is that open source has become the de facto means by which software is developed. “I often refer to this historic acquisition as an acknowledgment that open source has won. So, a simple way to look at this is the $34b value is about how important open source is to IBM’s strategy...again, open source has won!” he said, “Another way to look at it is the value that we’ve created with Red Hat is synonymous with open source. We wouldn’t exist without open source, it’s core to our strategy. And we (both Red Hat and IBM) are deeply vested in Red Hat’s continued success.”

**Take Away**

People should remember that by design, open source is protected from any such risk. If a company gets acquired and the code is at risk of being nuked, the community can fork the project and maintain it. Life goes on. Since everything that Red Hat does is open source, people can always take the code-base and maintain it themselves. open source code has escape velocities, it doesn’t go away with the companies that built it.

After reading the entire AMA, it’s fair to conclude that Red Hat is safe in the hands of IBM. It’s like a drop of color in a glass of water. The entire glass of water turns red. Red Hat has a very strong community-driven, open source culture. It’s very likely that IBM will be the one benefitting and transforming into an even more open source friendly company.

Rumor has it that one day Red Hat CEO Jim Whitehurst might become the CEO of IBM. When a Redditor asked the same question, whether Whitehurst will succeed Ginni Rometty as the CEO, Wright said, “I certainly don’t have a crystal ball, but I think Jim is a great CEO!”

--------------------------------------------------------------------------------

via: https://www.linux.com/blog/future-red-hat-ibm

作者：[Swapnil Bhartiya][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.linux.com/users/swapnil
[b]: https://github.com/lujun9972
[1]: https://www.linux.com/sites/lcom/files/styles/rendered_file/public/dsc_7800.jpg?itok=Ch1vMOHq (Jim Whitehurst)
[2]: https://www.linux.com/licenses/category/creative-commons-attribution-noncommercial-noderivs
[3]: https://www-03.ibm.com/press/us/en/pressrelease/2262.wss
[4]: https://en.wikipedia.org/wiki/Linux_Technology_Center
[5]: https://www.youtube.com/watch?v=s7dTjpvakmA
[6]: https://www.reddit.com/r/linux/comments/cgu6aj/chris_wright_cto_of_red_hat_is_hosting_an_ama_at/
