[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Linux Mint 19.2 “Tina” Released: Here’s What’s New and How to Get it)
[#]: via: (https://itsfoss.com/linux-mint-19-2-release/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

Linux Mint 19.2 “Tina” Released: Here’s What’s New and How to Get it
======

_**Linux Mint 19.2 “Tina” has been released. See what’s new in it and learn how to upgrade to Linux Mint 19.2.**_

Recently, the Linux Mint team [announced][1] the release of Linux Mint 19 Cinnamon with significant improvements and feature additions. I’ll show you some of the main features of the new release and how to upgrade to it.

### Linux Mint 19.2: What’s new?

What matters the most is that Linux Mint 19.2 is also a Long Term Support release which will be supported till 2023. The new version includes updated software and lot of improvements along with added features.

What are the key highlights among the added features? Let us take a look.

#### Enhanced Update Manager

![][2]

Now, you can easily manage kernel updates from the update manager like never before. You get to know how long the kernels are supported. It is also possible to install/remove multiple kernels in a single queue.

Linux Mint 19.2 also supports multiple kernel flavors, so you can switch between them when you want.

![][3]

In addition to all this, you can choose to automate the removal of kernels which are no longer needed and blacklist specific update packages (without blacklisting the future updates for that).

#### Revamped ‘System Tools’

![][4]

A new tab was added to the System Tools window – “**System Information**” – which will come in handy for users to easily copy/paste their configuration onto a forum to seek support. And, the layout has been improved.

#### Other Improvements

With Linux 19.2, the performance has greatly improved due to optimizations done in the window manager. Their aim was to reduce the input lag and make it feel smoother.

You can now configure the scrollbar to how you want it to be. Sharing files on Linux Mint 19.2 is has improved as well with Cinnamon 4.2.

Linux Mint 19.2 uses Noto fonts now instead of the Ubuntu fonts.

With these, there are numerous other improvements under the hood (and some customization ability) – you can check the full details in the [blog post][5] of their official website.

### Linux Mint 19 vs 19.1 vs 19.2: What’s the difference?

You probably already know that Linux Mint releases are based on Ubuntu long term support releases. Linux Mint 19 series is based on Ubuntu 18.04 LTS.

[][6]

Suggested read  Five Tiny Features of Linux Mint Cinnamon I’ve Come to Love

Ubuntu LTS releases get ‘point releases’ on the interval of a few months. Point release basically consists of bug fixes and security updates that have been pushed since the last release of the LTS version. This is similar to the Service Pack concept in Windows XP, if you remember it.

If you are going to download Ubuntu 18.04 which was released in April, 2018 in 2019, you’ll get Ubuntu 18.04.2. The ISO image of 18.04.2 will consists of 18.04 and the bug fixes and security updates applied till 18.04.2. Imagine if there was no point releases, then right after [installing Ubuntu 18.04][7], you’ll have to install a few gigabytes of system updates. Not very convenient, right?

But Linux Mint has it slightly different. Linux Mint has a major release based on Ubuntu LTS release and then it has three minor releases based on Ubuntu LTS point releases.

Mint 19 was based on Ubuntu 18.04, 19.1 was based on 18.04.1 and Mint 19.2 is based on Ubuntu 18.04.2. There should be 19.3 in the Mint 19 series before the release of Mint 20 based on Ubuntu 20.04 LTS. All Mint 19.x releases are long term support releases and will get security updates till 2023.

Now, if you are using Ubuntu 18.04 and keep your system updated, you’ll automatically get updated to 18.04.1, 18.04.2 etc. That’s not the case in Linux Mint.

Linux Mint minor releases also consists of _feature changes_ along with bug fixes and security updates and this is the reason why updating Linux Mint 19 won’t automatically put you on 19.1.

Linux Mint gives you the option if you want the new features or not. For example, Mint 19.2 has Cinnamon 4.2 and several other visual changes. If you are happy with the existing features, you can stay on Mint 19. You’ll still get the necessary security and maintenance updates on Mint 19 till 2023.

Now that you understand the concept of minor releases and want the latest minor release, let’s see how to upgrade to Mint 19.2.

### Linux Mint 19.2: How to Upgrade?

No matter whether you have Linux Mint 19.1 or 19, you can follow these steps to [upgrade Linux Mint version][8].

[][9]

Suggested read  Fedora 24 released!

**Note**: _You should consider making a system snapshot (just in case) for backup. In addition, the Linux Mint team advises you to disable the screensaver and upgrade Cinnamon spices (if installed) from the System settings._

![][10]

  1. Launch the Update Manager.
  2. Now, refresh it to load up the latest available updates (or you can change the mirror if you want).
  3. Once done, simply click on the Edit button to find “**Upgrade to Linux Mint 19.2 Tina**” button.
  4. Finally, just follow the on-screen instructions to easily update it.



Based on your internet connection, it should take anything between a couple of minutes to 30 minutes.

#### Don’t see Mint 19.2 update yet? Here’s what you can do

If you don’t see the option to upgrade to Linux Mint 19.2 Tina, don’t lose hope. Here are a couple of things you can do.

**Step 1: Make sure to use mint-upgrade-info version 1.1.3**

Make sure that mint-upgrade-info is updated to version 1.1.3. You can try the install command that will update it to a newer version (if there is any).

```
sudo apt install mint-upgrade-info
```

**Step 2: Switch to default software sources**

Chances are that you are using a mirror closer to you to get faster software downloads. But this could cause a problem as the mirrors might not have the new upgrade info yet.

Go to Software Source and change the sources to default. Now run the update manager again and see if Mint 19.2 upgrade is available.

**Wrapping Up**

Linux Mint 19.2 is a solid upgrade. The new feature additions are very useful and it’s always good to see them working on the performance (so that it consumes less RAM) and appears to be smoother.

What do you think about the latest release – Linux Mint 19.2 “Tina”? Have you upgraded yet? If yes, how is your experience so far? Feel free to let us know in the comments below.

![][11]

### Ankush Das

co-author

![][12]

### Abhishek Prakash

co-author

--------------------------------------------------------------------------------

via: https://itsfoss.com/linux-mint-19-2-release/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://blog.linuxmint.com/?p=3786
[2]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/08/linux-mint-tina-kernel.png?resize=800%2C523&ssl=1
[3]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/linux-mint-tina-update.png?resize=800%2C515&ssl=1
[4]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/linux-mint-tina.jpg?ssl=1
[5]: https://www.linuxmint.com/rel_tina_cinnamon_whatsnew.php
[6]: https://itsfoss.com/tiny-features-linux-mint-cinnamon/
[7]: https://itsfoss.com/things-to-do-after-installing-ubuntu-18-04/
[8]: https://itsfoss.com/upgrade-linux-mint-version/
[9]: https://itsfoss.com/fedora-24-released/
[10]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/08/mintupgrade.png?ssl=1
[11]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/07/ankush_das.jpg?ssl=1
[12]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2016/11/14883680_10154845158472952_6433939564474062315_o.jpg?ssl=1
