[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (12 extensions for your GNOME desktop)
[#]: via: (https://opensource.com/article/19/8/extensions-gnome-desktop)
[#]: author: (Alan Formy-Duval https://opensource.com/users/alanfdosshttps://opensource.com/users/erezhttps://opensource.com/users/alanfdosshttps://opensource.com/users/patrickhttps://opensource.com/users/liamnairn)

12 extensions for your GNOME desktop
======
Add functionality and features to your Linux desktop with these add-ons.
![A person working.][1]

The GNOME desktop is the default graphical user interface for most of the popular Linux distributions and some of the BSD and Solaris operating systems. Currently at version 3, GNOME provides a sleek user experience, and extensions are available for additional functionality.

We've covered [GNOME extensions][2] at Opensource.com before, but to celebrate GNOME's 22nd anniversary, I decided to revisit the topic. Some of these extensions may already be installed, depending on your Linux distribution; if not, check your package manager.

### How to add extensions from the package manager

To install extensions that aren't in your distro, open the package manager and click **Add-ons**. Then click **Shell Extensions** at the top-right of the Add-ons screen, and you will see a button for **Extension Settings** and a list of available extensions.

![Package Manager Add-ons Extensions view][3]

Use the Extension Settings button to enable, disable, or configure the extensions you have installed.

Now that you know how to add and enable extensions, here are some good ones to try.

## 1\. GNOME Clocks

[GNOME Clocks][4] is an application that includes a world clock, alarm, stopwatch, and timer. You can configure clocks for different geographic locations. For example, if you regularly work with colleagues in another time zone, you can set up a clock for their location. You can access the World Clocks section in the top panel's drop-down menu by clicking the system clock. It shows your configured world clocks (not including your local time), so you can quickly check the time in other parts of the world.

## 2\. GNOME Weather

[GNOME Weather][5] displays the weather conditions and forecast for your current location. You can access local weather conditions from the top panel's drop-down menu. You can also check the weather in other geographic locations using Weather's Places menu.

GNOME Clocks and Weather are small applications that have extension-like functionality. Both are installed by default on Fedora 30 (which is what I'm using). If you're using another distribution and don't see them, check the package manager.

You can see both extensions in action in the image below.

![Clocks and Weather shown in the drop-down][6]

## 3\. Applications Menu

I think the GNOME 3 interface is perfectly enjoyable in its stock form, but you may prefer a traditional application menu. In GNOME 30, the [Applications Menu][7] extension was installed by default but not enabled. To enable it, click the Extensions Settings button in the Add-ons section of the package manager and enable the Applications Menu extension.

![Extension Settings][8]

Now you can see the Applications Menu in the top-left corner of the top panel.

![Applications Menu][9]

## 4\. More columns in applications view

The Applications view is set by default to six columns of icons, probably because GNOME needs to accommodate a wide array of displays. If you're using a wide-screen display, you can use the [More columns in applications menu][10] extension to increase the columns. I find that setting it to eight makes better use of my screen by eliminating the empty columns on either side of the icons when I launch the Applications view.

## Add system info to the top panel

The next three extensions provide basic system information to the top panel.

  * 5. [Harddisk LED][11] shows a small hard drive icon with input/output (I/O) activity.
  * 6. [Load Average][12] indicates Linux load averages taken over three time intervals.
  * 7. [Uptime Indicator][13] shows system uptime; when it's clicked, it shows the date and time the system was started.



## 8\. Sound Input and Output Device Chooser

Your system may have more than one audio device for input and output. For example, my laptop has internal speakers and sometimes I use a wireless Bluetooth speaker. The [Sound Input and Output Device Chooser][14] extension adds a list of your sound devices to the System Menu so you can quickly select which one you want to use.

## 9\. Drop Down Terminal

Fellow Opensource.com writer [Scott Nesbitt][15] recommended the next two extensions. The first, [Drop Down Terminal][16], enables a terminal window to drop down from the top panel by pressing a certain key; the default is the key above Tab; on my keyboard, that's the tilde (~) character. Drop Down Terminal has a settings menu for customizing transparency, height, the activation keystroke, and other configurations.

## 10\. Todo.txt

[Todo.txt][17] adds a menu to the top panel for maintaining a file for Todo.txt task tracking. You can add or delete a task from the menu or mark it as completed.

![Drop-down menu for Todo.txt][18]

## 11\. Removable Drive Menu

Opensource.com editor [Seth Kenlon][19] suggested [Removable Drive Menu][20]. It provides a drop-down menu for managing removable media, such as USB thumb drives. From the extension's menu, you can access a drive's files and eject it. The menu only appears when removable media is inserted.

![Removable Drive Menu][21]

## 12\. GNOME Internet Radio

I enjoy listening to internet radio streams with the [GNOME Internet Radio][22] extension, which I wrote about in [How to Stream Music with GNOME Internet Radio][23].

* * *

What are your favorite GNOME extensions? Please share them in the comments.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/8/extensions-gnome-desktop

作者：[Alan Formy-Duval][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/alanfdosshttps://opensource.com/users/erezhttps://opensource.com/users/alanfdosshttps://opensource.com/users/patrickhttps://opensource.com/users/liamnairn
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/rh_003784_02_os.comcareers_os_rh2x.png?itok=jbRfXinl (A person working.)
[2]: https://opensource.com/article/17/2/top-gnome-shell-extensions
[3]: https://opensource.com/sites/default/files/uploads/add-onsextensions_6.png (Package Manager Add-ons Extensions view)
[4]: https://wiki.gnome.org/Apps/Clocks
[5]: https://wiki.gnome.org/Apps/Weather
[6]: https://opensource.com/sites/default/files/uploads/clocksweatherdropdown_6.png (Clocks and Weather shown in the drop-down)
[7]: https://extensions.gnome.org/extension/6/applications-menu/
[8]: https://opensource.com/sites/default/files/uploads/add-onsextensionsettings_6.png (Extension Settings)
[9]: https://opensource.com/sites/default/files/uploads/applicationsmenuextension_5.png (Applications Menu)
[10]: https://extensions.gnome.org/extension/1305/more-columns-in-applications-view/
[11]: https://extensions.gnome.org/extension/988/harddisk-led/
[12]: https://extensions.gnome.org/extension/1381/load-average/
[13]: https://extensions.gnome.org/extension/508/uptime-indicator/
[14]: https://extensions.gnome.org/extension/906/sound-output-device-chooser/
[15]: https://opensource.com/users/scottnesbitt
[16]: https://extensions.gnome.org/extension/442/drop-down-terminal/
[17]: https://extensions.gnome.org/extension/570/todotxt/
[18]: https://opensource.com/sites/default/files/uploads/todo.txtmenu_3.png (Drop-down menu for Todo.txt)
[19]: https://opensource.com/users/seth
[20]: https://extensions.gnome.org/extension/7/removable-drive-menu/
[21]: https://opensource.com/sites/default/files/uploads/removabledrivemenu_3.png (Removable Drive Menu)
[22]: https://extensions.gnome.org/extension/836/internet-radio/
[23]: https://opensource.com/article/19/6/gnome-internet-radio
