[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Dive into the life and legacy of Alan Turing: 5 books and more)
[#]: via: (https://opensource.com/article/19/8/who-was-alan-turing)
[#]: author: (Joshua Allen Holm https://opensource.com/users/holmja)

Dive into the life and legacy of Alan Turing: 5 books and more
======
Turing's theories had a huge impact on the development of the field of
computer science.
![Fire fist breaking glass][1]

Recently, Bank of England Governor, Mark Carney, [announced][2] that Alan Turning would be the new face on the UK£ 50 note. The name _Alan Turing_ should be familiar to anyone in open source communities: His theories had a huge impact on the development of the field of computer science, and his code-breaking work at [Bletchley Park][3] during World War II was the focus of the 2014 film, [_The Imitation Game_][4], which starred Benedict Cumberbatch as Alan Turing.

Another well-known fact about Turing was his conviction for "gross indecency" because of his homosexuality, and the posthumous [apology][5] and [pardon][6] issued over more a half a decade after Turing’s death.

But beyond all of this, who was Alan Turing?

Here are five books and archival material that delve deeply into the life and legacy of Alan Turing. Collectively, these resources cover his life, both professional and personal, and work others have done to build upon Turing’s ideas. Individually, or collectively, these works allow the reader to learn who Alan Turing was beyond just a few well-known, broad-stroke themes.

### Alan Turing: The Enigma

![Alan Turing: The Enigma][7]

One of the most expansive biographies of Alan Turing, [_Alan Turing: The Enigma_][8], by Andrew Hodges, states on its cover that it is the inspiration for the film _The Imitation Game_. Weighing in at over 750 pages, this is no quick read, but it covers much of Turing’s life. The only drawback is the fact that the first edition was published in 1983. Even the updated edition does not make use of information that has become declassified in the past few years.

Despite that, if you only read one book from this list, _Alan Turing: The Enigma_ is still an excellent choice. Hodges’s work is the gold standard when it comes to Alan Turing biographies.

### The Imitation Game: Alan Turing Decoded

![The Imitation Game: Alan Turing Decoded][9]

_[The Imitation Game: Alan Turing Decoded][10]_, by Jim Ottaviani and illustrated by Leland Purvis, presents the life of Alan Turing as a graphic novel. Well told and partnered with lovely artwork, this book covers all the major facets of Alan Turing’s life but lacks the depth of a biography like Hodges’.

That is not to say that there is anything wrong or deficient with Ottaviani’s writing, just that the graphic novel form requires a more streamlined narrative. For anyone wanting a quick introduction to Turing, this graphic novel is the quickest way to read an overview of Turing’s life and works.

### Prof: Alan Turing Decoded

![Prof: Alan Turing Decoded][11]

Written by Alan Turing’s nephew, Durmot Turing, _[Prof: Alan Turing Decoded][12]_ draws upon material from the family, plus declassified material that was not available when Hodges researched his book. This shorter biography provides a more personal look at Alan Turing’s life while still being scholarly.

Dermot Turing does an excellent job of telling the story of Alan Turing the man, not the myth born from public perceptions based on various dramatic interpretations. _Prof: Alan Turing Decoded_ is an interesting biography owing to its use of letters from members of the Turing family, including Alan Turing himself.

### The Turing Digital Archive

Nothing beats archival materials for really learning about a subject. Biographers have done masterful jobs at turning primary sources about Alan Turing’s life into compelling biographies, but reading Turing’s own writings and exploring other material in [The Turing Digital Archive][13]—maintained by King’s College, Cambridge—provides a more intimate look at Turing’s life and works. This archive contains Turing’s scholar papers, personal correspondence, photographs, and more. The collection is well-organized and the site is easy to use, making it simple for anyone to conduct their own archival research about the life of Alan Turing.

### Turing’s Cathedral

![Turing’s Cathedral][14]

In [_Turing’s Cathedral_][15], George Dyson explores the efforts by John von Neumann and his collaborators to construct a computer based on Alan Turing’s theory of a Universal Machine. John von Neumann made many, many contributions to computer science, which are also covered in this book, but the transition of Alan Turing’s Universal Machine from theory to practice is the facet that concerns readers wishing to learn more about Alan Turing’s legacy.

_Turing’s Cathedral_ is the story of von Neumann constructing one of the earliest modern computers, but it is, like all modern computing, the story of Alan Turing’s influence on everything that developed from his theories.

### Turing’s Vision: The Birth of Computer Science

![Turing’s Vision: The Birth of Computer Science][16]

[_Turing’s Vision: The Birth of Computer Science_][17], like its title states, explores the birth of the field of computer science. Full of diagrams and complex examples, this book might not be for everyone, but it does a masterful job of explaining computer science concepts and Turing’s place in the birth of the discipline. Chris Bernhardt does an excellent job of weaving together the biographical aspects with the technical, but the technical material can be very, very technical. There are mathematical proofs and other things that make this book a poor choice for the non-technical reader, but an excellent choice for someone with a background in computer science.

For a very technical book, it is an enjoyable read. The biographical aspects are not as broad or as deep as pure biographies, but it is the synthesis of the biographical and the technical that make this book so interesting.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/8/who-was-alan-turing

作者：[Joshua Allen Holm][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/holmja
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/fire_fist_break_glass_smash_fail.jpg?itok=S6hQNLtB (Fire fist breaking glass)
[2]: https://www.bankofengland.co.uk/news/2019/july/50-pound-banknote-character-announcement
[3]: https://www.bletchleypark.org.uk/
[4]: https://www.imdb.com/title/tt2084970/
[5]: https://www.telegraph.co.uk/news/politics/gordon-brown/6170112/Gordon-Brown-Im-proud-to-say-sorry-to-a-real-war-hero.html
[6]: https://www.bbc.com/news/technology-25495315
[7]: https://opensource.com/sites/default/files/uploads/alan_turing-_the_enigma_125.jpeg (Alan Turing: The Enigma)
[8]: https://press.princeton.edu/titles/10413.html
[9]: https://opensource.com/sites/default/files/uploads/the_imitation_game-_alan_turing_decoded_125.jpg (The Imitation Game: Alan Turing Decoded)
[10]: https://www.abramsbooks.com/product/imitation-game_9781419718939/
[11]: https://opensource.com/sites/default/files/uploads/prof-_alan_turing_decoded_125.jpg (Prof: Alan Turing Decoded)
[12]: https://dermotturing.com/my-recent-books/alan-turing/
[13]: http://www.turingarchive.org/
[14]: https://opensource.com/sites/default/files/uploads/turing_s_cathedral_125.jpg (Turing’s Cathedral)
[15]: https://www.penguinrandomhouse.com/books/44425/turings-cathedral-by-george-dyson/9781400075997/
[16]: https://opensource.com/sites/default/files/uploads/turing_s_vision-_the_birth_of_computer_science_125.jpg (Turing’s Vision: The Birth of Computer Science)
[17]: https://mitpress.mit.edu/books/turings-vision
