[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (A human approach to reskilling in the age of AI)
[#]: via: (https://opensource.com/open-organization/19/9/claiming-human-age-of-AI)
[#]: author: (Jen Kelchner https://opensource.com/users/jenkelchnerhttps://opensource.com/users/jenkelchner)

A human approach to reskilling in the age of AI
======
Investing in learning agility and core capabilities is as important for
the individual worker as it is for the decision-making executive.
Thinking openly can get us there.
![Person on top of a mountain, arm raise][1]

[The age of AI is upon us][2]. Emerging technologies give humans some relief from routine tasks and allow us to get back to the creative, adaptable creatures many of us prefer being.

So a shift to developing _human_ skills in the workplace should be a critical focus for organizations. In this part of my series on learning agility, we'll take a look at some reasons for a sense of urgency over reskilling our workforce and reconnecting to our humanness.

### The clock is ticking

If you don't believe AI conversations affect you, then I suggest reviewing this 2018 McKinsey Report on [reskilling in the age of automation][3], which provides some interesting statistics. Here are a few applicable nuggets:

  * 62% of executives believe they need to **retrain or replace more than a quarter** of their workforce **by 2023** due to advancing digitization
  * The **US and Europe face a larger threat** on reskilling than the rest of the world
  * 70% of execs in companies with more than $500 million in annual revenue state this **will affect more than 25%** of their employees



No matter where you fall on an organizational chart, automation (and digitalization more generally) is an important topic for you—because the need for reskilling that it introduces will most likely affect you.

But what does this reskilling conversation have to do with core capability development?

To answer _that_ question, let's take a look at a few statistics curated in a [2019 LinkedIn Global Talent Report][4].

When surveyed on the topic of ~~soft skills~~ core human capabilities, global companies had this to say:

  * **92%** agree that they matter as much or more than "hard skills"
  * **80%** said these skills are increasingly important to company success
  * Only **41%** have a formal process to identify these skills



Before panicking at the thought of what these stats could mean to you or your company, let's actually dig into these core capabilities that you already have but may need to brush up on and strengthen.

### Core human capabilities

_What the heck does all this have to do with learning agility_, you may be asking, _and why should I care_?

What many call "soft skills" are really human skills—core capabilities anyone can cultivate.

I recommend catching up with this introduction to [learning agility][5]. There, I define learning agility as "the capacity for adapting to situations and applying knowledge from prior experience—even when you don't know what to do [...], a willingness to learn from all your experiences and then apply that knowledge to tackle new challenges in new situations." In that piece, we also discussed reasons why characteristics associated with learning agility are among the most sought after skills on the planet today.

Too often, [these skills go by the name "soft skills."][6] Explanations usually go something like this: "hard skills" are more like engineering- or science-based skills and, well, "non-peopley" related things. But what many call "soft skills" are really _human skills_—core capabilities anyone can cultivate. As leaders, we need to continue to change the narrative concerning these core capabilities (for many reasons, not least of which is the fact that the distinction frequently re-entrenches a [gender bias][7], as if skills somehow fit on a spectrum from "soft to hard.")

For two decades, I've heard decision makers choose not to invest in people or leadership development because "there isn't money in soft skills" and "there's no way to track the ROI" on developing them. Fortunately, we're moving out of this tragic mindset, as leaders recognize how digital transformation has reshaped how we connect, build community, and organize for work. Perhaps this has something to do with increasingly pervasive reports (and blowups) we see across ecosystems regarding [toxic work culture][8] or broken leadership styles. Top consulting firms doing [global talent surveys][9] continue to identify crucial breakdowns in talent development pointing right back to our topic at hand.

For two decades, I've heard decision makers choose not to invest in people or leadership development because "there isn't money in soft skills" and "there's no way to track the ROI" on developing them. Fortunately, we're moving out of this tragic mindset.

We all have access to these capabilities, but often we've lacked examples to learn by or have had little training on how to put them to work. Let's look at the list of the most-needed human skills right now, shall we?

Topping the leaderboard moving into 2020:

  * Communication
  * Relationship building
  * Emotional intelligence (EQ)
  * Critical thinking and problem-solving (CQ)
  * [Learning agility][5] and adaptability quotient (AQ)
  * Creativity



If we were to take the items on this list and generalize them into three categories of importance for the future of work, it would look like:

  1. Emotional Quotient
  2. Adaptability Quotient
  3. Creativity Quotient



Some of us have been conditioned to think we're "not creative" because the term "creativity" refers only to things like art, design, or music. However, in this case, "creativity" means the ability to combine ideas, things, techniques, or approaches in new ways—and it's [crucial to innovation][10]. Solving problems in new ways is the [most important skill][11] companies look for when trying to solve their skill-gap problems. (_Spoiler alert: This is learning agility!_) Obviously, our generalized list ignores many nuances (not to mention additional skills we might develop in our people and organizations as contexts shift); however, this is a really great place to start.

### Where do we go from here?

In order to accommodate the demands of tomorrow's organizations, we must:

  * look at retraining and reskilling from early education models to organizational talent development programs, and
  * adjust our organizational culture and internal frameworks to support being human and innovative.



This means exploring [open principles][12], agile methodologies, collaborative work models, and continuous states of learning across all aspects of your organization. Digital transformation and reskilling on core capabilities leaves no one—and _no department_—behind.

In our next installment, we'll begin digging into these core capabilities and examine the five dimensions of learning agility with simple ways to apply them.

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/9/claiming-human-age-of-AI

作者：[Jen Kelchner][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jenkelchnerhttps://opensource.com/users/jenkelchner
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/developer_mountain_cloud_top_strong_win.jpg?itok=axK3EX-q (Person on top of a mountain, arm raise)
[2]: https://appinventiv.com/blog/ai-technology-trends/
[3]: https://www.mckinsey.com/featured-insights/future-of-work/retraining-and-reskilling-workers-in-the-age-of-automation
[4]: https://app.box.com/s/c5scskbsz9q6lb0hqb7euqeb4fr8m0bl/file/388525098383
[5]: https://opensource.com/open-organization/19/8/introduction-learning-agility
[6]: https://enterprisersproject.com/article/2019/9/6-soft-skills-for-ai-age
[7]: https://enterprisersproject.com/article/2019/8/why-soft-skills-core-to-IT
[8]: https://ldr21.com/how-ubers-workplace-crisis-can-save-your-organization-money/
[9]: https://www.inc.com/scott-mautz/new-deloitte-study-of-10455-millennials-says-employers-are-failing-to-help-young-people-develop-4-crucial-skills.html
[10]: https://velites.nl/en/2018/11/12/creative-quotient/
[11]: https://learning.linkedin.com/blog/top-skills/why-creativity-is-the-most-important-skill-in-the-world
[12]: https://opensource.com/open-organization/resources/open-org-definition
