[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (4 open source eBook readers for Android)
[#]: via: (https://opensource.com/article/19/10/open-source-ereaders-android)
[#]: author: (Scott Nesbitt https://opensource.com/users/scottnesbitt)

4 open source eBook readers for Android
======
Looking for a new eBook app? Check out these four solid, open source
eBook readers for Android.
![Computer browser with books on the screen][1]

Who doesn't like a good read? Instead of frittering away your time on social media or a [messaging app][2], you can enjoy a book, magazine, or another document on your Android-powered phone or tablet.

To do that, all you need is the right eBook reader app. So let's take a look at four solid, open source eBook readers for Android.

### Book Reader

Let's start off with my favorite open source Android eBook reader: [Book Reader][3]. It's based on the older, open source version of the now-proprietary FBReader app. Like earlier versions of its progenitor, Book Reader is simple and minimal, but it does a great job.

**Pros of Book Reader:**

  * It's easy to use.
  * The app's interface follows Android's [Material Design guidelines][4], so it's very clean.
  * You can add bookmarks to an eBook and share text with other apps on your device.
  * There's growing support for languages other than English.



**Cons of Book Reader:**

  * Book Reader has a limited number of configuration options.
  * There's no built-in dictionary or support for an external dictionary.



**Supported eBook formats:**

Book Reader supports EPUB, .mobi, PDF, [DjVu][5], HTML, plain text, Word documents, RTF, and [FictionBook][6].

![Book Reader Android app][7]

Book Reader's source code is licensed under the GNU General Public License version 3.0, and you can find it on [GitLab][8].

### Cool Reader

[Cool Reader][9] is a zippy and easy-to-use eBook app. While I think the app's icons are reminiscent of those found in Windows Vista, Cool Reader does have several useful features.

**Pros of Cool Reader:**

  * It's highly configurable. You can change fonts, line and paragraph spacing, hyphenation, font sizes, margins, and background colors.
  * You can override the stylesheet in a book. I found this useful with two or three books that set all text in small capital letters.
  * It automatically scans your device for new books when you start it up. You can also access books on [Project Gutenberg][10] and the [Internet Archive][11].



**Cons of Cool Reader:**

  * Cool Reader doesn't have the cleanest or most modern interface.
  * While it's usable out of the box, you really need to do a bit of configuration to make Cool Reader comfortable to use.
  * The app's default dictionary is proprietary, although you can swap it out for [an open one][12].



**Supported eBook formats:**

You can use Cool Reader to browse EPUB, FictionBook, plain text, RTF, HTML, [Compiled HTML Help][13] (.chm), and TCR (the eBook format for the Psion series of handheld computers) files.

![Cool Reader Android app][14]

Cool Reader's source code is licensed under the GNU General Public License version 2, and you can find it on [Sourceforge][15].

### KOReader

[KOReader][16] was originally created for [E Ink][17] eBook readers but found its way to Android. While testing it, I found KOReader to be both useful and frustrating in equal measures. It's definitely not a bad app, but it's not my first choice.

**Pros of KOReader:**

  * It's highly configurable.
  * It supports multiple languages.
  * It allows you to look up words using a [dictionary][18] (if you have one installed) or Wikipedia (if you're connected to the internet).



**Cons of KOReader:**

  * You need to change the settings for each book you read. KOReader doesn't remember settings when you open a new book.
  * The interface is reminiscent of a dedicated eBook reader. The app doesn't have that Android look and feel.



**Supported eBook formats:**

You can view PDF, DjVu, CBT, and [CBZ][5] eBooks. It also supports EPUB, FictionBook, .mobi, Word documents, text files, and [Compiled HTML Help][13] (.chm) files.

![KOReader Android app][19]

KOReader's source code is licensed under the GNU Affero General Public License version 3.0, and you can find it on [GitHub][20].

### Booky McBookface

Yes, that really is the name of [this eBook reader][21]. It's the most basic of the eBook readers in this article but don't let that (or the goofy name) put you off. Booky McBookface is easy to use and does the one thing it does quite well.

**Pros of Booky McBookface:**

  * There are no frills. It's just you and your eBook.
  * The interface is simple and clean.
  * Long-tapping the app's icon in the Android Launcher pops up a menu from which you can open the last book you were reading, get a list of unread books, or find and open a book on your device.



**Cons of Booky McBookface:**

  * The app has few configuration options—you can change the size of the font and the brightness, and that's about it.
  * You need to use the buttons at the bottom of the screen to navigate through an eBook. Tapping the edges of the screen doesn't work.
  * You can't add bookmarks to an eBook.



**Supported eBook formats:**

You can read eBooks in EPUB, HTML, or plain text formats with Booky McBookface.

![Booky McBookface Android app][22]

Booky McBookface's source code is available under the GNU General Public License version 3.0, and you can find it [on GitHub][23].

Do you have a favorite open source eBook reader for Android? Share it with the community by leaving a comment.

Have you ever downloaded an Android app only to find that it wants access to all your phone's...

There is a rich and growing ecosystem of open source applications for mobile devices, just like the...

With these seven open source apps, you can play chess against your phone or an online opponent,...

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/10/open-source-ereaders-android

作者：[Scott Nesbitt][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/scottnesbitt
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/computer_browser_program_books_read.jpg?itok=iNMWe8Bu (Computer browser with books on the screen)
[2]: https://opensource.com/article/19/3/open-messenger-client
[3]: https://f-droid.org/en/packages/com.github.axet.bookreader/
[4]: https://material.io/design/
[5]: https://opensource.com/article/19/3/comic-book-archive-djvu
[6]: https://en.wikipedia.org/wiki/FictionBook
[7]: https://opensource.com/sites/default/files/uploads/book_reader-book-list.png (Book Reader Android app)
[8]: https://gitlab.com/axet/android-book-reader/tree/HEAD
[9]: https://f-droid.org/en/packages/org.coolreader/
[10]: https://www.gutenberg.org/
[11]: https://archive.org
[12]: http://aarddict.org/
[13]: https://fileinfo.com/extension/chm
[14]: https://opensource.com/sites/default/files/uploads/cool_reader-icons.png (Cool Reader Android app)
[15]: https://sourceforge.net/projects/crengine/
[16]: https://f-droid.org/en/packages/org.koreader.launcher/
[17]: https://en.wikipedia.org/wiki/E_Ink
[18]: https://github.com/koreader/koreader/wiki/Dictionary-support
[19]: https://opensource.com/sites/default/files/uploads/koreader-lookup.png (KOReader Android app)
[20]: https://github.com/koreader/koreader
[21]: https://f-droid.org/en/packages/com.quaap.bookymcbookface/
[22]: https://opensource.com/sites/default/files/uploads/booky_mcbookface-menu.png (Booky McBookface Android app)
[23]: https://github.com/quaap/BookyMcBookface
