[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (What is a community of practice in an open organization?)
[#]: via: (https://opensource.com/open-organization/19/11/what-is-community-practice)
[#]: author: (Tracy Buckner https://opensource.com/users/tracyb)

What is a community of practice in an open organization?
======
If organizational silos are slowing your teams down, consider building
communities of practice to supercharge collaboration.
![Open community, gardeners and food co-op][1]

Community is a fundamental component of open organizations. The [Open Organization Definition][2] notes that:

> Shared values and purpose guide participation in open organizations, and these values—more so than arbitrary geographical locations or hierarchical positions—help determine the organization's boundaries and conditions of participation.

In other words, people in open organizations often define their roles, responsibilities, and affiliations through shared interests and passions—not title, role, or position on an organizational chart.

That means organizational leaders will find themselves invested in building communities inside their organizations, connecting like-minded people with one another to accelerate business objectives.

For this reason, communities of practice can be a useful component of open organizations. In this three-part series, I'll explain what communities of practice are, why they are beneficial to an organization, and how you can start a community of practice. 

### Community at the core

Community has always been central to organizations built on open principles. In fact, [The Open Source Way][3] explains community as:

> … the group of people who form intentionally and spontaneously around something important to them. It includes the people who use or benefit from the project, those who participate and share the project to wider audiences, and the contributors who are essential to growth and survival.

This definition informs our vision for communities of practice (CoPs) at Red Hat.

In 1991, cognitive anthropologists [Jean Lave][4] and [Etienne Wenger][5] first coined the term "community of practice" while studying group learning. They defined it as “a group of people who share an interest, a craft, and/or a profession.” Communities of practice have been around since the beginning of civilization. Groups of people have come together telling stories, imparting wisdom, and passing on tradition. Any group of people can form a CoP—a group of teachers exploring a new topic, for example, or architects discussing a typical customer problem and identifying a resolution.

Not all groups are communities of practice. A CoP must have a shared domain of interest, practitioners who share resources (tools, techniques, and ideas), and community members. A CoP forms at the intersection of those factors (see Figure 1).

![][6]

### Domain

A community of practice is defined by a shared _domain_ of interest. It's not merely a group of friends hanging out together; members have a commitment to the success of the domain and a desire to share their knowledge. They value use cases, success stories, feedback, and learning from the other members.

### Practice 

A community of practice is not simply a group of people who like the same things (such as certain kinds of music). Members of CoPs are _practitioners_ who engage in shared activities, share resources, tools, techniques, and ideas. Together they develop ways of addressing problems in new ways. Members value interactions and seek knowledge from each other. Many often become thought leaders and experts in the domain.

### Members

Not all groups are communities of practice. A CoP must have a shared domain of interest, practitioners who share resources (tools, techniques, and ideas), and community members.

Community of practice _members_ engage in joint activities and discussions, assist each other, and share their knowledge. They build relationships that enable them to learn from each other; they care about their standing with each other. Members of a community of practice participate regularly but do not necessarily work together on a daily basis. 

[Wenger][7] suggests several characteristics and potential activities of communities of practice, including:

  * Problem-solving
  * Making recommendations
  * Sharing experiences
  * Hosting community forums
  * Developing shared measurement tools
  * Building an argument for a policy campaign
  * Growing confidence and encouraging representatives to speak out
  * Discussing developments in communities and solutions to challenges
  * Documenting data needed to move communities forward
  * Coordinating visits to participants' sites to learn more about different approaches and perspectives
  * Mapping knowledge and identifying gaps



Communities of practice can form inside and across roles and departments in an open organization. When they do, they can help dissolve organizational silos by providing safe spaces for practitioners to come together as a community and work on a domain the members enjoy.

Together, members can solve current problems—and innovative on new products and solutions. Communities of practice also provide an opportunity to learn from the interaction and open communication in the group. Members mentor and encourage each other to learn more and do more within the community. CoPs provide a place to begin personal branding and to find the confidence to reach out for other thought leadership activities.

Communities of practice drawn together domain, practice, and members to provide benefits for both the members and the organization. They are a cost-effective way to enhance learning, reduce silos, and promote innovation. And as [Wegner][7] said, “We need others to complement and develop our own expertise.”

In the next article in this series, we will discuss the benefits of a CoP in an organization.

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/19/11/what-is-community-practice

作者：[Tracy Buckner][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/tracyb
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/open_community_lead.jpg?itok=F9KKLI7x (Open community, gardeners and food co-op)
[2]: https://opensource.com/open-organization/resources/open-org-definition
[3]: http://www.theopensourceway.org/book/index.html
[4]: http://en.wikipedia.org/wiki/Jean_Lave
[5]: http://en.wikipedia.org/wiki/Etienne_Wenger
[6]: https://opensource.com/sites/default/files/resize/images/open-org/cop_figure1-500x460.png
[7]: https://wenger-trayner.com/wp-content/uploads/2015/04/07-Brief-introduction-to-communities-of-practice.pdf
