[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (7 maker gifts for kids and teens)
[#]: via: (https://opensource.com/article/19/11/maker-gifts-kids)
[#]: author: (Jess Weichler https://opensource.com/users/cyanide-cupcake)

7 maker gifts for kids and teens
======
Make your holiday gift shopping easy with this guide to gifts sure to
spark creativity and innovation in babies, kids, tweens, teens, and
beyond.
![Gift box opens with colors coming out][1]

Struggling with what gifts to give the young person in your life this holiday season? Here are my top picks for open source presents that will spark creativity and inspire for years to come.

### Hummingbird Robotics Kit

![Hummingbird Robotics Kit][2]

**Ages**: 8 to adult

**What it is:** The [Hummingbird Robotics Kit][3] is a complete robotics kit with a microcontroller, motors, LEDs, and sensors. The robot brain has special ports that little hands can easily attach robot components to. The Hummingbird kits don't come with a body, empowering users to create their own.

**Why I love it:** The Hummingbird works with multiple programming languages—from visual (BirdBlox, MakeCode, Snap) to text (Python and Java)— making it scalable as users' coding skills increase. All the components are exactly as you'd find them at an electronics store, not obscured by plastic like other robot kits. This demystifies the inner workings of robots and makes it easy to source more parts if needed.

Because there is no set project, the Hummingbird is the perfect robot for creativity.

The Hummingbird Bit has open source software and firmware. It works on Linux, Windows, Mac, Chromebook, Android, and iOS.

**Cost:** Starts at US$ 99.

### Makey Makey Classic

![Makey Makey Classic][4]

**Ages:** 6 to adult

**What it is:** [Makey Makey Classic][5] turns any conductive object, from marshmallows to a friend, into a computer key.

You use alligator clips to connect the Makey Makey to the conductive object of your choice. Then, you close the circuit between the ground connection and any trigger key by touching both conductive objects at the same time. The Makey Makey is a good way to safely explore electricity at home while creating interesting ways to interact with your computer.

**Why I love it:** Makey Makey can be paired with video games made in Scratch to create unique controllers that further immerse users in the game. The possibilities are endless, from instruments made of toilet rolls and foil to interactive art and stories. It works on Linux, Windows, and Mac computers with a USB port.

**Cost:** US$ 49.95

### Arduino Uno

![Arduino Uno][6]

**Ages**: 10 to adult

**What it is:** Arduinos are microcontrollers that can be purchased with or without an electronics kit, and they come in many different flavors, though I like the [Arduino Uno][7] the best. Additional components, such as LEDs, motors, and sensors can be purchased as needed from any electronics shop.

**Why I love it:** The Arduino Uno is well-documented, so it's easy for makers to find tutorials online. The Arduino can bring a wide variety of electronic projects to life, from simple to complex. The Arduino features open source firmware and hardware. It works on Linux, Mac, and Windows.

**Cost:** Starts at US$ 22.00 for the board. The overall cost varies depending on projects and skill level.

### DIY maker kit

![A maker kit assembled in a quick trip to the hardware store][8]

**Ages**: 8 to adult

**What it is:** Many of today's makers, creators, and programmers started out tinkering with objects that happened to be lying around. You can create an awesome maker kit for the young person in your life with a quick trip to the nearest electronics store. Here's what's in my maker kit:

  * Eye goggles
  * Hammer
  * Nails and screws
  * Scraps of wood
  * Screwdrivers
  * Wire
  * LEDs
  * Piezo buzzer
  * Motors
  * AA battery pack with leads
  * Wire cutters
  * Cardboard
  * Masking tape
  * Scrap fabric
  * Buttons
  * Thread
  * Needles
  * Zippers
  * Hooks
  * A cool tackle box to store everything in



**Why I love it: **Remember when you were a kid and your parents brought home an empty cardboard box that you turned into a spaceship or a house or a supercomputer? That's what a DIY maker kit can be for older kids.

Raw components empower kids to experiment and use their imaginations. A DIY maker kit can be completely customized for the recipient. Be sure to throw in some components the giftee may have never thought to create with, like giving an avid sewer some LEDs or a woodworker fabric.

**Cost:** Variable

### Heuristic play basket

![Heuristic play kit][9]

**Ages:** 8 months to 5 years

**What it is:** Heuristic play baskets are filled with interesting objects made from natural, non-toxic materials for infants and toddlers to explore using their five senses. It's open-ended, self-directed play at its best. The idea is that an adult will supervise (but not direct) a child's use of the basket and its items for a half-hour, then put the basket away until the next time.

It's easy to create a lovely play basket with common household objects. Try to include items with varying textures, sounds, smells, shapes, and weights. Here are some ideas to get you started.

  * Colander or ridged wicker basket to hold everything
  * Wooden spoon
  * Metal whisks and spoons
  * Scrubbing brush
  * Sponge
  * Small egg carton
  * Cardboard tubes
  * Small rolling pin
  * Textured washcloth
  * Rocks
  * Handbells
  * Crochet doily
  * Small tin with a lid



Play baskets should not include anything easily breakable or small enough to fit inside a paper towel roll, as these are choking hazards, and all objects should be cleaned thoroughly before being given to a child.

**Why I love it:** Play baskets are fantastic for sensory development and helping young children ask questions and explore the world around them. This is an important part of developing a maker mindset!

It's easy to obtain suitable items for a play basket; you probably already have many interesting objects in your home or at your nearest second-hand store. Toddlers will use their play baskets differently than infants. These objects will grow with children as they begin to mimic adult life and tell stories through their play.

**Cost:** Variable

### Hello Ruby

![Hello Ruby book cover][10]

**Ages**: 5–8

**What it is:** _[Hello Ruby][11]: Adventures in Coding_ is an illustrated book by Linda Liukas that introduces children to programming concepts through a fun narrative about a girl who encounters problems and friends, each of which represents code. Liukas' other _Hello Ruby_ books are subtitled _Expedition to the Internet_ and _Journey Inside the Computer_, and _Adventures in Coding_ has been published in more than 20 languages.

**Why I love it:** The author accompanies the book with a number of free, fun, and unplugged activities that can be downloaded and printed out from the Hello Ruby website. These activities teach coding concepts and also touch on artistic expression, communication, and even time management.

**Cost:** List price for the hardcover book is US$ 17.99, but you may find it at a lower price through local or online booksellers.

### Girls Who Code: Learn to Code and Change the World

![Girls Who Code book cover][12]

**Ages**: 10 to adult

**What it is:** Written by Reshma Saujani, the founder of Girls Who Code, _[Girls Who Code: Learn to Code and Change the World][13]_ gives practical information about the tech world for young girls (and boys). It covers a wide variety of topics, including coding languages, use-cases, terminology and vocabulary, career options, and profiles and interviews with people in the tech industry.

**Why I love it:** This book tells the story of tech in ways even most websites meant for adults miss out on. Technology encompasses so many disciplines, and it's important for young people to understand they can use it to solve real-world problems and make a difference.

**Cost:** List price for the hardcover book is US$ 17.99 and US$ 10.99 for the paperback, but you may find it at a lower price through local or online booksellers.

I can see the brightness of curiosity in my six year old niece Shuchi's eyes when she explores a...

Scratch is a free educational programming language for kids, available in 50 different languages...

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/11/maker-gifts-kids

作者：[Jess Weichler][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/cyanide-cupcake
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_gift_giveaway_box_520x292.png?itok=w1YQhNH1 (Gift box opens with colors coming out)
[2]: https://opensource.com/sites/default/files/uploads/hummingbird.png (Hummingbird Robotics Kit)
[3]: https://www.birdbraintechnologies.com/hummingbirdbit/
[4]: https://opensource.com/sites/default/files/uploads/makeymakey2.jpg (Makey Makey Classic)
[5]: https://makeymakey.com/
[6]: https://opensource.com/sites/default/files/uploads/arduinouno.jpg (Arduino Uno)
[7]: https://www.arduino.cc/
[8]: https://opensource.com/sites/default/files/makerbox-makerkit.jpg (A maker kit assembled in a quick trip to the hardware store)
[9]: https://opensource.com/sites/default/files/makerbox-sensorykit.jpg (Heuristic play kit)
[10]: https://opensource.com/sites/default/files/uploads/helloruby2.jpg (Hello Ruby book cover)
[11]: https://www.helloruby.com/
[12]: https://opensource.com/sites/default/files/uploads/girlswhocodebook.jpg (Girls Who Code book cover)
[13]: https://girlswhocode.com/book/girls-code-learn-code-change-world/
