[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Holiday gift guide: Linux and open source tech gadgets)
[#]: via: (https://opensource.com/article/19/12/gadgets-holiday-wishlist)
[#]: author: (Joshua Allen Holm https://opensource.com/users/holmja)

Holiday gift guide: Linux and open source tech gadgets
======
Each of these gadgets encourages learning, exploring, and tinkering,
qualities that reflect the values and interests of open source
enthusiasts.
![new techie gadgets representing innovation][1]

Everything on Opensource.com's annual selection of tech gadgets would make an excellent holiday gift for your friends and family—or even something to add to your own holiday wishlist. Each of these gadgets encourages learning, exploring, and tinkering, qualities that reflect the values and interests of open source enthusiasts.

### Circuit Playground Express

![Circuit Playground Express][2]

The [Circuit Playground Express][3] packs a wide array of interesting tech into a tiny, programmable package, which makes it an excellent choice for wearable projects. It features a motion sensor, temperature sensor, light sensor, sound sensor, speaker, 10 lights that can display any color, and much more. It can be programmed using block-based, drag-and-drop coding or JavaScript using [Microsoft MakeCode for Adafruit][4], or it can be programmed in Python using [CircuitPython][5]. Advanced users can use the [Arduino IDE][6] to program the board.

### FreedomBox

![FreedomBox][7]

[FreedomBox][8] is a self-hosted, privacy-focused alternative to a wide variety of online services. With FreedomBox, you can handle your email with a web-based IMAP client, calendar, online chatting, file storage, and [more][9] without being tied to services outside of your control. The FreedomBox software is built around Debian GNU/Linux, and all the services it can provide are open source. If you want a ready-to-go home server, you can purchase the [Pioneer edition FreedomBox Home Server][10]. If you want to be more "hands-on," you can download the [FreedomBox software][11] and install it on the supported hardware of your choice.

### Hack laptop

![Hack computer][12]

The [Hack][13] laptop is an ASUS E406MA laptop preloaded with a version of [Endless OS][14] that adds learning activities designed to teach children how to program. With only 4GB of RAM and a 64GB eMMC drive for storage, the Hack laptop is not a super-powerful computer, but it is a nice laptop for basic tasks like word processing, web browsing, and email. If the pre-installed Endless OS is not right for the user, the hardware is compatible with recent releases of most other Linux distributions.

### Kano Computer Kit

![Kano Computer Kit][15]

The [Kano Computer Kit][16] is a computer kit based around a custom Raspberry Pi 3 and running the open source [Kano OS][17]. Users follow step-by-step instructions to build their own computer. Once the computer is assembled, there are more than 100 programming activities that provide even more learning and entertainment. The Kano Computer Kit comes with everything needed to get started, except a monitor. The more expensive [Computer Kit Touch][18] comes with a touchscreen display.

### micro:bit

![micro:bit][19]

The [micro:bit][20] is a tiny, programmable circuit board that is great for learning and making. The board features an array of lights on one side of the circuit board, and the board can be programmed to respond to button presses, light, motion, and temperature. It can be programmed using drag-and-drop block or JavaScript using the [MakeCode editor][21], or it can be programmed in Python.

### pi-top [4]

![pi-top \[4\]][22]

The [pi-top [4]][23] is a kit designed to work with the Raspberry Pi 4. This kit includes a case, cables, and a selection of programmable sensors, buttons, and LEDs. The pi-top [4] is designed to work with [pi-topOS][24], but the kit can work reasonably well with other Raspberry Pi [operating systems][25].

### Raspberry Pi 4 (and other models)

![Raspberry Pi 4][26]

Of all the single-board computers on the market, the Raspberry Pi is probably the most well-known. Part of the reason for the Raspberry Pi's fame is the copious amount of ancillary material available for learning about projects that can be made using a Raspberry Pi. The [_MagPi Magazine_][27] is published monthly, contains tons of interesting projects, and is free to download. So if you give or receive the official [Raspberry Pi 4 Desktop Kit][28], another Raspberry Pi kit from a vendor, or a custom project built around a Raspberry Pi, you are sure to have an excellent gift, one that can keep on giving as _MagPi_ publishes more and more tutorials.

### Bonus: Tux Super Key Sticker

![Tux Super Key Keyboard Sticker][29]

Sure, a sticker is not a tech gadget, but this [Tux sticker][30] from Think Penguin can turn the Windows key on any computer keyboard into a Tux key. This inexpensive sticker can provide a little extra Linux-ness to any computer keyboard. The sticker is also a great item to buy in bulk and give out throughout the year as a Linux advocacy item.

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/12/gadgets-holiday-wishlist

作者：[Joshua Allen Holm][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/holmja
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/innovation_virtual_gadgets_device_drone.png?itok=JTAgRb-1 (new techie gadgets representing innovation)
[2]: https://opensource.com/sites/default/files/uploads/circuit_playground_express.jpg (Circuit Playground Express)
[3]: https://learn.adafruit.com/adafruit-circuit-playground-express/overview
[4]: https://learn.adafruit.com/makecode
[5]: https://www.adafruit.com/category/956
[6]: https://www.arduino.cc/en/Main/Software
[7]: https://opensource.com/sites/default/files/uploads/freedombox_pioneer_edition.jpg (FreedomBox)
[8]: https://freedombox.org
[9]: https://wiki.debian.org/FreedomBox/Features
[10]: https://freedombox.org/buy/
[11]: https://freedombox.org/download/
[12]: https://opensource.com/sites/default/files/uploads/endless_hack_laptop.jpg (Hack computer)
[13]: https://hack-computer.com/
[14]: https://endlessos.com/download/
[15]: https://opensource.com/sites/default/files/uploads/kano_computer_kit.jpeg (Kano Computer Kit)
[16]: https://kano.me/store/us/products/computer-kit
[17]: https://kano.me/downloadable/us
[18]: https://kano.me/us/store/products/computer-kit-touch
[19]: https://opensource.com/sites/default/files/uploads/microbit.png (micro:bit)
[20]: https://www.microbit.org/
[21]: https://makecode.microbit.org/
[22]: https://opensource.com/sites/default/files/uploads/pi-top_4.png (pi-top [4])
[23]: https://www.pi-top.com/products/pi-top-4
[24]: https://www.pi-top.com/products/os
[25]: https://www.raspberrypi.org/downloads/
[26]: https://opensource.com/sites/default/files/uploads/raspberry_pi_4_model_b.jpg (Raspberry Pi 4)
[27]: https://magpi.raspberrypi.org/
[28]: https://www.raspberrypi.org/blog/whats-inside-the-raspberry-pi-4-desktop-kit/
[29]: https://opensource.com/sites/default/files/uploads/tux_key_sticker.jpg (Tux Super Key Keyboard Sticker)
[30]: https://www.thinkpenguin.com/gnu-linux/tux-super-key-keyboard-sticker
