[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Getting started with the GNOME Linux desktop)
[#]: via: (https://opensource.com/article/19/12/gnome-linux-desktop)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

Getting started with the GNOME Linux desktop
======
This article is part of a special series of 24 days of Linux desktops.
GNOME, the default desktop on most modern Linux distributions, is clean,
simple, and well-organized.
![Gnomes in a window.][1]

The [GNOME][2] project is the Linux desktop's darling, and deservedly so. It began as the free and open desktop alternative to proprietary options (including KDE at the time), and it's been going strong ever since. GNOME took GTK+, [developed by the GIMP project][3], and ran with it, developing it into a robust, all-purpose GTK framework. The project has pioneered the user interface, challenging preconceptions of what a desktop "should" look like and offering users new paradigms and options.

GNOME is widely available as the default desktop on most of the major modern Linux distributions, including RHEL, Fedora, Debian, and Ubuntu. If your distribution doesn't offer a version of it, you can probably install GNOME from your software repository. Before you do, though, be aware that it is meant to provide a full desktop experience, so many GNOME apps are installed along with the desktop. If you're already running a different desktop, you may find yourself with redundant applications (two PDF readers, two media players, two file managers, and so on). If you just want to try the GNOME desktop, consider installing a GNOME distribution in a virtual machine, such as [GNOME Boxes][4].

### GNOME features

The GNOME desktop is clean, with a simple taskbar along the top and the bare minimum of items in a system tray in the right corner. There are no desktop icons on GNOME, and that's by design. If you're one of those users who stores _everything_ on your desktop, you probably recognize that your desktop gets badly disorganized on a regular basis, and—worse still—it's permanently hidden from view because your applications are covering it up.

GNOME solves both problems: there _is_ no desktop (functionally), and new virtual workspaces are generated dynamically, so you can run your applications in full-screen mode. It can take some getting used to if you usually clutter up your screen, but in practice, it's an improved workflow in every sense. You learn to keep your assets organized (or you leave them scattered in your home directory), and you can switch between screens just as quickly as you do on your mobile phone.

Of course, not all applications are designed to run in full-screen mode, so if you prefer to click through windows, you can do that, too.

![GNOME running on Debian][5]

The GNOME philosophy extols canonical solutions to common tasks. You don't often find eight different ways to accomplish the same thing in GNOME. You find one or two official ways to accomplish a task, and once you've learned those ways, that's all you have to remember. It's refreshingly simple, but because it's running on Linux, it's also technically flexible (after all, you don't have to use GNOME applications just because you're running a GNOME desktop).

### Application menu

To access the application menu, called **Activities**, click in the upper-left corner of the desktop. This menu takes over your entire screen to reveal a dock along the left edge of the screen with common applications and an icon to browse your apps in a grid. You can launch applications by browsing through what you have installed or by typing the first few letters of the software name to bring up a filtered list of what's available.

![GNOME activities][6]

### GNOME applications

GNOME isn't just a desktop. It's a desktop plus a rich set of integrated applications, like the Gedit text editor, Evince PDF viewer, a web browser, an image viewer, the Nautilus file manager, and more. GNOME applications, like the desktop itself, follow the [GNOME Human Interface Guidelines][7], so the user experience is both pleasant and consistent. Whether or not you use the GNOME desktop, you probably use a GTK application, and you may well use a GNOME application.

### GNOME 3 and beyond

The GNOME project is going strong, and it's left several exciting projects (like MATE and [Cinnamon][8]) in its wake. It's popular, it's comfortable, and it's the face of the Linux desktop.

Exploring different desktops is a good thing. I’ve recently converted to GNOME 3 ("hallowed be its...

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/12/gnome-linux-desktop

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/custom_gnomes.png?itok=iG98iL8d (Gnomes in a window.)
[2]: https://www.gnome.org/
[3]: https://www.gtk.org/overview.php
[4]: https://opensource.com/article/19/5/getting-started-gnome-boxes-virtualization
[5]: https://opensource.com/sites/default/files/uploads/advent-gnome.jpg (GNOME running on Debian)
[6]: https://opensource.com/sites/default/files/uploads/advent-gnome-activities.jpg (GNOME activities)
[7]: https://developer.gnome.org/hig/stable/
[8]: https://opensource.com/article/19/11/advent-2019-cinnamon
