怎样通过示弱增强领导力
======
![](https://img.linux.net.cn/data/attachment/album/201908/25/052430b01hc00qrcz99p9w.jpg)

传统观念中的领导者总是强壮、大胆、果决的。我也确实见过一些拥有这些特点的领导者。但更多时候，领导者也许看起来比传统印象中的领导者要更脆弱些，他们内心有很多这样的疑问：我的决策正确吗？我真的适合这个职位吗？我有没有在做最该做的事情？

解决这些问题的方法是把问题说出来。把问题憋在心里只会助长它们，一名开明的领导者更倾向于把自己的脆弱之处暴露出来，这样我们才能从有过相同经验的人那里得到慰藉。

为了证明这个观点，我来讲一个故事。

### 一个扰人的想法

假如你在教育领域工作，你会发现发现大家更倾向于创造[一个包容性的环境][1] —— 一个鼓励多样性繁荣发展的环境。长话短说，我一直以来都认为自己是出于营造包容性环境的考量，而进行的“多样性雇佣”，意思就是人事雇佣我看重的是我的性别而非能力，这个想法一直困扰着我。随之而来的开始自我怀疑：我真的是这个岗位的最佳人选吗？还是只是因为我是个女人？许多年来，我都认为公司雇佣我是因为我的能力最好。但如今却发现，对那些雇主们来说，与我的能力相比，他们似乎更关注我的性别。

我开解自己：我到底是因为什么被雇佣并不重要，我知道我是这个职位的最佳人选而且我会用实际行动去证明。我工作很努力，达到过预期，也犯过错，也收获了很多，我做了一个老板想要自己雇员做的一切事情。

但那个“多样性雇佣”问题的阴影并未因此散去。我无法摆脱它，甚至回避一切与之相关的话题如蛇蝎，最终意识到自己拒绝谈论它意味着我能做的只有直面它。如果我继续回避这个问题，早晚会影响到我的工作，这是我最不希望看到的。

### 倾诉心中的困扰

直接谈论多样性和包容性这个话题有点尴尬，在进行自我剖析之前有几个问题需要考虑：

  * 我们能够相信我们的同事，能够在他们面前表露脆弱吗？
  * 一个团队的领导者在同事面前表露脆弱合适吗？
  * 如果我玩脱了呢？会不会影响我的工作？
  
于是我和一位主管在午餐时间进行了一场小型的 Q&A 会议，这位主管负责着集团很多领域，并且以正直坦率著称。一位女同事问他，“我是因为多样性才被招进来的吗？”，他停下手头工作花了很长时间和一屋子女性员工解释了这件事，我不想复述他讲话的全部内容，我只说对我触动最大的几句：如果你知道自己能够胜任这个职位，并且面试很顺利，那么不必质疑招聘的结果。每个怀疑自己是因为多样性雇佣进公司的人私下都有自己的问题，你不必重蹈他们的覆辙。

完毕。

我很希望我能由衷地说我放下这个问题了，但事实上我没有。这问题挥之不去：万一我就是被破格录取的那个呢？万一我就是多样性雇佣的那个呢？我认识到我不能避免地反复思考这些问题。

几周后我和这位主管进行了一次一对一谈话，在谈话的末尾，我提到作为一位女性，自己很欣赏他那番对于多样性和包容性的坦率发言。当得知领导很有交流的意愿时，谈论这种话题变得轻松许多。我也向他提出了最初的问题，“我是因为多样性才被雇佣的吗？”，他回答得很干脆：“我们谈论过这个问题。”谈话后我意识到，我急切地想找人谈论这些需要勇气的问题，其实只是因为我需要有一个人的关心、倾听和好言劝说。

但正因为我有展露脆弱的勇气——去和那位主管谈论我的问题——我承受我的秘密困扰的能力提高了。我觉得身轻如燕，我开始组织各种对话，主要围绕着内隐偏见及其引起的一系列问题、怎样增加自身的包容性和多样性的表现等。通过这些经历，我发现每个人对于多样性都有不同的认识，如果我只囿于自己的秘密，我不会有机会组织参与这些精彩的对话。

我有谈论内心脆弱的勇气，我希望你也有。

我们可以谈谈那些影响我们领导力的秘密，这样从任何意义上来说，我们距离成为一位开明的领导就近了一些。那么适当示弱有帮助你成为更好的领导者吗？

### 作者简介

Angela Robertson 是微软的一名高管。她和她的团队对社群互助有着极大热情，并参与开源工作。在加入微软之前，Angela 就职于红帽公司。

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/12/how-allowing-myself-be-vulnerable-made-me-better-leader

作者：[Angela Robertson][a]
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/arobertson98
[1]:https://opensource.com/open-organization/17/9/building-for-inclusivity
